type token =
  | TUnknown of (Ast_c.info)
  | TCommentSpace of (Ast_c.info)
  | TCommentNewline of (Ast_c.info)
  | TComment of (Ast_c.info)
  | TInt of ((string * (Ast_c.sign * Ast_c.base)) * Ast_c.info)
  | TFloat of ((string * Ast_c.floatType) * Ast_c.info)
  | TChar of ((string * Ast_c.isWchar) * Ast_c.info)
  | TString of ((string * Ast_c.isWchar) * Ast_c.info)
  | TQuote of ((string * Ast_c.isWchar) * Ast_c.info)
  | TPct of (Ast_c.info)
  | TFormat of (string * Ast_c.info)
  | TSubString of (string * Ast_c.info)
  | TDecimal of ((string * string (*n*) * string (*p*)) * Ast_c.info)
  | TIdent of (string * Ast_c.info)
  | TKRParam of (string * Ast_c.info)
  | Tconstructorname of (string * Ast_c.info)
  | TypedefIdent of (string * Ast_c.info)
  | TOPar of (Ast_c.info)
  | TCPar of (Ast_c.info)
  | TOBrace of (Ast_c.info)
  | TCBrace of (Ast_c.info)
  | TOCro of (Ast_c.info)
  | TCCro of (Ast_c.info)
  | TDot of (Ast_c.info)
  | TComma of (Ast_c.info)
  | TPtrOp of (Ast_c.info)
  | TInc of (Ast_c.info)
  | TDec of (Ast_c.info)
  | TAssign of (Ast_c.assignOp)
  | TEq of (Ast_c.info)
  | TWhy of (Ast_c.info)
  | TTilde of (Ast_c.info)
  | TBang of (Ast_c.info)
  | TEllipsis of (Ast_c.info)
  | TDotDot of (Ast_c.info)
  | TPtVirg of (Ast_c.info)
  | TOrLog of (Ast_c.info)
  | TAndLog of (Ast_c.info)
  | TOr of (Ast_c.info)
  | TXor of (Ast_c.info)
  | TAnd of (Ast_c.info)
  | TEqEq of (Ast_c.info)
  | TNotEq of (Ast_c.info)
  | TInf of (Ast_c.info)
  | TSup of (Ast_c.info)
  | TInfEq of (Ast_c.info)
  | TSupEq of (Ast_c.info)
  | TShl of (Ast_c.info)
  | TShr of (Ast_c.info)
  | TPlus of (Ast_c.info)
  | TMinus of (Ast_c.info)
  | TMul of (Ast_c.info)
  | TDiv of (Ast_c.info)
  | TMod of (Ast_c.info)
  | TMax of (Ast_c.info)
  | TMin of (Ast_c.info)
  | Tchar of (Ast_c.info)
  | Tshort of (Ast_c.info)
  | Tint of (Ast_c.info)
  | Tdouble of (Ast_c.info)
  | Tfloat of (Ast_c.info)
  | Tcomplex of (Ast_c.info)
  | Tlong of (Ast_c.info)
  | Tunsigned of (Ast_c.info)
  | Tsigned of (Ast_c.info)
  | Tvoid of (Ast_c.info)
  | Tsize_t of (Ast_c.info)
  | Tssize_t of (Ast_c.info)
  | Tptrdiff_t of (Ast_c.info)
  | Tauto of (Ast_c.info)
  | Tregister of (Ast_c.info)
  | Textern of (Ast_c.info)
  | Tstatic of (Ast_c.info)
  | Ttypedef of (Ast_c.info)
  | Tconst of (Ast_c.info)
  | Tvolatile of (Ast_c.info)
  | Tstruct of (Ast_c.info)
  | Tunion of (Ast_c.info)
  | Tenum of (Ast_c.info)
  | Tdecimal of (Ast_c.info)
  | Texec of (Ast_c.info)
  | Tbreak of (Ast_c.info)
  | Telse of (Ast_c.info)
  | Tswitch of (Ast_c.info)
  | Tcase of (Ast_c.info)
  | Tcontinue of (Ast_c.info)
  | Tfor of (Ast_c.info)
  | Tdo of (Ast_c.info)
  | Tif of (Ast_c.info)
  | Twhile of (Ast_c.info)
  | Treturn of (Ast_c.info)
  | Tgoto of (Ast_c.info)
  | Tdefault of (Ast_c.info)
  | Tsizeof of (Ast_c.info)
  | Tnew of (Ast_c.info)
  | Tdelete of (Ast_c.info)
  | Tdefined of (Ast_c.info)
  | TOParCplusplusInit of (Ast_c.info)
  | Tnamespace of (Ast_c.info)
  | Trestrict of (Ast_c.info)
  | Tasm of (Ast_c.info)
  | Tattribute of (Ast_c.info)
  | TattributeNoarg of (Ast_c.info)
  | Tinline of (Ast_c.info)
  | Ttypeof of (Ast_c.info)
  | TDefine of (Ast_c.info)
  | TDefParamVariadic of ((string * Ast_c.info))
  | TCppEscapedNewline of (Ast_c.info)
  | TCppConcatOp of (Ast_c.info)
  | TOParDefine of (Ast_c.info)
  | TOBraceDefineInit of (Ast_c.info)
  | TIdentDefine of ((string * Ast_c.info))
  | TDefEOL of (Ast_c.info)
  | TInclude of ((string * string * bool ref * Ast_c.info))
  | TIncludeStart of ((Ast_c.info * bool ref))
  | TIncludeFilename of ((string * Ast_c.info))
  | TIfdef of ((Ast_c.ifdef_guard * (int * int) option ref * Ast_c.info))
  | TIfdefelif of ((Ast_c.ifdef_guard * (int * int) option ref * Ast_c.info))
  | TIfdefelse of (((int * int) option ref * Ast_c.info))
  | TEndif of (((int * int) option ref * Ast_c.info))
  | TIfdefBool of ((bool * (int * int) option ref * Ast_c.info))
  | TIfdefMisc of ((bool * (int * int) option ref * Ast_c.info))
  | TIfdefVersion of ((bool * (int * int) option ref * Ast_c.info))
  | TUifdef of (Ast_c.info)
  | TUelseif of (Ast_c.info)
  | TUendif of (Ast_c.info)
  | TUndef of (Ast_c.info)
  | TPrePragma of (Ast_c.info*Ast_c.info*string*Ast_c.info*Ast_c.info*(string*Ast_c.info)list)
  | TPragma of (Ast_c.info)
  | TPragmaString of (string * Ast_c.info)
  | TCppDirectiveOther of (Ast_c.info)
  | TMacroAttr of ((string * Ast_c.info))
  | TMacroEndAttr of ((string * Ast_c.info))
  | TMacroStmt of ((string * Ast_c.info))
  | TMacroIdStmt of ((string * Ast_c.info))
  | TMacroIdentBuilder of ((string * Ast_c.info))
  | TMacroString of ((string * Ast_c.info))
  | TMacroDecl of ((string * Ast_c.info))
  | TMacroDeclConst of (Ast_c.info)
  | TMacroIterator of ((string * Ast_c.info))
  | TCommentSkipTagStart of (Ast_c.info)
  | TCommentSkipTagEnd of (Ast_c.info)
  | TCParEOL of (Ast_c.info)
  | TAction of (Ast_c.info)
  | TCommentMisc of (Ast_c.info)
  | TCommentCpp of ((Token_c.cppcommentkind * Ast_c.info))
  | EOF of (Ast_c.info)
  | TTODO of (Ast_c.info)

open Parsing;;
let _ = parse_error;;
# 2 "parsing_c/parser_c.mly"
(* Y P
 *
 * C (C) 2002, 2006, 2007, 2008, 2009 Y P
 *
 * T p i f s; y c r i a/o
 * m i u t t o t G G P L (G)
 * v 2 a p b t F S F.
 *
 * T p i d i t h t i w b u,
 * b W A W; w e t i w o
 * M o F F A P P.  S t
 * f l.t f m d.
 *)

(**
 * T g h b i b:
 * h://w.l.l.s/c/A-C-g-y.h
 *)

open Common

open Ast_c

module LP = Lexer_parser
open Lexer_parser (* f t f *)

open Semantic_c (* S e *)
module T = Token_c

(*****************************************************************************)
(* W *)
(*****************************************************************************)
let warning s v =
  if !Flag_parsing_c.verbose_parsing
  then Common.warning ("PARSING: " ^ s) v
  else v

let computed_warning s v = (*d n c s u i w b s*)
  if !Flag_parsing_c.verbose_parsing
  then Common.warning ("PARSING: " ^ (s())) v
  else v

let pr2, pr2_once = Common.mk_pr2_wrappers Flag_parsing_c.verbose_parsing

(*****************************************************************************)
(* P h f *)
(*****************************************************************************)

(*-------------------------------------------------------------------------- *)
(* T r *)
(*-------------------------------------------------------------------------- *)

type shortLong      = Short  | Long | LongLong

type decl = {
  storageD: storagebis wrap;
  typeD: ((sign option) * (shortLong option) * (typeCbis option)) wrap;
  qualifD: typeQualifierbis wrap;
  inlineD: bool             wrap;
  (* n: h a f: p l; t r o
   * b s, q, t ? w t i i a i
   * t A.i, j h t s t t g g o *)
}

let nullDecl = {
  storageD = NoSto, [];
  typeD = (None, None, None), [];
  qualifD = nullQualif;
  inlineD = false, [];
}
let fake_pi = Common.fake_parse_info

let addStorageD  = function
  | ((x,ii), ({storageD = (NoSto,[])} as v)) -> { v with storageD = (x, [ii]) }
  | ((x,ii), ({storageD = (y, ii2)} as v)) ->
      if x = y then warning "duplicate storage classes" v
      else warning "multiple storage classes, keeping the second" v

let addInlineD  = function
  | ((true,ii), ({inlineD = (false,[])} as v)) -> { v with inlineD=(true,[ii])}
  | ((true,ii), ({inlineD = (true, ii2)} as v)) -> warning "duplicate inline" v
  | _ -> raise (Impossible 86)


let addTypeD     = function
  | ((Left3 Signed,ii)   ,({typeD = ((Some Signed,  b,c),ii2)} as v)) ->
      warning "duplicate 'signed'"   v
  | ((Left3 UnSigned,ii) ,({typeD = ((Some UnSigned,b,c),ii2)} as v)) ->
      warning "duplicate 'unsigned'" v
  | ((Left3 _,ii),        ({typeD = ((Some _,b,c),ii2)} as _v)) ->
      raise (Semantic ("both signed and unsigned specified", fake_pi))
  | ((Left3 x,ii),        ({typeD = ((None,b,c),ii2)} as v))   ->
      {v with typeD = (Some x,b,c),ii @ ii2}

  | ((Middle3 Short,ii),  ({typeD = ((a,Some Short,c),ii2)} as v)) ->
      warning "duplicate 'short'" v


  (* g: l l a *)
  | ((Middle3 Long,ii),   ({typeD = ((a,Some Long ,c),ii2)} as v)) ->
      { v with typeD = (a, Some LongLong, c),ii @ ii2 }
  | ((Middle3 Long,ii),   ({typeD = ((a,Some LongLong ,c),ii2)} as v)) ->
      warning "triplicate 'long'" v


  | ((Middle3 _,ii),      ({typeD = ((a,Some _,c),ii2)} as _v)) ->
      raise (Semantic ("both long and short specified", fake_pi))
  | ((Middle3 x,ii),      ({typeD = ((a,None,c),ii2)} as v))  ->
      {v with typeD = (a, Some x,c),ii @ ii2}

  | ((Right3 t,ii),       ({typeD = ((a,b,Some x),ii2)} as v)) ->
      let mktype t ii = (({const=false;volatile=false;},[]),(t,ii)) in
      computed_warning
	(fun _ ->
	  Printf.sprintf
	    "two or more data types: dropping %s, keeping typeD %s\n"
	    (Pretty_print_c.string_of_fullType (mktype t ii))
	    (Pretty_print_c.string_of_fullType (mktype x ii2)))
	v
  | ((Right3 t,ii),       ({typeD = ((a,b,None),ii2)} as v))   ->
      {v with typeD = (a,b, Some t),ii @ ii2}


let addQualif = function
  | ({const=true},   ({const=true} as x)) ->   warning "duplicate 'const'" x
  | ({volatile=true},({volatile=true} as x))-> warning "duplicate 'volatile'" x
  | ({const=true},    v) -> {v with const=true}
  | ({volatile=true}, v) -> {v with volatile=true}
  | _ ->
      internal_error "there is no noconst or novolatile keyword"

let addQualifD ((qu,ii), ({qualifD = (v,ii2)} as x)) =
  { x with qualifD = (addQualif (qu, v),ii::ii2) }


(*-------------------------------------------------------------------------- *)
(* D/F r *)
(*-------------------------------------------------------------------------- *)


(* s: t s, b i t (a r)
 * T u t c, j l a t r (r p o t P)
 * a g b.
 *)
let (fixDeclSpecForDecl: decl -> (fullType * (storage wrap)))  = function
 {storageD = (st,iist);
  qualifD = (qu,iiq);
  typeD = (ty,iit);
  inlineD = (inline,iinl);
  } ->
   let ty',iit' =
   (match ty with
 | (None,None,None)       ->
     (* g f, o t c c i
      * o.
      *)
     warning "type defaults to 'int'" (defaultInt, [fakeInfo fake_pi])
 | (None, None, Some t)   -> (t, iit)

 | (Some sign,   None, (None| Some (BaseType (IntType (Si (_,CInt))))))  ->
     BaseType(IntType (Si (sign, CInt))), iit
 | ((None|Some Signed),Some x,(None|Some(BaseType(IntType (Si (_,CInt)))))) ->
     BaseType(IntType (Si (Signed, [Short,CShort; Long, CLong; LongLong, CLongLong] +> List.assoc x))), iit
 | (Some UnSigned, Some x, (None| Some (BaseType (IntType (Si (_,CInt))))))->
     BaseType(IntType (Si (UnSigned, [Short,CShort; Long, CLong; LongLong, CLongLong] +> List.assoc x))), iit
 | (Some sign,   None, (Some (BaseType (IntType CChar))))   ->
     BaseType(IntType (Si (sign, CChar2))), iit
 | (None, Some Long,(Some(BaseType(FloatType CDouble))))    ->
     BaseType (FloatType (CLongDouble)), iit
 | (None, Some Long,(Some(BaseType(FloatType CDoubleComplex))))    ->
     BaseType (FloatType (CLongDoubleComplex)), iit

 | (Some _,_, Some _) ->
     (*m*)
     raise (Semantic ("signed, unsigned valid only for char and int", fake_pi))
 | (_,Some _,(Some(BaseType(FloatType (CFloat))))) ->
     raise (Semantic ("long or short specified with floating type", fake_pi))
 | (_,Some Short,(Some(BaseType(FloatType CDouble)))) ->
     raise (Semantic ("the only valid combination is long double", fake_pi))
 | (_,Some Short,(Some(BaseType(FloatType CDoubleComplex)))) ->
     raise (Semantic ("the only valid combination is long double complex", fake_pi))

 | (_, Some _, Some _) ->
     (* m *)
     raise (Semantic ("long, short valid only for int or float", fake_pi))

     (* i d s u i, t g s p e, s ? i i
      * n a p e, i i j t w d a w t
      * e s/l o s/u. I f, w
      * p (w e() a d()) n I s t p
      * e s t c i e o w d s s
      * {....} a n w a t c n w p s u i
      * a s i i => p e (c a f s i
      * p i d() m) *)

   )
   in
   ((qu, iiq),
   (ty', iit'))
     ,((st, inline),iist @ iinl)


let fixDeclSpecForParam = function ({storageD = (st,iist)} as r) ->
  let ((qu,ty) as v,_st) = fixDeclSpecForDecl r in
  match st with
  | (Sto Register) -> (v, true), iist
  | NoSto -> (v, false), iist
  | _ ->
      raise
        (Semantic ("storage class specified for parameter of function",
                  fake_pi))

let fixDeclSpecForMacro = function ({storageD = (st,iist)} as r) ->
  let ((qu,ty) as v,_st) = fixDeclSpecForDecl r in
  match st with
  | NoSto -> v
  | _ ->
      raise
        (Semantic ("storage class specified for macro type decl",
                  fake_pi))


let fixDeclSpecForFuncDef x =
  let (returnType,storage) = fixDeclSpecForDecl x in
  (match fst (unwrap storage) with
  | StoTypedef ->
      raise (Semantic ("function definition declared 'typedef'", fake_pi))
  | _ -> (returnType, storage)
  )


(* p: (t i t c w w g p o w
 * i f D n i f D) W m h a n.
 * T f e t w g o p w w
 * f C c t?: d w a o d
 * i ? s I m a t t t c o t d. I d
 * h t h t p h c C f t d V f { ... }
 * w V a t o f c h w d s t n o t
 * a (i t t)
 *)
let (fixOldCDecl: fullType -> fullType) = fun ty ->
  match Ast_c.unwrap_typeC ty with
  | FunctionType (fullt, (params, (b, iib))) ->

      (* s: I t p d d a p f a
       * f t y a d (i i p o a f
       * d), t y m w a n w t d.
       * O, y c o t n. *)
      (match params with
      | [{p_namei = None; p_type = ty2},_] ->
          (match Ast_c.unwrap_typeC ty2 with
          | BaseType Void ->
              ty
          | _ ->
              pr2_once ("SEMANTIC:parameter name omitted, but I continue");
              ty
          )

      | params ->
          (params +> List.iter (fun (param,_) ->
            match param with
            | {p_namei = None} ->
              (* i m, t c m-p *)
                pr2_once ("SEMANTIC:parameter name omitted, but I continue");
	    | _ -> ()
          ));
          ty
      )

        (* t? c w d p i t d o s,
           ... => l <> b g k m *)
  | _ ->
      (* g s p e b d s w *)
      raise (Semantic ("seems this is not a function", fake_pi))


let fixFunc (typ, compound, old_style_opt) =
  let (cp,iicp) = compound in

  let (name, ty,   (st,iist),  attrs) = typ in

  let (qu, tybis) = ty in

  match Ast_c.unwrap_typeC ty with
  | FunctionType (fullt, (params,abool)) ->
      let iifunc = Ast_c.get_ii_typeC_take_care tybis in

      let iistart = Ast_c.fakeInfo () in
      assert (qu = nullQualif);

      (match params with
      | [{p_namei= None; p_type = ty2}, _] ->
          (match Ast_c.unwrap_typeC ty2 with
          | BaseType Void ->  ()
          | _ ->
                (* f "internal error: fixOldCDecl not good" *)
              ()
          )
      | params ->
          params +> List.iter (function
          | ({p_namei = Some s}, _) -> ()
	  | _ -> ()
                (* f "internal error: fixOldCDecl not good" *)
          )
      );
      (* b: c t/f.c.
       * A e C o p s e c:
       *
       *   v a(i)(i x);
       * m a g g a n s a:
       *   x.c:1: e: 'a' d a f r a f
       * J n f p c v. S d c c
       *   v M(f)(i x) { ...} , l p c (a t) q f
       * e u t, e d c p c l p,
       * c q e c l q n p h
       * a a d l r u F e q d
       * p l i d l m s c q g a f
       * u e. H t f t a l d t e
       * a p t (n u t).
       *)
      (match Ast_c.unwrap_typeC fullt with
      | FunctionType _ ->
          let s = Ast_c.str_of_name name in
          let iis = Ast_c.info_of_name name in
          pr2 (spf "WEIRD: %s declared as function returning a function." s);
          pr2 (spf "This is probably because of a macro. Extend standard.h");
          raise (Semantic (spf "error: %s " s, Ast_c.parse_info_of_info iis))
      | _ -> ()
      );

      (* i m b n,c p c o t*)
      {f_name = name;
       f_type = (fullt, (params, abool));
       f_storage = st;
       f_body =
	if !Flag_parsing_c.parsing_header_for_types
	then []
	else cp;
       f_attr = attrs;
       f_old_c_style = old_style_opt;
      },
      (iifunc @ iicp @ [iistart] @ iist)
  | _ ->
      raise
        (Semantic
            ("you are trying to do a function definition but you don't give " ^
             "any parameter", fake_pi))


(*-------------------------------------------------------------------------- *)
(* p *)
(*-------------------------------------------------------------------------- *)

let dt s () =
  if !Flag_parsing_c.debug_etdt then pr2 ("<" ^ s);
  LP.disable_typedef ()

let et s () =
  if !Flag_parsing_c.debug_etdt then pr2 (">" ^ s);
  LP.enable_typedef ()


let fix_add_params_ident x =
  let (s, ty, st, _attrs) = x in
  match Ast_c.unwrap_typeC ty with
  | FunctionType (fullt, (params, bool)) ->

      (match params with
      | [{p_namei=None; p_type=ty2}, _] ->
          (match Ast_c.unwrap_typeC ty2 with
          | BaseType Void -> ()
          | _ ->
              (* f "internal error: fixOldCDecl not good" *)
              ()
          )
      | params ->
          params +> List.iter (function
          | ({p_namei= Some name}, _) ->
              LP.add_ident (Ast_c.str_of_name s)
	  | _ ->
              ()
                (* f "internal error: fixOldCDecl not good" *)
          )
      )
  | _ -> ()

(*-------------------------------------------------------------------------- *)
(* s *)
(*-------------------------------------------------------------------------- *)

let mk_e e ii = Ast_c.mk_e e ii

let mk_string_wrap (s,info) = (s, [info])

(*-------------------------------------------------------------------------- *)
(* s f f w n r t *)
(*-------------------------------------------------------------------------- *)

let args_are_params l =
  match l with
    [Right (ArgAction(ActMisc [x])), ii] when Ast_c.is_fake x -> true
  | _ -> List.for_all (function Right (ArgType x), ii -> true | _ -> false) l
let args_to_params l pb =
  let pi =
    match pb with Some pb -> Ast_c.parse_info_of_info pb | None -> fake_pi in
  match l with
    [(Right (ArgAction(ActMisc [x])), ii)] when Ast_c.is_fake x -> []
  | l ->
      List.map
	(function
	    Right (ArgType x), ii -> x, ii
	  | x ->
	      raise
		(Semantic
		   ("function with no return type must have types in param list",
		    pi)))
	l

(* F f i a a t e o a c o i, t h t
c p i *)
let postfakeInfo pii  =
  let (max,min) =  Lib_parsing_c.max_min_ii_by_pos pii in
  let max_pi = Ast_c.get_info (fun x -> x) max in
  let vp = ({str="";charpos=max_pi.Common.charpos;line=max_pi.Common.line;
	      column=max_pi.Common.column;file=max_pi.Common.file},
	    String.length max_pi.Common.str) in
  { pinfo = FakeTok ("",vp);
    cocci_tag = ref Ast_c.emptyAnnot;
    annots_tag = Token_annot.empty;
    comments_tag = ref Ast_c.emptyComments;
    danger = ref Ast_c.NoDanger;
  }

# 588 "parsing_c/parser_c.ml"
let yytransl_const = [|
    0|]

let yytransl_block = [|
  257 (* TUnknown *);
  258 (* TCommentSpace *);
  259 (* TCommentNewline *);
  260 (* TComment *);
  261 (* TInt *);
  262 (* TFloat *);
  263 (* TChar *);
  264 (* TString *);
  265 (* TQuote *);
  266 (* TPct *);
  267 (* TFormat *);
  268 (* TSubString *);
  269 (* TDecimal *);
  270 (* TIdent *);
  271 (* TKRParam *);
  272 (* Tconstructorname *);
  273 (* TypedefIdent *);
  274 (* TOPar *);
  275 (* TCPar *);
  276 (* TOBrace *);
  277 (* TCBrace *);
  278 (* TOCro *);
  279 (* TCCro *);
  280 (* TDot *);
  281 (* TComma *);
  282 (* TPtrOp *);
  283 (* TInc *);
  284 (* TDec *);
  285 (* TAssign *);
  286 (* TEq *);
  287 (* TWhy *);
  288 (* TTilde *);
  289 (* TBang *);
  290 (* TEllipsis *);
  291 (* TDotDot *);
  292 (* TPtVirg *);
  293 (* TOrLog *);
  294 (* TAndLog *);
  295 (* TOr *);
  296 (* TXor *);
  297 (* TAnd *);
  298 (* TEqEq *);
  299 (* TNotEq *);
  300 (* TInf *);
  301 (* TSup *);
  302 (* TInfEq *);
  303 (* TSupEq *);
  304 (* TShl *);
  305 (* TShr *);
  306 (* TPlus *);
  307 (* TMinus *);
  308 (* TMul *);
  309 (* TDiv *);
  310 (* TMod *);
  311 (* TMax *);
  312 (* TMin *);
  313 (* Tchar *);
  314 (* Tshort *);
  315 (* Tint *);
  316 (* Tdouble *);
  317 (* Tfloat *);
  318 (* Tcomplex *);
  319 (* Tlong *);
  320 (* Tunsigned *);
  321 (* Tsigned *);
  322 (* Tvoid *);
  323 (* Tsize_t *);
  324 (* Tssize_t *);
  325 (* Tptrdiff_t *);
  326 (* Tauto *);
  327 (* Tregister *);
  328 (* Textern *);
  329 (* Tstatic *);
  330 (* Ttypedef *);
  331 (* Tconst *);
  332 (* Tvolatile *);
  333 (* Tstruct *);
  334 (* Tunion *);
  335 (* Tenum *);
  336 (* Tdecimal *);
  337 (* Texec *);
  338 (* Tbreak *);
  339 (* Telse *);
  340 (* Tswitch *);
  341 (* Tcase *);
  342 (* Tcontinue *);
  343 (* Tfor *);
  344 (* Tdo *);
  345 (* Tif *);
  346 (* Twhile *);
  347 (* Treturn *);
  348 (* Tgoto *);
  349 (* Tdefault *);
  350 (* Tsizeof *);
  351 (* Tnew *);
  352 (* Tdelete *);
  353 (* Tdefined *);
  354 (* TOParCplusplusInit *);
  355 (* Tnamespace *);
  356 (* Trestrict *);
  357 (* Tasm *);
  358 (* Tattribute *);
  359 (* TattributeNoarg *);
  360 (* Tinline *);
  361 (* Ttypeof *);
  362 (* TDefine *);
  363 (* TDefParamVariadic *);
  364 (* TCppEscapedNewline *);
  365 (* TCppConcatOp *);
  366 (* TOParDefine *);
  367 (* TOBraceDefineInit *);
  368 (* TIdentDefine *);
  369 (* TDefEOL *);
  370 (* TInclude *);
  371 (* TIncludeStart *);
  372 (* TIncludeFilename *);
  373 (* TIfdef *);
  374 (* TIfdefelif *);
  375 (* TIfdefelse *);
  376 (* TEndif *);
  377 (* TIfdefBool *);
  378 (* TIfdefMisc *);
  379 (* TIfdefVersion *);
  380 (* TUifdef *);
  381 (* TUelseif *);
  382 (* TUendif *);
  383 (* TUndef *);
  384 (* TPrePragma *);
  385 (* TPragma *);
  386 (* TPragmaString *);
  387 (* TCppDirectiveOther *);
  388 (* TMacroAttr *);
  389 (* TMacroEndAttr *);
  390 (* TMacroStmt *);
  391 (* TMacroIdStmt *);
  392 (* TMacroIdentBuilder *);
  393 (* TMacroString *);
  394 (* TMacroDecl *);
  395 (* TMacroDeclConst *);
  396 (* TMacroIterator *);
  397 (* TCommentSkipTagStart *);
  398 (* TCommentSkipTagEnd *);
  399 (* TCParEOL *);
  400 (* TAction *);
  401 (* TCommentMisc *);
  402 (* TCommentCpp *);
    0 (* EOF *);
  403 (* TTODO *);
    0|]

let yylhs = "\255\255\
\001\000\006\000\006\000\006\000\008\000\008\000\008\000\009\000\
\009\000\010\000\010\000\012\000\012\000\012\000\012\000\011\000\
\011\000\011\000\013\000\013\000\004\000\004\000\015\000\015\000\
\015\000\016\000\016\000\018\000\018\000\018\000\018\000\018\000\
\018\000\018\000\018\000\018\000\018\000\018\000\018\000\018\000\
\018\000\018\000\018\000\018\000\018\000\018\000\018\000\018\000\
\017\000\017\000\020\000\020\000\020\000\020\000\020\000\020\000\
\020\000\020\000\020\000\020\000\020\000\020\000\025\000\025\000\
\025\000\025\000\025\000\025\000\024\000\024\000\024\000\024\000\
\024\000\024\000\024\000\023\000\023\000\023\000\023\000\023\000\
\023\000\023\000\023\000\023\000\023\000\028\000\028\000\028\000\
\028\000\028\000\028\000\028\000\028\000\028\000\028\000\028\000\
\031\000\031\000\035\000\035\000\036\000\037\000\037\000\037\000\
\040\000\040\000\040\000\039\000\041\000\044\000\021\000\022\000\
\003\000\045\000\045\000\045\000\045\000\045\000\045\000\045\000\
\045\000\045\000\045\000\045\000\046\000\046\000\046\000\046\000\
\053\000\053\000\055\000\055\000\055\000\034\000\057\000\057\000\
\059\000\059\000\059\000\060\000\060\000\060\000\060\000\060\000\
\047\000\047\000\048\000\048\000\048\000\048\000\048\000\049\000\
\049\000\049\000\049\000\049\000\049\000\049\000\049\000\050\000\
\050\000\050\000\050\000\050\000\050\000\032\000\032\000\051\000\
\051\000\066\000\068\000\068\000\068\000\068\000\068\000\052\000\
\052\000\052\000\052\000\070\000\070\000\070\000\070\000\071\000\
\071\000\069\000\072\000\072\000\072\000\072\000\072\000\072\000\
\072\000\072\000\072\000\072\000\072\000\072\000\072\000\072\000\
\072\000\072\000\072\000\072\000\072\000\072\000\072\000\072\000\
\072\000\072\000\072\000\072\000\072\000\072\000\072\000\072\000\
\072\000\072\000\072\000\072\000\072\000\072\000\072\000\072\000\
\073\000\073\000\073\000\073\000\073\000\073\000\073\000\073\000\
\073\000\073\000\073\000\073\000\073\000\073\000\073\000\073\000\
\073\000\073\000\073\000\073\000\073\000\027\000\076\000\076\000\
\076\000\077\000\077\000\078\000\078\000\079\000\079\000\079\000\
\079\000\081\000\081\000\080\000\080\000\080\000\080\000\080\000\
\080\000\083\000\084\000\088\000\088\000\088\000\089\000\089\000\
\089\000\089\000\089\000\089\000\089\000\089\000\089\000\087\000\
\087\000\091\000\091\000\091\000\091\000\038\000\093\000\093\000\
\094\000\096\000\096\000\096\000\096\000\097\000\082\000\082\000\
\082\000\082\000\005\000\005\000\098\000\099\000\099\000\099\000\
\099\000\101\000\101\000\101\000\106\000\106\000\106\000\106\000\
\106\000\106\000\106\000\106\000\106\000\106\000\105\000\105\000\
\105\000\105\000\107\000\107\000\054\000\092\000\108\000\108\000\
\108\000\103\000\110\000\109\000\109\000\109\000\111\000\111\000\
\104\000\104\000\104\000\029\000\029\000\115\000\115\000\115\000\
\115\000\115\000\117\000\117\000\117\000\030\000\030\000\118\000\
\118\000\118\000\123\000\123\000\123\000\123\000\124\000\124\000\
\124\000\124\000\124\000\124\000\125\000\125\000\127\000\127\000\
\127\000\128\000\128\000\074\000\119\000\131\000\129\000\130\000\
\121\000\121\000\075\000\075\000\075\000\136\000\136\000\137\000\
\061\000\139\000\139\000\140\000\140\000\138\000\138\000\138\000\
\141\000\142\000\142\000\144\000\144\000\143\000\143\000\062\000\
\062\000\062\000\062\000\062\000\062\000\146\000\146\000\145\000\
\145\000\145\000\145\000\145\000\145\000\145\000\145\000\145\000\
\145\000\145\000\145\000\148\000\148\000\148\000\148\000\148\000\
\064\000\064\000\150\000\150\000\149\000\151\000\153\000\152\000\
\063\000\063\000\063\000\063\000\063\000\063\000\063\000\154\000\
\154\000\154\000\154\000\007\000\007\000\002\000\002\000\002\000\
\002\000\002\000\002\000\002\000\002\000\056\000\058\000\133\000\
\135\000\113\000\114\000\120\000\122\000\085\000\086\000\033\000\
\033\000\065\000\065\000\067\000\067\000\026\000\026\000\102\000\
\102\000\132\000\132\000\126\000\126\000\126\000\134\000\134\000\
\134\000\100\000\100\000\100\000\090\000\090\000\042\000\042\000\
\043\000\043\000\014\000\014\000\014\000\116\000\116\000\155\000\
\155\000\095\000\112\000\147\000\147\000\019\000\019\000\000\000\
\000\000\000\000\000\000\000\000"

let yylen = "\002\000\
\002\000\000\000\002\000\006\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\003\000\
\002\000\004\000\001\000\003\000\001\000\003\000\001\000\003\000\
\003\000\001\000\005\000\001\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\001\000\004\000\001\000\002\000\002\000\002\000\002\000\004\000\
\002\000\005\000\002\000\004\000\002\000\004\000\004\000\003\000\
\004\000\003\000\001\000\004\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\004\000\004\000\003\000\003\000\
\003\000\002\000\002\000\005\000\007\000\001\000\001\000\001\000\
\001\000\003\000\001\000\001\000\003\000\001\000\002\000\003\000\
\000\000\002\000\002\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\002\000\005\000\
\006\000\004\000\001\000\004\000\003\000\004\000\006\000\003\000\
\001\000\001\000\002\000\003\000\002\000\003\000\000\000\001\000\
\001\000\001\000\002\000\001\000\001\000\001\000\001\000\001\000\
\001\000\002\000\005\000\007\000\005\000\009\000\011\000\005\000\
\007\000\006\000\007\000\006\000\007\000\005\000\004\000\002\000\
\001\000\001\000\001\000\002\000\003\000\001\000\001\000\002\000\
\001\000\002\000\001\000\004\000\007\000\001\000\000\000\000\000\
\004\000\003\000\002\000\000\000\003\000\003\000\004\000\000\000\
\003\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\002\000\002\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\006\000\004\000\001\000\004\000\004\000\001\000\001\000\001\000\
\001\000\003\000\001\000\002\000\001\000\001\000\002\000\002\000\
\003\000\001\000\001\000\001\000\003\000\003\000\004\000\003\000\
\004\000\001\000\001\000\001\000\001\000\002\000\003\000\002\000\
\003\000\003\000\004\000\002\000\003\000\003\000\004\000\001\000\
\003\000\001\000\002\000\002\000\001\000\001\000\001\000\002\000\
\001\000\001\000\001\000\002\000\002\000\001\000\001\000\001\000\
\002\000\002\000\001\000\002\000\001\000\002\000\003\000\006\000\
\008\000\002\000\001\000\000\000\001\000\001\000\001\000\001\000\
\001\000\002\000\002\000\002\000\002\000\002\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\003\000\
\004\000\001\000\001\000\001\000\002\000\002\000\004\000\005\000\
\001\000\004\000\002\000\001\000\003\000\001\000\004\000\002\000\
\003\000\003\000\002\000\003\000\005\000\001\000\000\000\005\000\
\004\000\002\000\001\000\001\000\002\000\002\000\001\000\001\000\
\005\000\005\000\001\000\001\000\003\000\002\000\001\000\002\000\
\003\000\001\000\002\000\001\000\001\000\001\000\001\000\001\000\
\001\000\000\000\005\000\006\000\002\000\001\000\003\000\001\000\
\001\000\001\000\002\000\001\000\002\000\002\000\003\000\003\000\
\001\000\002\000\001\000\003\000\004\000\001\000\002\000\002\000\
\004\000\007\000\003\000\004\000\001\000\001\000\002\000\001\000\
\001\000\001\000\001\000\002\000\002\000\001\000\005\000\006\000\
\004\000\005\000\000\000\001\000\001\000\001\000\001\000\001\000\
\003\000\001\000\003\000\003\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\005\000\
\005\000\004\000\002\000\001\000\001\000\005\000\001\000\001\000\
\001\000\001\000\005\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\002\000\001\000\002\000\001\000\003\000\001\000\003\000\001\000\
\003\000\001\000\002\000\001\000\004\000\003\000\001\000\004\000\
\003\000\001\000\004\000\003\000\001\000\003\000\001\000\002\000\
\000\000\002\000\000\000\001\000\003\000\001\000\002\000\001\000\
\002\000\001\000\001\000\001\000\000\000\001\000\000\000\002\000\
\002\000\002\000\002\000\002\000"

let yydefred = "\000\000\
\002\000\000\000\000\000\000\000\000\000\000\000\248\001\000\000\
\008\000\000\000\243\000\196\001\226\000\235\000\227\000\000\000\
\000\000\009\000\236\000\238\000\237\000\225\000\232\000\233\000\
\234\000\065\001\066\001\064\001\063\001\068\001\247\000\248\000\
\000\000\000\000\000\000\000\000\000\000\249\000\000\000\000\000\
\000\000\000\000\000\000\000\000\173\001\175\001\174\001\176\001\
\181\001\182\001\183\001\000\000\000\000\149\001\251\000\197\001\
\249\001\191\001\000\000\000\000\189\001\188\001\192\001\194\001\
\246\000\239\000\240\000\000\000\000\000\000\000\069\001\000\000\
\000\000\070\001\000\000\116\001\000\000\117\001\129\001\000\000\
\137\001\139\001\177\001\178\001\180\001\179\001\193\001\087\000\
\088\000\091\000\000\000\000\000\092\000\000\000\013\000\000\000\
\198\001\000\000\000\000\073\000\074\000\145\000\075\000\069\000\
\071\000\072\000\070\000\015\000\000\000\162\000\000\000\000\000\
\161\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\123\000\000\000\000\000\000\000\250\001\000\000\086\000\000\000\
\000\000\021\000\023\000\000\000\000\000\049\000\000\000\000\000\
\000\000\076\000\000\000\115\000\113\000\114\000\116\000\117\000\
\118\000\000\000\000\000\000\000\000\000\011\000\252\001\000\000\
\000\000\038\001\000\000\000\000\001\000\003\000\206\001\000\000\
\231\000\230\000\240\001\101\001\000\000\102\001\005\000\006\000\
\200\001\007\000\000\000\000\000\000\000\000\000\000\000\000\000\
\067\001\061\001\000\000\000\000\144\001\000\000\000\000\000\000\
\187\001\059\001\060\001\062\001\000\000\046\001\003\001\002\001\
\004\001\000\000\000\000\000\000\000\000\000\000\075\001\000\000\
\226\001\138\001\000\000\050\001\058\001\204\001\000\000\000\000\
\134\001\130\001\132\001\000\000\000\000\000\000\000\000\100\000\
\000\000\000\000\000\000\000\000\000\000\052\000\000\000\053\000\
\000\000\000\000\110\000\028\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\014\000\160\000\000\000\055\000\
\000\000\000\000\000\000\000\000\000\000\067\000\000\000\059\000\
\000\000\061\000\000\000\000\000\017\000\000\000\000\000\000\000\
\000\000\000\000\146\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\082\000\083\000\054\000\166\000\167\000\208\001\000\000\119\000\
\000\000\000\000\000\000\141\000\000\000\140\000\138\000\000\000\
\136\000\000\000\142\000\143\000\144\000\036\001\037\001\000\000\
\000\000\000\000\000\000\045\001\000\000\044\001\000\000\026\001\
\207\001\229\001\140\001\000\000\000\000\030\001\000\000\241\001\
\000\000\128\001\000\000\223\001\000\000\000\000\002\000\000\000\
\000\000\250\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\147\001\
\000\000\000\000\000\000\105\000\106\000\216\001\107\000\109\000\
\000\000\000\000\000\000\243\001\077\001\000\000\000\000\010\001\
\000\000\000\000\039\001\040\001\255\000\000\000\000\000\047\001\
\074\001\000\000\000\000\000\000\000\000\104\001\000\000\000\000\
\107\001\108\001\000\000\000\000\118\001\103\001\218\001\000\000\
\000\000\136\001\131\001\135\001\133\001\101\000\099\000\090\000\
\098\000\019\000\000\000\093\000\096\000\000\000\221\000\222\000\
\224\000\223\000\000\000\218\000\213\000\214\000\211\000\212\000\
\217\000\194\000\195\000\197\000\196\000\215\000\216\000\000\000\
\205\000\204\000\209\000\210\000\208\000\198\000\199\000\203\000\
\202\000\201\000\200\000\207\000\206\000\187\000\188\000\189\000\
\190\000\191\000\193\000\192\000\220\000\219\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\130\000\128\000\129\000\000\000\000\000\000\000\000\000\
\102\000\000\000\214\001\103\000\104\000\108\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\164\001\165\001\167\001\
\168\001\166\001\000\000\236\001\000\000\000\000\022\000\125\000\
\024\000\025\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\029\000\030\000\033\000\032\000\031\000\
\112\000\000\000\079\000\000\000\000\000\080\000\081\000\209\001\
\000\000\000\000\000\000\199\001\134\000\139\000\020\001\000\000\
\016\001\000\000\000\000\000\000\000\000\000\000\002\000\141\001\
\000\000\000\000\000\000\000\000\033\001\027\001\028\001\000\000\
\000\000\000\000\000\000\242\000\000\000\000\000\000\000\000\000\
\210\001\000\000\245\000\244\000\000\000\000\000\000\000\000\000\
\000\000\202\001\000\000\000\000\000\000\086\001\000\000\000\000\
\084\001\000\000\238\001\157\001\156\001\145\001\151\001\148\001\
\234\001\000\000\000\000\186\001\005\001\000\000\000\000\011\001\
\000\000\006\001\008\001\000\000\041\001\042\001\001\001\228\001\
\000\000\000\000\081\001\072\001\000\000\000\000\000\000\000\000\
\000\000\119\001\110\001\000\000\000\000\220\001\000\000\000\000\
\205\001\097\001\219\001\078\001\000\000\000\000\000\000\000\000\
\000\000\124\000\179\000\000\000\000\000\126\000\000\000\000\000\
\000\000\000\000\000\000\000\000\064\000\000\000\066\000\000\000\
\232\001\000\000\000\000\000\000\060\000\062\000\000\000\000\000\
\000\000\122\000\018\000\000\000\170\001\159\000\000\000\000\000\
\000\000\000\000\050\000\078\000\077\000\000\000\015\001\017\001\
\021\001\018\001\000\000\022\001\000\000\000\000\025\001\230\001\
\032\001\000\000\225\001\000\000\201\001\123\001\127\001\000\000\
\190\001\000\000\000\000\174\000\000\000\212\001\211\001\195\001\
\000\000\000\000\000\000\000\000\000\000\091\001\000\000\000\000\
\000\000\203\001\000\000\088\001\000\000\239\001\184\001\185\001\
\217\001\000\000\000\000\007\001\009\001\227\001\073\001\000\000\
\083\001\000\000\096\001\000\000\000\000\115\001\000\000\109\001\
\000\000\120\001\112\001\020\000\000\000\178\000\000\000\000\000\
\000\000\000\000\149\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\152\000\063\000\065\000\000\000\215\001\068\000\
\120\000\000\000\000\000\237\001\000\000\158\000\027\000\084\000\
\000\000\019\001\023\001\004\000\124\001\224\001\241\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\092\001\000\000\
\090\001\085\001\000\000\000\000\089\001\079\001\000\000\000\000\
\048\001\000\000\000\000\000\000\222\001\000\000\113\001\185\000\
\000\000\000\000\000\000\177\000\127\000\154\000\000\000\156\000\
\000\000\000\000\000\000\121\000\000\000\169\001\000\000\000\000\
\000\000\186\000\000\000\000\000\213\001\000\000\000\000\146\001\
\000\000\244\001\159\001\087\001\080\001\082\001\000\000\106\001\
\105\001\221\001\000\000\181\000\182\000\155\000\157\000\153\000\
\148\000\000\000\000\000\000\000\085\000\172\000\000\000\000\000\
\093\001\049\001\183\000\000\000\000\000\171\001\172\001\000\000\
\000\000\150\000\000\000\000\000\173\000\151\000"

let yydgoto = "\006\000\
\007\000\057\000\141\002\134\000\159\000\008\000\166\000\061\002\
\136\001\135\000\158\000\137\000\155\001\235\001\138\000\139\000\
\140\000\141\000\244\001\142\000\143\000\010\002\144\000\145\000\
\253\000\218\001\060\000\146\000\063\002\042\002\225\000\147\000\
\088\001\148\000\226\000\151\001\219\001\109\001\221\001\110\001\
\111\001\222\001\112\001\210\002\149\000\150\000\151\000\152\000\
\153\000\154\000\089\001\199\001\211\001\212\001\055\001\155\000\
\056\001\021\002\057\001\058\001\062\000\060\001\061\001\142\002\
\048\002\049\002\173\002\174\002\035\003\218\002\112\002\200\001\
\065\000\066\000\067\000\068\000\069\000\145\001\203\000\204\000\
\205\000\126\001\121\001\082\002\067\001\075\001\076\001\024\002\
\069\001\077\001\078\001\079\001\038\002\039\002\172\000\162\000\
\163\000\070\001\071\000\206\000\072\000\113\001\131\001\092\002\
\185\000\074\000\075\000\207\000\208\000\209\000\117\001\118\001\
\064\002\188\002\065\002\066\002\067\002\076\000\077\000\216\000\
\140\001\106\002\078\000\141\001\142\001\101\002\102\002\103\002\
\104\002\211\002\143\001\144\001\180\000\083\001\166\002\084\001\
\085\001\079\000\221\000\222\000\080\000\081\000\210\000\082\000\
\103\001\106\001\043\003\236\001\143\002\030\003\084\000\085\000\
\086\000\087\000\173\000"

let yysindex = "\157\003\
\000\000\086\010\246\017\014\022\002\020\000\000\000\000\229\010\
\000\000\091\255\000\000\000\000\000\000\000\000\000\000\075\255\
\143\255\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\025\255\025\255\068\001\111\255\193\255\000\000\197\255\204\255\
\126\027\017\000\198\255\208\255\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\215\255\079\000\000\000\000\000\000\000\
\000\000\000\000\065\255\126\027\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\126\027\126\027\119\000\000\000\219\255\
\054\000\000\000\126\027\000\000\094\001\000\000\000\000\236\026\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\076\000\000\000\047\000\000\000\253\019\
\000\000\014\022\014\022\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\044\255\000\000\188\000\014\022\
\000\000\233\000\246\017\245\000\251\000\014\022\044\001\247\000\
\014\022\012\010\090\020\128\000\031\255\007\001\220\000\038\001\
\000\000\047\001\000\000\076\001\000\000\099\255\000\000\000\000\
\066\001\000\000\000\000\187\000\141\025\000\000\002\020\017\002\
\014\022\000\000\038\255\000\000\000\000\000\000\000\000\000\000\
\000\000\073\001\094\016\047\000\087\001\000\000\000\000\002\020\
\002\020\000\000\059\000\107\001\000\000\000\000\000\000\066\025\
\000\000\000\000\000\000\000\000\025\255\000\000\000\000\000\000\
\000\000\000\000\104\001\033\255\014\022\124\001\038\255\138\001\
\000\000\000\000\210\018\182\013\000\000\049\001\051\001\224\012\
\000\000\000\000\000\000\000\000\241\001\000\000\000\000\000\000\
\000\000\048\255\227\000\128\255\194\001\119\255\000\000\015\255\
\000\000\000\000\171\001\000\000\000\000\000\000\191\001\211\023\
\000\000\000\000\000\000\119\000\056\027\229\001\201\001\000\000\
\206\001\076\000\215\001\249\255\214\001\000\000\002\020\000\000\
\212\028\014\022\000\000\000\000\009\001\104\018\148\001\014\022\
\014\022\087\001\047\000\014\022\000\000\000\000\230\016\000\000\
\002\020\224\001\225\001\075\013\218\001\000\000\231\001\000\000\
\053\255\000\000\038\255\238\001\000\000\245\001\075\013\210\001\
\052\011\014\022\000\000\230\016\014\022\014\022\014\022\014\022\
\014\022\014\022\014\022\014\022\014\022\014\022\014\022\014\022\
\014\022\014\022\014\022\014\022\014\022\014\022\014\022\014\022\
\014\022\014\022\014\022\247\001\159\011\014\022\033\255\033\255\
\000\000\000\000\000\000\000\000\000\000\000\000\038\255\000\000\
\000\000\014\022\232\001\000\000\237\001\000\000\000\000\252\001\
\000\000\094\016\000\000\000\000\000\000\000\000\000\000\251\002\
\138\020\209\000\212\025\000\000\224\000\000\000\254\001\000\000\
\000\000\000\000\000\000\000\002\006\002\000\000\014\001\000\000\
\033\255\000\000\007\002\000\000\249\001\104\000\000\000\026\255\
\002\002\000\000\014\002\023\002\246\017\054\255\210\001\203\019\
\000\000\099\255\000\000\094\016\000\000\104\255\189\001\000\000\
\051\001\192\001\167\001\000\000\000\000\000\000\000\000\000\000\
\051\255\032\002\062\255\000\000\000\000\000\000\128\255\000\000\
\187\020\066\025\000\000\000\000\000\000\194\001\218\000\000\000\
\000\000\224\012\235\020\224\012\211\023\000\000\035\002\040\002\
\000\000\000\000\046\002\038\002\000\000\000\000\000\000\211\023\
\048\255\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\209\001\000\000\000\000\247\001\000\000\000\000\
\000\000\000\000\039\002\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\053\255\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\033\002\212\028\
\145\000\014\022\230\016\028\021\028\021\054\002\225\000\242\000\
\087\001\000\000\000\000\000\000\247\001\010\012\117\012\188\001\
\000\000\243\000\000\000\000\000\000\000\000\000\014\022\014\022\
\059\002\067\002\038\255\014\022\006\001\000\000\000\000\000\000\
\000\000\000\000\022\001\000\000\110\017\035\001\000\000\000\000\
\000\000\000\000\087\001\058\002\058\005\128\010\089\005\228\004\
\112\004\080\004\080\004\195\004\195\004\195\004\195\004\246\002\
\246\002\088\003\088\003\000\000\000\000\000\000\000\000\000\000\
\000\000\076\021\000\000\048\001\173\000\000\000\000\000\000\000\
\125\001\230\016\230\016\000\000\000\000\000\000\000\000\070\002\
\000\000\072\002\224\000\000\002\125\021\066\025\000\000\000\000\
\142\025\154\003\025\255\147\000\000\000\000\000\000\000\007\002\
\177\001\075\002\014\022\000\000\014\022\096\026\244\000\064\002\
\000\000\065\002\000\000\000\000\013\002\038\255\087\002\053\001\
\047\000\000\000\014\022\165\255\071\002\000\000\082\002\060\019\
\000\000\212\255\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\182\255\224\012\000\000\000\000\038\255\095\002\000\000\
\089\002\000\000\000\000\000\002\000\000\000\000\000\000\000\000\
\218\000\067\001\000\000\000\000\060\019\080\001\038\002\224\012\
\224\012\000\000\000\000\025\255\252\255\000\000\080\002\014\022\
\000\000\000\000\000\000\000\000\109\002\104\002\111\002\212\028\
\057\001\000\000\000\000\246\017\091\002\000\000\173\021\222\021\
\014\022\110\017\110\017\104\002\000\000\097\001\000\000\129\001\
\000\000\205\010\224\012\079\001\000\000\000\000\093\002\135\002\
\139\001\000\000\000\000\210\001\000\000\000\000\110\017\110\017\
\014\022\110\019\000\000\000\000\000\000\230\016\000\000\000\000\
\000\000\000\000\107\002\000\000\000\002\166\026\000\000\000\000\
\000\000\075\002\000\000\177\001\000\000\000\000\000\000\144\002\
\000\000\148\002\044\255\000\000\142\002\000\000\000\000\000\000\
\150\002\152\002\038\255\214\015\046\000\000\000\203\019\203\019\
\153\002\000\000\082\002\000\000\203\019\000\000\000\000\000\000\
\000\000\156\002\038\255\000\000\000\000\000\000\000\000\082\002\
\000\000\136\000\000\000\150\001\163\001\000\000\044\019\000\000\
\014\022\000\000\000\000\000\000\039\002\000\000\014\022\158\002\
\163\002\212\028\000\000\230\016\110\017\165\001\110\017\178\001\
\180\001\098\002\000\000\000\000\000\000\218\001\000\000\000\000\
\000\000\154\002\246\017\000\000\207\000\000\000\000\000\000\000\
\082\002\000\000\000\000\000\000\000\000\000\000\000\000\014\022\
\155\002\244\000\014\022\093\002\161\002\074\002\000\000\014\022\
\000\000\000\000\166\002\167\002\000\000\000\000\174\002\167\002\
\000\000\235\020\223\002\226\002\000\000\044\019\000\000\000\000\
\109\001\057\001\057\001\000\000\000\000\000\000\110\017\000\000\
\110\017\227\002\110\017\000\000\182\002\000\000\110\017\110\017\
\173\002\000\000\249\002\007\003\000\000\185\001\154\002\000\000\
\252\002\000\000\000\000\000\000\000\000\000\000\236\002\000\000\
\000\000\000\000\057\001\000\000\000\000\000\000\000\000\000\000\
\000\000\045\001\157\002\207\000\000\000\000\000\000\003\227\002\
\000\000\000\000\000\000\246\017\246\017\000\000\000\000\014\022\
\159\002\000\000\006\003\246\017\000\000\000\000"

let yyrindex = "\000\000\
\000\000\168\002\000\000\000\000\000\000\000\000\000\000\168\002\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\179\003\
\039\004\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\057\002\094\002\000\000\000\000\000\000\000\000\000\000\000\000\
\230\005\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\122\017\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\054\022\063\022\000\000\000\000\000\000\
\129\023\000\000\100\022\000\000\000\000\000\000\000\000\168\002\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\138\005\021\003\000\000\224\027\000\000\009\028\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\253\002\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\187\005\000\000\000\000\000\000\000\000\007\028\
\000\000\000\000\000\000\097\002\176\000\000\000\000\000\250\006\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\052\255\178\002\032\004\000\000\000\000\073\009\
\253\009\000\000\010\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\043\255\000\000\000\000\000\000\
\000\000\000\000\155\004\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\083\255\000\000\000\000\000\000\067\255\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\154\024\000\000\191\022\117\001\000\000\000\000\062\000\
\000\000\000\000\000\000\000\000\000\000\000\000\015\005\013\003\
\000\000\000\000\000\000\000\000\168\002\000\000\000\000\000\000\
\000\000\021\003\000\000\000\000\000\000\000\000\000\000\000\000\
\012\003\000\000\000\000\000\000\000\000\168\002\000\000\000\000\
\000\000\016\003\011\006\000\000\000\000\000\000\168\002\000\000\
\000\000\000\000\170\006\000\000\043\007\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\212\001\
\000\000\000\000\000\000\168\002\000\000\000\000\022\003\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\121\006\000\000\
\073\024\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\120\255\000\000\000\000\000\000\000\000\000\000\026\026\
\000\000\023\000\000\000\000\000\090\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\037\003\000\000\068\255\000\000\
\000\000\000\000\038\003\000\000\108\001\000\000\000\000\039\003\
\000\000\000\000\000\000\000\000\000\000\000\000\212\001\000\000\
\062\014\209\002\198\014\168\002\078\015\210\002\000\000\000\000\
\211\002\000\000\067\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\246\024\035\023\000\000\
\000\000\000\000\000\000\000\000\000\000\151\002\000\000\000\000\
\000\000\222\001\000\000\222\001\013\003\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\048\003\
\072\255\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\056\003\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\098\028\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\012\003\
\000\000\000\000\168\002\000\000\000\000\000\000\000\000\000\000\
\035\003\000\000\000\000\000\000\000\000\000\000\000\000\226\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\053\003\000\000\051\008\242\005\237\008\210\008\
\010\004\219\006\092\007\138\008\181\008\005\009\038\009\058\008\
\100\008\233\007\011\008\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\157\255\177\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\100\000\000\000\000\000\000\000\000\000\000\000\
\000\000\026\026\085\255\040\255\000\000\000\000\000\000\038\003\
\051\003\000\000\000\000\000\000\000\000\168\002\031\000\099\003\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\009\029\000\000\000\000\000\000\000\000\000\000\038\003\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\067\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\222\001\
\222\001\000\000\000\000\169\000\000\000\000\000\113\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\012\003\
\155\028\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\123\007\000\000\000\000\000\000\000\000\
\000\000\000\000\222\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\030\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\168\002\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\087\000\000\000\000\000\048\000\000\000\000\000\000\000\
\000\000\000\000\000\000\083\255\000\000\000\000\000\000\051\003\
\000\000\000\000\038\003\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\038\003\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\098\028\000\000\000\000\000\000\
\000\000\012\003\000\000\168\002\000\000\000\000\000\000\000\000\
\000\000\126\009\000\000\000\000\000\000\178\007\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\038\003\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\031\000\000\000\024\003\000\000\000\000\000\000\000\000\
\000\000\000\000\025\003\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\155\028\155\028\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\033\003\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\155\028\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\034\003\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000"

let yygindex = "\000\000\
\000\000\000\000\255\255\007\000\121\000\199\254\146\004\235\255\
\002\000\187\255\253\255\004\000\000\000\054\003\117\000\164\000\
\157\000\232\025\000\000\230\000\041\001\182\254\000\000\000\000\
\020\002\082\255\160\000\000\000\079\254\014\254\181\003\161\255\
\005\004\201\255\000\000\000\000\000\000\050\001\000\000\000\254\
\000\000\193\002\052\003\195\255\000\000\000\000\057\255\000\000\
\000\000\000\000\030\255\087\254\000\255\018\000\000\000\000\000\
\000\000\000\000\036\255\077\255\116\255\001\000\015\000\214\004\
\000\000\115\002\000\000\170\001\093\001\129\253\213\001\000\000\
\000\000\000\000\000\000\108\010\251\255\192\255\133\255\074\255\
\000\000\000\000\000\000\085\002\025\000\251\254\208\254\130\255\
\217\254\000\000\000\000\005\000\000\000\000\000\230\255\000\000\
\139\255\000\000\000\000\000\000\000\000\190\254\221\001\164\001\
\016\000\077\002\000\000\000\000\000\000\161\254\000\000\030\003\
\141\254\216\253\230\254\000\000\112\002\000\000\000\000\218\003\
\046\003\086\002\000\000\000\000\000\000\000\000\118\253\000\000\
\079\002\227\001\040\003\000\000\007\004\109\003\029\002\253\253\
\000\000\000\000\000\000\151\254\000\000\000\000\000\000\000\000\
\012\002\098\003\000\000\101\002\003\000\145\001\055\253\152\001\
\061\253\000\000\000\000"

let yytablesize = 7745
let yytable = "\136\000\
\201\000\133\000\063\000\059\000\083\000\202\000\070\000\174\000\
\100\001\043\001\157\000\240\001\070\000\179\000\059\001\093\002\
\064\000\073\000\028\002\061\000\119\001\089\002\012\001\073\000\
\217\000\061\000\027\002\171\000\171\000\046\002\115\002\088\002\
\226\001\044\001\168\000\031\003\068\001\163\002\204\001\066\001\
\229\000\032\003\062\001\063\001\129\001\044\001\243\000\101\001\
\003\001\095\000\237\000\046\001\201\002\162\002\002\001\215\000\
\242\001\009\000\012\001\242\001\047\002\242\001\242\001\090\002\
\012\001\094\002\156\000\242\001\013\003\074\002\032\002\054\002\
\135\000\084\002\193\002\075\002\185\002\242\001\242\001\078\002\
\219\000\125\001\192\000\110\002\220\000\233\001\029\001\046\001\
\229\001\013\001\238\001\233\001\029\001\022\002\108\000\073\000\
\076\001\218\000\139\001\014\001\193\000\076\001\228\000\031\001\
\242\001\018\000\004\001\076\001\167\000\031\001\233\000\136\000\
\130\001\239\000\031\003\245\000\083\002\156\000\012\002\086\001\
\032\003\034\002\246\000\010\001\242\000\065\001\040\000\201\000\
\181\000\055\002\231\002\050\003\114\001\201\000\011\001\068\002\
\169\000\079\002\124\002\198\000\137\000\126\000\187\002\127\001\
\199\000\167\000\052\003\053\003\115\001\120\001\201\000\136\000\
\012\001\052\001\128\001\200\000\055\000\083\000\053\001\070\000\
\246\002\126\000\045\001\046\001\160\000\146\001\148\001\080\001\
\130\000\076\001\073\000\200\002\054\001\059\001\045\001\026\000\
\245\000\133\000\175\000\067\003\116\001\176\000\012\001\082\001\
\136\000\242\001\097\001\225\001\130\000\052\001\083\000\164\002\
\102\001\076\002\098\001\163\001\066\001\131\000\214\002\124\001\
\004\003\097\000\118\002\073\000\170\000\099\001\182\000\016\002\
\037\002\233\001\029\001\036\002\126\000\008\003\183\000\059\001\
\137\001\191\002\083\000\044\003\052\001\184\000\149\001\046\003\
\241\002\220\000\178\000\031\001\122\001\158\002\138\001\069\002\
\137\000\059\002\036\002\060\002\073\000\157\002\147\001\130\000\
\201\001\189\002\220\000\136\000\017\002\210\001\207\001\208\001\
\016\002\198\002\209\001\220\000\027\002\073\000\033\003\205\001\
\136\002\052\001\087\002\026\002\119\002\120\002\073\000\036\001\
\136\000\201\000\210\001\156\001\236\000\133\000\035\002\139\001\
\220\000\010\001\240\001\235\000\207\002\243\001\153\002\000\001\
\156\002\254\000\139\001\073\000\043\001\204\002\205\002\208\002\
\201\000\131\000\187\000\245\000\245\000\202\000\052\001\126\002\
\128\002\012\001\014\002\015\002\013\002\043\001\160\000\092\001\
\020\003\175\000\132\000\091\001\108\001\188\000\136\000\175\000\
\052\001\201\000\052\001\081\002\083\000\053\001\070\000\160\000\
\160\000\175\000\170\000\189\000\255\002\201\000\190\000\230\000\
\232\000\073\000\100\002\054\001\064\001\245\000\197\002\000\003\
\065\001\236\000\170\000\178\002\082\001\223\000\071\001\224\000\
\235\000\136\000\160\000\053\002\191\000\030\002\248\000\158\001\
\136\000\071\001\052\001\199\000\211\000\014\003\083\000\053\001\
\070\000\171\000\113\002\194\002\013\001\119\001\200\000\171\000\
\217\001\213\001\013\001\073\000\254\000\054\001\014\001\160\000\
\086\002\171\000\044\002\217\001\014\001\217\001\239\001\219\000\
\045\002\241\001\242\001\046\001\156\000\137\001\160\000\083\000\
\197\000\111\001\231\000\231\000\117\002\156\000\132\000\122\001\
\137\001\001\001\083\000\138\001\111\001\118\002\093\002\243\002\
\160\000\217\001\198\000\227\000\001\003\002\003\138\001\199\000\
\156\000\249\000\005\003\116\002\034\002\129\001\036\002\052\001\
\065\001\010\001\200\000\009\003\236\000\236\000\236\000\236\000\
\236\000\236\000\236\000\236\000\236\000\236\000\236\000\236\000\
\236\000\236\000\236\000\236\000\236\000\236\000\236\000\236\000\
\212\000\114\001\026\000\149\002\026\000\010\001\026\000\136\000\
\026\000\210\001\013\001\114\001\114\001\234\000\236\000\220\000\
\253\002\026\000\026\000\026\000\014\001\235\000\046\001\013\001\
\014\001\074\001\073\000\021\003\201\000\236\000\201\000\155\002\
\007\003\114\001\064\001\126\000\235\000\132\002\065\001\156\000\
\013\001\136\000\137\002\197\000\126\000\167\002\046\001\168\002\
\156\000\167\000\014\001\122\002\197\000\029\002\108\001\091\002\
\108\001\010\001\238\000\170\002\236\000\181\002\130\000\126\000\
\100\001\009\000\199\000\062\002\123\002\130\002\240\000\130\000\
\161\002\171\002\010\001\131\002\241\000\200\000\136\000\136\000\
\210\001\210\001\192\002\201\000\005\001\236\000\220\000\220\000\
\138\002\247\000\130\000\156\000\235\000\171\000\131\002\034\002\
\026\000\073\000\073\000\065\001\160\000\245\000\182\002\101\001\
\139\002\219\000\202\001\203\001\082\001\220\001\140\002\160\000\
\172\002\018\000\070\000\030\002\006\001\144\002\199\000\007\001\
\220\001\243\000\220\001\131\002\095\000\073\000\026\000\061\000\
\008\001\200\000\148\002\043\000\046\000\047\000\126\000\180\002\
\131\002\206\002\217\001\217\001\044\000\140\002\215\002\126\000\
\216\002\175\000\217\002\046\001\176\000\199\002\220\001\177\000\
\052\000\149\001\053\000\075\002\054\000\009\001\171\000\244\000\
\028\000\130\000\202\002\046\001\012\001\232\002\236\000\010\001\
\075\002\108\000\130\000\175\000\048\001\235\000\176\000\010\001\
\136\000\214\000\219\002\228\002\074\001\186\000\136\000\136\000\
\071\001\131\002\126\000\177\000\133\002\222\002\224\002\225\002\
\126\001\178\000\254\000\051\003\126\001\010\001\254\000\254\000\
\194\000\201\000\254\000\136\000\136\000\254\000\100\002\087\001\
\195\000\196\000\136\000\229\002\210\001\130\000\000\001\213\000\
\126\000\131\002\220\000\178\000\090\001\235\002\202\001\150\002\
\245\000\104\001\070\000\010\001\149\001\073\000\147\002\082\001\
\011\003\068\003\069\003\074\001\249\002\073\000\075\002\061\000\
\136\000\010\000\097\001\130\000\105\001\012\003\083\000\023\003\
\102\001\236\000\098\001\075\002\132\001\010\001\243\000\108\001\
\235\000\095\000\041\003\073\000\025\003\099\001\026\003\236\000\
\201\000\236\000\010\001\064\003\010\001\100\002\235\000\219\000\
\235\000\010\001\214\000\150\001\108\001\108\001\152\001\236\000\
\136\000\136\000\210\001\136\000\236\000\017\003\235\000\230\001\
\220\000\254\000\231\001\062\002\154\001\254\000\235\001\136\000\
\157\001\029\003\199\000\073\000\235\001\206\001\108\000\223\001\
\233\001\214\001\215\001\232\001\231\001\200\000\233\001\108\001\
\097\000\236\000\231\001\172\002\254\000\224\001\156\000\227\001\
\062\002\038\003\197\000\254\000\236\000\239\002\228\001\220\001\
\220\001\009\002\018\002\235\000\031\000\032\000\149\001\019\002\
\020\002\031\002\073\001\136\000\050\002\136\000\043\002\136\000\
\233\001\199\000\043\000\136\000\136\000\126\000\033\002\041\002\
\051\002\254\000\037\001\044\000\200\000\038\000\038\001\040\000\
\039\001\052\002\040\001\041\001\042\001\070\002\236\000\052\000\
\072\002\053\000\077\002\054\000\096\002\062\002\107\001\016\000\
\130\000\097\002\105\002\156\000\234\001\109\002\111\002\197\000\
\136\000\136\000\073\003\074\003\114\002\055\000\099\001\121\002\
\136\000\099\001\078\003\216\001\099\001\134\002\043\000\074\001\
\098\002\099\002\160\002\236\000\236\000\135\002\199\000\044\000\
\151\002\236\000\062\002\062\002\145\002\126\000\152\002\165\002\
\062\002\200\000\047\002\052\000\176\002\053\000\177\002\054\000\
\179\002\183\002\184\002\100\001\034\003\236\000\100\001\080\002\
\195\002\100\001\098\002\028\000\235\000\028\000\099\001\028\000\
\130\000\028\000\212\002\146\002\213\002\220\002\091\002\028\000\
\233\002\242\002\028\000\028\000\028\000\028\000\028\000\028\000\
\028\000\028\000\028\000\028\000\028\000\028\000\028\000\028\000\
\028\000\028\000\028\000\028\000\028\000\028\000\028\000\028\000\
\028\000\234\002\126\000\100\001\236\000\001\000\002\000\003\000\
\004\000\005\000\247\002\235\000\000\001\248\002\250\002\251\002\
\000\001\000\001\252\002\018\003\000\001\003\003\006\003\000\001\
\019\003\036\003\229\000\039\003\027\003\130\000\010\000\010\000\
\010\000\010\000\040\003\186\002\034\003\028\003\042\003\010\000\
\045\003\061\003\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\028\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\028\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\048\003\000\001\010\000\049\003\056\003\000\001\
\058\003\044\000\010\000\062\003\064\001\023\002\063\003\066\003\
\065\001\072\003\065\003\010\000\048\000\010\000\010\000\010\000\
\077\003\010\000\010\000\010\000\076\003\097\000\000\001\251\001\
\163\000\122\001\010\000\199\000\010\000\000\001\228\000\029\001\
\030\001\031\001\032\001\033\001\034\001\035\001\200\000\176\000\
\010\000\052\001\010\000\164\000\010\000\010\000\010\000\024\001\
\247\001\169\000\095\001\010\000\016\000\016\000\016\000\016\000\
\010\000\152\001\155\001\150\001\121\001\016\000\165\000\094\001\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\246\001\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\168\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\161\001\245\001\016\000\031\001\032\001\033\001\034\001\035\001\
\016\000\162\001\160\001\058\000\056\002\230\002\153\001\047\001\
\129\002\016\000\125\001\016\000\016\000\016\000\073\002\016\000\
\016\000\016\000\175\002\037\003\075\003\196\002\010\003\156\000\
\016\000\016\003\016\000\034\002\023\002\047\003\108\002\065\001\
\133\001\190\002\095\002\015\003\203\002\209\002\016\000\107\002\
\016\000\081\001\016\000\016\000\016\000\040\002\245\002\254\002\
\229\000\016\000\199\000\229\000\229\000\229\000\016\000\229\000\
\229\000\229\000\071\002\229\000\071\003\200\000\000\000\229\000\
\229\000\229\000\070\003\000\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\236\002\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\000\000\000\000\000\000\126\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\098\001\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\229\000\000\000\
\229\000\000\000\229\000\229\000\044\000\000\000\044\000\229\000\
\044\000\130\000\044\000\229\000\000\000\000\000\000\000\000\000\
\044\000\000\000\000\000\044\000\044\000\044\000\044\000\044\000\
\044\000\044\000\044\000\000\000\228\000\000\000\229\000\228\000\
\228\000\228\000\229\000\228\000\228\000\228\000\000\000\228\000\
\000\000\229\000\000\000\228\000\228\000\228\000\000\000\000\000\
\228\000\228\000\228\000\228\000\228\000\228\000\228\000\228\000\
\228\000\228\000\228\000\228\000\228\000\228\000\228\000\228\000\
\228\000\228\000\228\000\228\000\228\000\228\000\228\000\228\000\
\228\000\228\000\228\000\228\000\000\000\228\000\228\000\228\000\
\228\000\228\000\228\000\228\000\228\000\228\000\228\000\228\000\
\228\000\228\000\228\000\228\000\228\000\228\000\228\000\000\000\
\000\000\000\000\044\000\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\000\000\089\000\228\000\000\000\228\000\000\000\228\000\228\000\
\000\000\000\000\000\000\228\000\000\000\000\000\000\000\228\000\
\044\000\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\125\001\000\000\228\000\125\001\125\001\125\001\228\000\125\001\
\125\001\125\001\000\000\125\001\000\000\228\000\000\000\125\001\
\125\001\125\001\094\000\000\000\125\001\125\001\125\001\125\001\
\125\001\125\001\125\001\125\001\125\001\125\001\125\001\125\001\
\125\001\125\001\125\001\125\001\125\001\125\001\125\001\125\001\
\125\001\125\001\125\001\125\001\125\001\125\001\125\001\125\001\
\000\000\125\001\125\001\125\001\125\001\125\001\125\001\125\001\
\125\001\125\001\125\001\125\001\125\001\125\001\125\001\125\001\
\125\001\125\001\125\001\000\000\000\000\000\000\000\000\000\000\
\000\000\047\000\027\001\028\001\029\001\030\001\031\001\032\001\
\033\001\034\001\035\001\000\000\000\000\000\000\125\001\000\000\
\125\001\000\000\125\001\125\001\000\000\000\000\000\000\125\001\
\000\000\000\000\012\000\125\001\020\001\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\032\001\033\001\034\001\035\001\098\001\000\000\125\001\098\001\
\098\001\098\001\125\001\098\001\098\001\098\001\000\000\098\001\
\000\000\125\001\000\000\098\001\098\001\098\001\000\000\000\000\
\098\001\098\001\098\001\098\001\098\001\098\001\098\001\098\001\
\098\001\098\001\098\001\098\001\098\001\098\001\098\001\098\001\
\098\001\098\001\098\001\098\001\098\001\098\001\098\001\098\001\
\098\001\098\001\098\001\098\001\000\000\098\001\098\001\098\001\
\098\001\098\001\098\001\098\001\098\001\098\001\098\001\098\001\
\098\001\098\001\098\001\098\001\098\001\098\001\098\001\017\001\
\018\001\019\001\020\001\021\001\022\001\023\001\024\001\025\001\
\026\001\027\001\028\001\029\001\030\001\031\001\032\001\033\001\
\034\001\035\001\098\001\000\000\098\001\000\000\098\001\098\001\
\095\000\000\000\000\000\098\001\000\000\000\000\000\000\098\001\
\019\001\020\001\021\001\022\001\023\001\024\001\025\001\026\001\
\027\001\028\001\029\001\030\001\031\001\032\001\033\001\034\001\
\035\001\166\000\098\001\000\000\000\000\000\000\098\001\000\000\
\000\000\000\000\000\000\089\000\089\000\098\001\089\000\089\000\
\089\000\089\000\089\000\089\000\089\000\089\000\089\000\089\000\
\089\000\243\000\000\000\089\000\089\000\089\000\089\000\089\000\
\089\000\089\000\089\000\089\000\089\000\089\000\089\000\089\000\
\089\000\089\000\089\000\089\000\089\000\089\000\089\000\089\000\
\089\000\089\000\167\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\094\000\094\000\000\000\094\000\
\094\000\094\000\094\000\094\000\094\000\094\000\094\000\094\000\
\094\000\094\000\042\000\000\000\094\000\094\000\094\000\094\000\
\094\000\094\000\094\000\094\000\094\000\094\000\094\000\094\000\
\094\000\094\000\094\000\094\000\094\000\094\000\094\000\094\000\
\094\000\094\000\094\000\056\001\000\000\000\000\000\000\056\001\
\056\001\051\000\089\000\056\001\000\000\000\000\056\001\000\000\
\000\000\000\000\000\000\000\000\047\000\000\000\047\000\000\000\
\047\000\056\001\047\000\000\000\000\000\000\000\056\001\000\000\
\047\000\000\000\166\000\047\000\047\000\047\000\047\000\047\000\
\089\000\056\001\000\000\000\000\012\000\012\000\000\000\012\000\
\012\000\012\000\012\000\012\000\012\000\012\000\012\000\012\000\
\012\000\012\000\057\000\094\000\012\000\012\000\012\000\012\000\
\012\000\012\000\012\000\012\000\012\000\012\000\012\000\012\000\
\012\000\012\000\012\000\012\000\012\000\012\000\012\000\012\000\
\012\000\012\000\012\000\167\000\000\000\000\000\000\000\000\000\
\000\000\094\000\000\000\000\000\000\000\000\000\000\000\226\002\
\227\002\000\000\056\001\000\000\000\000\000\000\056\001\000\000\
\000\000\000\000\000\000\043\000\000\000\000\000\000\000\000\000\
\000\000\000\000\047\000\000\000\237\002\238\002\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\056\001\000\000\000\000\
\000\000\000\000\000\000\000\000\056\001\000\000\000\000\000\000\
\000\000\000\000\056\000\012\000\000\000\000\000\000\000\000\000\
\047\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\095\000\095\000\000\000\095\000\095\000\095\000\
\095\000\095\000\095\000\095\000\095\000\095\000\095\000\095\000\
\000\000\012\000\095\000\095\000\095\000\095\000\095\000\095\000\
\095\000\095\000\095\000\095\000\095\000\095\000\095\000\095\000\
\095\000\095\000\095\000\095\000\095\000\095\000\095\000\095\000\
\095\000\058\000\022\003\000\000\024\003\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\243\000\000\000\243\000\243\000\
\243\000\000\000\243\000\000\000\000\000\000\000\243\000\243\000\
\243\000\000\000\000\000\243\000\243\000\243\000\243\000\243\000\
\243\000\243\000\243\000\243\000\243\000\243\000\243\000\243\000\
\243\000\243\000\243\000\243\000\243\000\243\000\243\000\243\000\
\243\000\243\000\000\000\000\000\000\000\000\000\000\000\000\000\
\034\000\095\000\000\000\000\000\054\003\042\000\055\003\042\000\
\057\003\042\000\000\000\042\000\059\003\060\003\000\000\000\000\
\000\000\042\000\000\000\000\000\042\000\042\000\042\000\042\000\
\042\000\042\000\042\000\042\000\042\000\042\000\000\000\095\000\
\000\000\000\000\035\000\000\000\051\000\000\000\051\000\000\000\
\051\000\000\000\051\000\000\000\000\000\000\000\051\000\051\000\
\051\000\000\000\243\000\051\000\051\000\051\000\051\000\051\000\
\051\000\051\000\051\000\051\000\051\000\051\000\051\000\051\000\
\051\000\051\000\051\000\051\000\051\000\051\000\051\000\051\000\
\051\000\051\000\048\000\000\000\000\000\000\000\000\000\000\000\
\243\000\036\000\000\000\000\000\000\000\057\000\000\000\057\000\
\000\000\057\000\000\000\057\000\000\000\000\000\000\000\057\000\
\057\000\057\000\000\000\042\000\057\000\057\000\057\000\057\000\
\057\000\057\000\057\000\057\000\057\000\057\000\057\000\057\000\
\057\000\057\000\057\000\057\000\057\000\057\000\057\000\057\000\
\057\000\057\000\057\000\037\000\000\000\000\000\000\000\000\000\
\000\000\042\000\051\000\000\000\000\000\000\000\043\000\000\000\
\043\000\000\000\043\000\000\000\043\000\000\000\000\000\000\000\
\000\000\000\000\043\000\000\000\000\000\043\000\043\000\043\000\
\043\000\043\000\043\000\043\000\043\000\043\000\043\000\000\000\
\051\000\038\000\000\000\000\000\000\000\056\000\000\000\056\000\
\000\000\056\000\000\000\056\000\000\000\000\000\000\000\056\000\
\056\000\056\000\000\000\057\000\056\000\056\000\056\000\056\000\
\056\000\056\000\056\000\056\000\056\000\056\000\056\000\056\000\
\056\000\056\000\056\000\056\000\056\000\056\000\056\000\056\000\
\056\000\056\000\056\000\000\000\039\000\000\000\000\000\000\000\
\000\000\057\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\058\000\000\000\058\000\000\000\
\058\000\000\000\058\000\000\000\043\000\000\000\058\000\058\000\
\058\000\046\000\000\000\058\000\058\000\058\000\058\000\058\000\
\058\000\058\000\058\000\058\000\058\000\058\000\058\000\058\000\
\058\000\058\000\058\000\058\000\058\000\058\000\058\000\058\000\
\058\000\058\000\043\000\056\000\045\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\034\000\000\000\034\000\000\000\034\000\
\000\000\034\000\000\000\000\000\040\000\000\000\000\000\034\000\
\000\000\056\000\034\000\034\000\034\000\034\000\034\000\034\000\
\034\000\034\000\034\000\034\000\034\000\034\000\034\000\034\000\
\034\000\034\000\034\000\034\000\000\000\035\000\000\000\035\000\
\000\000\035\000\058\000\035\000\000\000\041\000\000\000\000\000\
\000\000\035\000\000\000\000\000\035\000\035\000\035\000\035\000\
\035\000\035\000\035\000\035\000\035\000\035\000\035\000\035\000\
\035\000\035\000\035\000\035\000\035\000\035\000\000\000\000\000\
\058\000\000\000\000\000\000\000\000\000\048\000\000\000\048\000\
\034\001\048\000\000\000\048\000\036\000\000\000\036\000\000\000\
\036\000\048\000\036\000\000\000\048\000\048\000\048\000\048\000\
\036\000\034\000\000\000\036\000\036\000\036\000\036\000\036\000\
\036\000\036\000\036\000\036\000\036\000\036\000\036\000\036\000\
\036\000\036\000\036\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\037\000\034\000\
\037\000\000\000\037\000\035\000\037\000\147\000\000\000\000\000\
\000\000\000\000\037\000\000\000\000\000\037\000\037\000\037\000\
\037\000\037\000\037\000\037\000\037\000\037\000\037\000\037\000\
\037\000\037\000\037\000\037\000\037\000\000\000\000\000\000\000\
\000\000\035\000\000\000\000\000\038\000\000\000\038\000\000\000\
\038\000\000\000\038\000\048\000\000\000\000\000\000\000\000\000\
\038\000\000\000\036\000\038\000\038\000\038\000\038\000\038\000\
\038\000\038\000\038\000\038\000\038\000\038\000\038\000\038\000\
\038\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\048\000\000\000\000\000\000\000\000\000\000\000\039\000\
\036\000\039\000\000\000\039\000\000\000\039\000\000\000\000\000\
\000\000\000\000\000\000\039\000\037\000\000\000\039\000\039\000\
\039\000\039\000\039\000\039\000\039\000\039\000\039\000\039\000\
\039\000\039\000\039\000\039\000\046\000\000\000\046\000\000\000\
\046\000\000\000\046\000\000\000\000\000\000\000\000\000\000\000\
\046\000\000\000\037\000\046\000\046\000\046\000\046\000\046\000\
\046\000\046\000\038\000\000\000\035\001\000\000\000\000\045\000\
\000\000\045\000\000\000\045\000\000\000\045\000\000\000\000\000\
\000\000\000\000\000\000\045\000\000\000\000\000\045\000\045\000\
\045\000\045\000\045\000\045\000\000\000\000\000\000\000\040\000\
\038\000\040\000\000\000\040\000\000\000\040\000\000\000\000\000\
\000\000\000\000\000\000\040\000\000\000\039\000\040\000\040\000\
\040\000\040\000\040\000\040\000\040\000\040\000\040\000\040\000\
\040\000\040\000\040\000\040\000\000\000\000\000\000\000\000\000\
\041\000\000\000\041\000\000\000\041\000\000\000\041\000\000\000\
\000\000\000\000\046\000\039\000\041\000\000\000\000\000\041\000\
\041\000\041\000\041\000\041\000\041\000\041\000\041\000\041\000\
\041\000\041\000\041\000\041\000\041\000\056\000\034\001\000\000\
\000\000\000\000\034\001\034\001\000\000\045\000\034\001\000\000\
\046\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\034\001\034\001\000\000\000\000\000\000\
\161\000\034\001\000\000\000\000\000\000\040\000\000\000\000\000\
\000\000\000\000\000\000\045\000\034\001\000\000\000\000\000\000\
\000\000\000\000\147\000\147\000\147\000\147\000\147\000\000\000\
\000\000\000\000\147\000\147\000\000\000\147\000\147\000\147\000\
\000\000\147\000\147\000\040\000\000\000\000\000\041\000\000\000\
\147\000\147\000\000\000\000\000\000\000\147\000\147\000\000\000\
\000\000\147\000\000\000\147\000\000\000\000\000\147\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\147\000\
\147\000\147\000\000\000\000\000\041\000\034\001\147\000\147\000\
\147\000\147\000\147\000\147\000\147\000\147\000\147\000\147\000\
\147\000\147\000\147\000\147\000\147\000\147\000\147\000\147\000\
\147\000\147\000\147\000\147\000\147\000\147\000\147\000\147\000\
\034\001\147\000\147\000\147\000\147\000\147\000\147\000\147\000\
\147\000\147\000\147\000\147\000\147\000\147\000\147\000\000\000\
\000\000\147\000\147\000\147\000\165\000\147\000\147\000\147\000\
\000\000\000\000\147\000\000\000\000\000\000\000\147\000\000\000\
\147\000\000\000\147\000\147\000\147\000\147\000\147\000\147\000\
\147\000\147\000\161\000\147\000\147\000\000\000\147\000\000\000\
\147\000\147\000\000\000\147\000\147\000\147\000\147\000\147\000\
\000\000\147\000\035\001\161\000\161\000\000\000\035\001\035\001\
\000\000\000\000\035\001\000\000\000\000\000\000\000\000\000\000\
\000\000\250\000\000\000\000\000\251\000\252\000\000\000\035\001\
\035\001\000\000\000\000\000\000\000\000\035\001\161\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\035\001\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\123\001\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\161\000\013\000\014\000\015\000\016\000\
\017\000\000\000\019\000\020\000\021\000\022\000\023\000\024\000\
\025\000\000\000\161\000\000\000\000\000\000\000\000\000\000\000\
\033\000\034\000\035\000\036\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\009\000\161\000\010\000\011\000\000\000\
\000\000\035\001\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\042\000\000\000\000\000\000\000\
\000\000\012\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\035\001\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\018\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\018\001\019\001\
\020\001\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\037\000\038\000\039\000\040\000\000\000\041\000\042\000\043\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\044\000\000\000\045\000\046\000\047\000\048\000\049\000\050\000\
\051\000\000\000\000\000\000\000\052\000\000\000\053\000\000\000\
\054\000\055\000\250\000\000\000\000\000\251\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\085\002\000\000\000\000\000\000\000\000\000\000\000\000\
\161\000\000\000\000\000\000\000\010\000\011\000\000\000\000\000\
\000\000\000\000\000\000\161\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\013\000\014\000\015\000\
\016\000\017\000\000\000\019\000\020\000\021\000\022\000\023\000\
\024\000\025\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\033\000\034\000\035\000\036\000\013\000\014\000\015\000\
\016\000\017\000\000\000\019\000\020\000\021\000\022\000\023\000\
\024\000\025\000\026\000\027\000\028\000\029\000\030\000\031\000\
\032\000\033\000\034\000\035\000\036\000\042\000\000\000\000\000\
\088\000\089\000\090\000\091\000\092\000\000\000\000\000\000\000\
\093\000\156\000\072\001\000\000\011\000\096\000\237\001\164\000\
\038\000\000\000\040\000\000\000\041\000\042\000\098\000\099\000\
\000\000\000\000\000\000\100\000\101\000\000\000\000\000\000\000\
\000\000\103\000\000\000\000\000\104\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\105\000\106\000\107\000\
\055\000\000\000\000\000\000\000\013\000\014\000\015\000\016\000\
\017\000\000\000\019\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\035\000\036\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\121\000\122\000\123\000\124\000\000\000\000\000\038\000\
\000\000\040\000\000\000\041\000\042\000\000\000\000\000\000\000\
\126\000\000\000\000\000\088\000\089\000\090\000\091\000\092\000\
\000\000\000\000\000\000\093\000\156\000\072\001\000\000\011\000\
\096\000\011\002\000\000\000\000\000\000\000\000\000\000\055\000\
\000\000\098\000\099\000\130\000\131\000\000\000\100\000\101\000\
\000\000\000\000\000\000\216\001\103\000\000\000\000\000\104\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\105\000\106\000\107\000\000\000\000\000\000\000\000\000\013\000\
\014\000\015\000\016\000\017\000\000\000\019\000\020\000\021\000\
\022\000\023\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\032\000\033\000\034\000\035\000\036\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\121\000\122\000\123\000\124\000\
\000\000\000\000\038\000\000\000\040\000\000\000\041\000\042\000\
\000\000\000\000\000\000\126\000\000\000\000\000\088\000\089\000\
\090\000\091\000\092\000\000\000\000\000\000\000\093\000\156\000\
\072\001\000\000\011\000\096\000\125\002\000\000\000\000\000\000\
\000\000\000\000\055\000\000\000\098\000\099\000\130\000\131\000\
\000\000\100\000\101\000\000\000\000\000\000\000\216\001\103\000\
\000\000\000\000\104\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\105\000\106\000\107\000\000\000\000\000\
\000\000\000\000\013\000\014\000\015\000\016\000\017\000\000\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\121\000\
\122\000\123\000\124\000\000\000\000\000\038\000\000\000\040\000\
\000\000\041\000\042\000\000\000\000\000\000\000\126\000\000\000\
\000\000\088\000\089\000\090\000\091\000\092\000\000\000\000\000\
\000\000\093\000\156\000\072\001\000\000\011\000\096\000\127\002\
\000\000\000\000\000\000\000\000\000\000\055\000\000\000\098\000\
\099\000\130\000\131\000\000\000\100\000\101\000\000\000\000\000\
\000\000\216\001\103\000\000\000\000\000\104\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\105\000\106\000\
\107\000\000\000\000\000\000\000\000\000\013\000\014\000\015\000\
\016\000\017\000\000\000\019\000\020\000\021\000\022\000\023\000\
\024\000\025\000\026\000\027\000\028\000\029\000\030\000\031\000\
\032\000\033\000\034\000\035\000\036\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\121\000\122\000\123\000\124\000\000\000\000\000\
\038\000\000\000\040\000\000\000\041\000\042\000\000\000\000\000\
\000\000\126\000\000\000\000\000\088\000\089\000\090\000\091\000\
\092\000\000\000\000\000\000\000\093\000\156\000\072\001\000\000\
\011\000\096\000\000\000\000\000\000\000\000\000\000\000\000\000\
\055\000\000\000\098\000\099\000\130\000\131\000\000\000\100\000\
\101\000\000\000\000\000\000\000\216\001\103\000\000\000\000\000\
\104\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\105\000\106\000\107\000\000\000\000\000\000\000\000\000\
\013\000\014\000\015\000\016\000\017\000\000\000\019\000\020\000\
\021\000\022\000\023\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\032\000\033\000\034\000\035\000\036\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\121\000\122\000\123\000\
\124\000\000\000\000\000\038\000\000\000\040\000\000\000\041\000\
\042\000\000\000\000\000\000\000\126\000\000\000\000\000\088\000\
\089\000\090\000\091\000\092\000\000\000\000\000\000\000\093\000\
\156\000\072\001\000\000\011\000\096\000\000\000\000\000\000\000\
\000\000\000\000\000\000\055\000\000\000\098\000\099\000\130\000\
\131\000\000\000\100\000\101\000\000\000\000\000\000\000\107\001\
\103\000\000\000\000\000\104\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\105\000\106\000\107\000\000\000\
\000\000\000\000\000\000\013\000\014\000\015\000\016\000\017\000\
\000\000\019\000\020\000\021\000\022\000\023\000\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\032\000\033\000\
\034\000\035\000\036\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\121\000\122\000\123\000\124\000\000\000\000\000\038\000\000\000\
\040\000\000\000\041\000\042\000\000\000\000\000\000\000\126\000\
\000\000\000\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\000\000\093\000\094\000\000\000\010\000\049\001\096\000\
\000\000\097\000\000\000\000\000\000\000\000\000\055\000\000\000\
\098\000\099\000\130\000\131\000\000\000\100\000\101\000\000\000\
\000\000\102\000\216\001\103\000\000\000\000\000\104\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\105\000\
\106\000\107\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\108\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\109\000\110\000\
\000\000\111\000\112\000\113\000\114\000\093\001\116\000\117\000\
\118\000\119\000\120\000\121\000\122\000\123\000\124\000\000\000\
\000\000\038\000\094\001\040\000\000\000\041\000\042\000\043\000\
\000\000\000\000\126\000\095\001\096\001\000\000\000\000\000\000\
\044\000\000\000\045\000\046\000\047\000\048\000\049\000\050\000\
\051\000\127\000\000\000\000\000\052\000\000\000\053\000\000\000\
\054\000\055\000\000\000\128\000\129\000\130\000\131\000\000\000\
\000\000\132\000\141\000\141\000\141\000\141\000\141\000\000\000\
\000\000\000\000\141\000\141\000\000\000\141\000\141\000\141\000\
\000\000\141\000\000\000\000\000\000\000\000\000\000\000\000\000\
\141\000\141\000\000\000\000\000\000\000\141\000\141\000\000\000\
\000\000\141\000\000\000\141\000\000\000\000\000\141\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\141\000\
\141\000\141\000\000\000\000\000\000\000\000\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\141\000\141\000\
\000\000\141\000\141\000\141\000\141\000\141\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\141\000\000\000\
\000\000\141\000\141\000\141\000\000\000\141\000\141\000\141\000\
\000\000\000\000\141\000\000\000\000\000\000\000\153\001\000\000\
\141\000\000\000\141\000\141\000\141\000\141\000\141\000\141\000\
\141\000\141\000\000\000\000\000\141\000\000\000\141\000\000\000\
\141\000\141\000\000\000\141\000\141\000\141\000\141\000\141\000\
\000\000\141\000\140\000\140\000\140\000\140\000\140\000\000\000\
\000\000\000\000\140\000\140\000\000\000\140\000\140\000\140\000\
\000\000\140\000\000\000\000\000\000\000\000\000\000\000\000\000\
\140\000\140\000\000\000\000\000\000\000\140\000\140\000\000\000\
\000\000\140\000\000\000\140\000\000\000\000\000\140\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\140\000\
\140\000\140\000\000\000\000\000\000\000\000\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\000\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\000\000\
\000\000\140\000\140\000\140\000\000\000\140\000\140\000\140\000\
\000\000\000\000\140\000\000\000\000\000\000\000\154\001\000\000\
\140\000\000\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\140\000\000\000\000\000\140\000\000\000\140\000\000\000\
\140\000\140\000\000\000\140\000\140\000\140\000\140\000\140\000\
\000\000\140\000\142\000\142\000\142\000\142\000\142\000\000\000\
\000\000\000\000\142\000\142\000\000\000\142\000\142\000\142\000\
\000\000\142\000\000\000\000\000\000\000\000\000\000\000\000\000\
\142\000\142\000\000\000\000\000\000\000\142\000\142\000\000\000\
\000\000\142\000\000\000\142\000\000\000\000\000\142\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\142\000\
\142\000\142\000\000\000\000\000\000\000\000\000\142\000\142\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\000\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\000\000\
\000\000\142\000\142\000\142\000\000\000\142\000\142\000\142\000\
\000\000\000\000\142\000\000\000\000\000\000\000\158\001\000\000\
\142\000\000\000\142\000\142\000\142\000\142\000\142\000\142\000\
\142\000\142\000\000\000\000\000\142\000\000\000\142\000\000\000\
\142\000\142\000\000\000\142\000\142\000\142\000\142\000\142\000\
\000\000\142\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\000\000\093\000\094\000\000\000\010\000\049\001\096\000\
\000\000\097\000\000\000\000\000\000\000\000\000\000\000\000\000\
\098\000\099\000\000\000\000\000\000\000\100\000\101\000\000\000\
\000\000\102\000\000\000\103\000\000\000\000\000\104\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\105\000\
\106\000\107\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\108\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\109\000\110\000\
\000\000\111\000\112\000\113\000\114\000\093\001\116\000\117\000\
\118\000\119\000\120\000\121\000\122\000\123\000\124\000\000\000\
\000\000\038\000\094\001\040\000\000\000\041\000\042\000\043\000\
\000\000\000\000\126\000\000\000\096\001\000\000\000\000\000\000\
\044\000\000\000\045\000\046\000\047\000\048\000\049\000\050\000\
\051\000\127\000\000\000\000\000\052\000\000\000\053\000\000\000\
\054\000\055\000\000\000\128\000\129\000\130\000\131\000\000\000\
\000\000\132\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\000\000\093\000\094\000\000\000\010\000\049\001\096\000\
\000\000\097\000\000\000\000\000\000\000\000\000\000\000\000\000\
\098\000\099\000\000\000\000\000\000\000\100\000\101\000\000\000\
\000\000\102\000\000\000\103\000\000\000\000\000\104\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\105\000\
\106\000\107\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\108\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\109\000\110\000\
\000\000\111\000\050\001\113\000\114\000\115\000\116\000\117\000\
\118\000\119\000\051\001\121\000\122\000\123\000\124\000\000\000\
\000\000\038\000\125\000\040\000\000\000\041\000\042\000\043\000\
\000\000\000\000\126\000\000\000\000\000\000\000\000\000\000\000\
\044\000\000\000\045\000\046\000\047\000\048\000\049\000\050\000\
\051\000\127\000\000\000\000\000\052\000\000\000\053\000\000\000\
\054\000\055\000\000\000\128\000\129\000\130\000\131\000\000\000\
\000\000\132\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\000\000\093\000\094\000\000\000\000\000\049\001\096\000\
\000\000\097\000\000\000\000\000\000\000\000\000\000\000\000\000\
\098\000\099\000\000\000\000\000\000\000\100\000\101\000\000\000\
\000\000\102\000\000\000\103\000\000\000\000\000\104\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\105\000\
\106\000\107\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\108\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\109\000\110\000\
\000\000\111\000\112\000\113\000\114\000\115\000\116\000\117\000\
\118\000\119\000\120\000\121\000\122\000\123\000\124\000\000\000\
\000\000\038\000\125\000\040\000\000\000\041\000\042\000\000\000\
\000\000\000\000\126\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\127\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\055\000\000\000\128\000\129\000\130\000\131\000\000\000\
\000\000\132\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\000\000\093\000\094\000\000\000\000\000\095\000\096\000\
\000\000\097\000\000\000\000\000\000\000\000\000\000\000\054\001\
\098\000\099\000\000\000\054\001\054\001\100\000\101\000\054\001\
\000\000\102\000\054\001\103\000\000\000\000\000\104\000\000\000\
\000\000\000\000\000\000\000\000\000\000\054\001\000\000\105\000\
\106\000\107\000\054\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\108\000\000\000\054\001\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\109\000\110\000\
\000\000\111\000\112\000\113\000\114\000\115\000\116\000\117\000\
\118\000\119\000\120\000\121\000\122\000\123\000\124\000\000\000\
\000\000\000\000\125\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\126\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\045\000\000\000\000\000\000\000\054\001\000\000\
\000\000\127\000\054\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\128\000\129\000\130\000\131\000\000\000\
\000\000\132\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\054\001\093\000\094\000\000\000\000\000\095\000\096\000\
\054\001\097\000\000\000\000\000\000\000\000\000\000\000\000\000\
\098\000\099\000\000\000\000\000\000\000\100\000\101\000\000\000\
\000\000\102\000\000\000\103\000\000\000\000\000\104\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\105\000\
\106\000\107\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\108\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\109\000\110\000\
\000\000\111\000\112\000\113\000\114\000\115\000\116\000\117\000\
\118\000\119\000\120\000\121\000\122\000\123\000\124\000\000\000\
\000\000\000\000\125\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\126\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\088\000\089\000\090\000\091\000\
\092\000\127\000\000\000\000\000\093\000\156\000\000\000\000\000\
\011\000\096\000\000\000\128\000\129\000\130\000\131\000\000\000\
\000\000\132\000\098\000\099\000\000\000\000\000\000\000\100\000\
\101\000\000\000\000\000\102\000\000\000\103\000\000\000\000\000\
\104\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\105\000\106\000\107\000\000\000\000\000\000\000\000\000\
\013\000\014\000\015\000\016\000\017\000\000\000\019\000\020\000\
\021\000\022\000\023\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\032\000\033\000\034\000\035\000\036\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\121\000\122\000\123\000\
\124\000\000\000\000\000\038\000\000\000\040\000\000\000\041\000\
\042\000\000\000\000\000\000\000\126\000\000\000\088\000\089\000\
\090\000\091\000\092\000\000\000\000\000\000\000\093\000\156\000\
\000\000\000\000\011\000\096\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\055\000\098\000\099\000\000\000\130\000\
\131\000\100\000\101\000\000\000\000\000\000\000\000\000\103\000\
\000\000\000\000\104\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\105\000\106\000\107\000\000\000\000\000\
\000\000\000\000\013\000\014\000\015\000\016\000\017\000\000\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\000\000\
\000\000\000\000\000\000\000\000\031\000\032\000\033\000\034\000\
\035\000\036\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\121\000\
\122\000\123\000\124\000\000\000\000\000\038\000\000\000\000\000\
\000\000\156\000\042\000\000\000\000\000\197\000\126\000\000\000\
\088\000\089\000\090\000\091\000\092\000\000\000\000\000\000\000\
\093\000\057\002\000\000\000\000\176\000\096\000\098\002\058\002\
\186\002\059\002\000\000\060\002\199\000\000\000\098\000\099\000\
\000\000\130\000\131\000\100\000\101\000\000\000\000\000\200\000\
\000\000\103\000\000\000\000\000\104\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\105\000\106\000\107\000\
\000\000\000\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\178\000\093\000\057\002\000\000\000\000\176\000\096\000\
\000\000\058\002\240\002\059\002\000\000\060\002\000\000\000\000\
\098\000\099\000\000\000\000\000\000\000\100\000\101\000\000\000\
\000\000\000\000\000\000\103\000\000\000\043\000\104\000\000\000\
\126\000\121\000\122\000\123\000\124\000\000\000\044\000\105\000\
\106\000\107\000\000\000\000\000\000\000\000\000\000\000\000\000\
\126\000\000\000\052\000\178\000\053\000\000\000\054\000\000\000\
\000\000\000\000\000\000\130\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\130\000\131\000\000\000\000\000\000\000\
\000\000\000\000\000\000\121\000\122\000\123\000\124\000\088\000\
\089\000\090\000\091\000\092\000\000\000\000\000\000\000\093\000\
\057\002\000\000\126\000\176\000\096\000\000\000\058\002\000\000\
\059\002\000\000\060\002\000\000\000\000\098\000\099\000\000\000\
\000\000\000\000\100\000\101\000\000\000\000\000\000\000\000\000\
\103\000\000\000\000\000\104\000\000\000\130\000\131\000\000\000\
\000\000\000\000\000\000\000\000\105\000\106\000\107\000\000\000\
\000\000\088\000\089\000\090\000\091\000\092\000\000\000\000\000\
\178\000\093\000\156\000\000\000\000\000\000\000\096\000\000\000\
\097\000\000\000\011\000\000\000\000\000\000\000\000\000\098\000\
\099\000\000\000\000\000\000\000\100\000\101\000\000\000\000\000\
\000\000\000\000\103\000\000\000\000\000\104\000\000\000\000\000\
\121\000\122\000\123\000\124\000\000\000\000\000\105\000\106\000\
\107\000\000\000\000\000\000\000\000\000\000\000\000\000\126\000\
\000\000\000\000\013\000\014\000\015\000\016\000\017\000\000\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\000\000\
\000\000\000\000\000\000\000\000\031\000\032\000\033\000\034\000\
\035\000\036\000\130\000\131\000\000\000\000\000\000\000\000\000\
\000\000\000\000\121\000\122\000\123\000\124\000\088\000\089\000\
\090\000\091\000\092\000\000\000\000\000\038\000\093\000\156\000\
\000\000\126\000\042\000\096\000\000\000\000\000\000\000\255\000\
\000\000\000\000\000\000\000\000\098\000\099\000\000\000\000\000\
\000\000\100\000\101\000\000\000\000\000\000\000\000\000\103\000\
\000\000\000\000\104\000\000\000\130\000\131\000\000\000\000\000\
\000\000\000\000\000\000\105\000\106\000\107\000\088\000\089\000\
\090\000\091\000\092\000\000\000\000\000\000\000\093\000\156\000\
\000\000\000\000\000\000\096\000\000\000\000\000\000\000\000\000\
\025\002\000\000\000\000\000\000\098\000\099\000\000\000\000\000\
\000\000\100\000\101\000\000\000\000\000\000\000\000\000\103\000\
\000\000\000\000\104\000\000\000\000\000\000\000\000\000\121\000\
\122\000\123\000\124\000\105\000\106\000\107\000\000\000\088\000\
\089\000\090\000\091\000\092\000\000\000\000\000\126\000\093\000\
\156\000\000\000\000\000\000\000\096\000\000\000\000\000\000\000\
\000\000\080\002\000\000\000\000\000\000\098\000\099\000\000\000\
\000\000\000\000\100\000\101\000\000\000\000\000\000\000\000\000\
\103\000\130\000\131\000\104\000\000\000\000\000\000\000\121\000\
\122\000\123\000\124\000\000\000\105\000\106\000\107\000\088\000\
\089\000\090\000\091\000\092\000\000\000\000\000\126\000\093\000\
\156\000\000\000\000\000\000\000\096\000\000\000\058\002\000\000\
\000\000\000\000\000\000\000\000\000\000\098\000\099\000\000\000\
\000\000\000\000\100\000\101\000\000\000\000\000\000\000\000\000\
\103\000\130\000\131\000\104\000\000\000\000\000\000\000\000\000\
\121\000\122\000\123\000\124\000\105\000\106\000\107\000\000\000\
\088\000\089\000\090\000\091\000\092\000\000\000\000\000\126\000\
\093\000\156\000\000\000\000\000\000\000\096\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\098\000\099\000\
\000\000\000\000\000\000\100\000\101\000\000\000\000\000\102\000\
\000\000\103\000\130\000\131\000\104\000\000\000\000\000\000\000\
\121\000\122\000\123\000\124\000\000\000\105\000\106\000\107\000\
\088\000\089\000\090\000\091\000\092\000\000\000\000\000\126\000\
\093\000\156\000\000\000\000\000\000\000\096\000\000\000\146\002\
\000\000\000\000\000\000\000\000\000\000\000\000\098\000\099\000\
\000\000\000\000\000\000\100\000\101\000\000\000\000\000\000\000\
\000\000\103\000\130\000\131\000\104\000\000\000\000\000\000\000\
\000\000\121\000\122\000\123\000\124\000\105\000\106\000\107\000\
\000\000\088\000\089\000\090\000\091\000\092\000\000\000\000\000\
\126\000\093\000\156\000\000\000\000\000\000\000\096\000\000\000\
\000\000\000\000\000\000\154\002\000\000\000\000\000\000\098\000\
\099\000\000\000\000\000\000\000\100\000\101\000\000\000\000\000\
\000\000\000\000\103\000\130\000\131\000\104\000\000\000\000\000\
\000\000\121\000\122\000\123\000\124\000\000\000\105\000\106\000\
\107\000\088\000\089\000\090\000\091\000\092\000\000\000\000\000\
\126\000\093\000\156\000\000\000\000\000\000\000\096\000\221\002\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\098\000\
\099\000\000\000\000\000\000\000\100\000\101\000\000\000\000\000\
\000\000\000\000\103\000\130\000\131\000\104\000\000\000\000\000\
\000\000\000\000\121\000\122\000\123\000\124\000\105\000\106\000\
\107\000\000\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\126\000\093\000\156\000\000\000\000\000\000\000\096\000\
\223\002\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\098\000\099\000\000\000\000\000\000\000\100\000\101\000\000\000\
\000\000\000\000\000\000\103\000\130\000\131\000\104\000\000\000\
\000\000\000\000\121\000\122\000\123\000\124\000\000\000\105\000\
\106\000\107\000\088\000\089\000\090\000\091\000\092\000\000\000\
\000\000\126\000\093\000\156\000\000\000\000\000\000\000\096\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\098\000\099\000\000\000\000\000\000\000\100\000\101\000\000\000\
\000\000\000\000\000\000\103\000\130\000\131\000\104\000\000\000\
\000\000\000\000\000\000\121\000\122\000\123\000\124\000\105\000\
\106\000\107\000\000\000\055\001\000\000\000\000\000\000\055\001\
\055\001\000\000\126\000\055\001\057\001\000\000\055\001\000\000\
\057\001\057\001\000\000\000\000\057\001\000\000\000\000\057\001\
\000\000\055\001\000\000\000\000\000\000\000\000\055\001\000\000\
\000\000\000\000\057\001\000\000\000\000\130\000\131\000\057\001\
\000\000\055\001\000\000\121\000\122\000\123\000\124\000\000\000\
\000\000\053\001\057\001\000\000\000\000\053\001\053\001\000\000\
\000\000\053\001\126\000\000\000\053\001\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\053\001\
\000\000\000\000\000\000\000\000\053\001\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\130\000\131\000\053\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\055\001\000\000\000\000\000\000\055\001\000\000\
\000\000\000\000\000\000\057\001\000\000\000\000\000\000\057\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\055\001\000\000\000\000\
\000\000\000\000\000\000\000\000\055\001\000\000\057\001\000\000\
\000\000\000\000\000\000\000\000\000\000\057\001\000\000\253\000\
\053\001\253\000\253\000\000\000\053\001\000\000\000\000\253\000\
\000\000\000\000\000\000\000\000\253\000\000\000\000\000\000\000\
\000\000\253\000\253\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\053\001\000\000\000\000\000\000\000\000\
\000\000\000\000\053\001\000\000\000\000\000\000\000\000\253\000\
\253\000\253\000\253\000\253\000\000\000\253\000\253\000\253\000\
\253\000\253\000\253\000\253\000\253\000\253\000\253\000\253\000\
\253\000\253\000\253\000\253\000\253\000\253\000\253\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\253\000\000\000\253\000\253\000\253\000\000\000\253\000\253\000\
\253\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\253\000\000\000\252\000\000\000\252\000\252\000\000\000\
\000\000\000\000\000\000\252\000\000\000\253\000\000\000\253\000\
\252\000\253\000\253\000\253\000\000\000\252\000\252\000\000\000\
\253\000\000\000\000\000\000\000\000\000\253\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\252\000\252\000\252\000\252\000\252\000\
\000\000\252\000\252\000\252\000\252\000\252\000\252\000\252\000\
\252\000\252\000\252\000\252\000\252\000\252\000\252\000\252\000\
\252\000\252\000\252\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\252\000\000\000\252\000\252\000\
\252\000\000\000\252\000\252\000\252\000\000\000\067\001\000\000\
\000\000\067\001\067\001\000\000\000\000\252\000\067\001\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\252\000\000\000\252\000\067\001\252\000\252\000\252\000\
\000\000\067\001\000\000\000\000\252\000\000\000\000\000\000\000\
\000\000\252\000\000\000\000\000\067\001\000\000\000\000\000\000\
\000\000\067\001\067\001\067\001\067\001\067\001\000\000\067\001\
\067\001\067\001\067\001\067\001\067\001\067\001\067\001\067\001\
\067\001\067\001\067\001\067\001\067\001\067\001\067\001\067\001\
\067\001\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\009\000\000\000\000\000\011\000\067\001\000\000\067\001\000\000\
\067\001\067\001\000\000\000\000\000\000\067\001\000\000\000\000\
\000\000\067\001\000\000\000\000\000\000\000\000\134\001\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\067\001\000\000\000\000\000\000\
\067\001\000\000\051\001\013\000\014\000\015\000\016\000\017\000\
\018\000\019\000\020\000\021\000\022\000\023\000\024\000\025\000\
\000\000\000\000\000\000\000\000\000\000\031\000\032\000\033\000\
\034\000\035\000\036\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\038\000\000\000\
\000\000\000\000\000\000\042\000\043\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\044\000\000\000\045\000\
\046\000\047\000\048\000\049\000\050\000\051\000\000\000\000\000\
\000\000\052\000\000\000\053\000\000\000\054\000\243\000\000\000\
\000\000\243\000\243\000\000\000\135\001\000\000\243\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\013\000\243\000\000\000\000\000\000\000\
\000\000\243\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\243\000\000\000\000\000\000\000\
\000\000\243\000\243\000\243\000\243\000\243\000\000\000\243\000\
\243\000\243\000\243\000\243\000\243\000\243\000\243\000\243\000\
\243\000\243\000\243\000\243\000\243\000\243\000\243\000\243\000\
\243\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\142\001\000\000\243\000\142\001\243\000\000\000\
\243\000\243\000\076\001\000\000\000\000\243\000\000\000\076\001\
\000\000\243\000\000\000\000\000\000\000\076\001\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\243\000\000\000\000\000\000\000\
\243\000\000\000\142\001\142\001\142\001\142\001\142\001\000\000\
\142\001\142\001\142\001\142\001\142\001\142\001\142\001\142\001\
\142\001\142\001\142\001\142\001\142\001\142\001\142\001\142\001\
\142\001\142\001\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\076\001\000\000\142\001\000\000\142\001\
\000\000\142\001\142\001\142\001\000\000\000\000\143\001\000\000\
\000\000\143\001\000\000\000\000\142\001\000\000\078\001\000\000\
\000\000\000\000\000\000\078\001\000\000\000\000\000\000\000\000\
\142\001\078\001\142\001\000\000\142\001\142\001\000\000\000\000\
\000\000\000\000\000\000\142\001\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\143\001\143\001\
\143\001\143\001\143\001\000\000\143\001\143\001\143\001\143\001\
\143\001\143\001\143\001\143\001\143\001\143\001\143\001\143\001\
\143\001\143\001\143\001\143\001\143\001\143\001\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\072\001\000\000\011\000\000\000\073\001\000\000\000\000\078\001\
\000\000\143\001\000\000\143\001\000\000\143\001\143\001\143\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\143\001\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\143\001\000\000\143\001\000\000\
\143\001\143\001\013\000\014\000\015\000\016\000\017\000\143\001\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\072\001\000\000\011\000\000\000\
\000\000\000\000\000\000\000\000\000\000\038\000\000\000\040\000\
\000\000\041\000\042\000\015\001\000\000\000\000\000\000\159\002\
\000\000\016\001\017\001\018\001\019\001\020\001\021\001\022\001\
\023\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\032\001\033\001\034\001\035\001\055\000\013\000\014\000\
\015\000\016\000\017\000\000\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\000\000\000\000\
\000\000\000\000\072\001\000\000\011\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\038\000\000\000\040\000\000\000\041\000\042\000\245\001\
\246\001\247\001\248\001\249\001\250\001\251\001\252\001\253\001\
\254\001\255\001\000\002\001\002\002\002\003\002\004\002\005\002\
\006\002\007\002\008\002\000\000\013\000\014\000\015\000\016\000\
\017\000\055\000\019\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\035\000\036\000\000\000\000\000\000\000\000\000\
\206\001\000\000\206\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\038\000\
\000\000\040\000\000\000\041\000\042\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\206\001\206\001\206\001\206\001\206\001\055\000\
\206\001\206\001\206\001\206\001\206\001\206\001\206\001\206\001\
\206\001\206\001\206\001\206\001\206\001\206\001\206\001\206\001\
\206\001\206\001\000\000\000\000\000\000\000\000\000\000\010\000\
\011\000\000\000\000\000\000\000\169\002\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\206\001\000\000\206\001\
\000\000\206\001\206\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\013\000\014\000\015\000\016\000\017\000\206\001\019\000\020\000\
\021\000\022\000\023\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\032\000\033\000\034\000\035\000\036\000\
\000\000\000\000\000\000\000\000\000\000\010\000\011\000\000\000\
\000\000\000\000\244\002\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\164\000\038\000\000\000\040\000\000\000\041\000\
\042\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\055\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\000\000\000\000\
\000\000\000\000\000\000\000\000\011\000\000\000\000\000\097\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\164\000\038\000\000\000\040\000\000\000\041\000\042\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\013\000\014\000\015\000\016\000\
\017\000\055\000\019\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\035\000\036\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\011\000\000\000\000\000\097\000\000\000\000\000\000\000\038\000\
\000\000\040\000\000\000\041\000\042\000\043\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\044\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\052\000\000\000\053\000\000\000\054\000\055\000\
\013\000\014\000\015\000\016\000\017\000\000\000\019\000\020\000\
\021\000\022\000\023\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\032\000\033\000\034\000\035\000\036\000\
\000\000\000\000\000\000\000\000\000\000\000\000\011\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\038\000\000\000\040\000\000\000\041\000\
\042\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\055\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\038\000\000\000\040\000\000\000\041\000\042\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\010\000\000\000\000\000\000\000\010\000\000\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\000\000\
\000\000\055\000\012\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\011\000\111\000\000\000\000\000\011\000\000\000\011\000\011\000\
\011\000\011\000\011\000\011\000\011\000\011\000\000\000\000\000\
\000\000\014\000\011\000\011\000\011\000\011\000\011\000\011\000\
\011\000\011\000\011\000\011\000\011\000\011\000\011\000\011\000\
\011\000\011\000\011\000\011\000\011\000\011\000\011\000\000\000\
\000\000\111\000\111\000\111\000\111\000\111\000\000\000\111\000\
\111\000\111\000\111\000\111\000\111\000\111\000\000\000\000\000\
\010\000\000\000\000\000\111\000\111\000\111\000\111\000\111\000\
\111\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\184\000\184\000\
\184\000\184\000\000\000\000\000\111\000\000\000\000\000\184\000\
\000\000\111\000\184\000\184\000\184\000\184\000\184\000\011\000\
\000\000\000\000\184\000\000\000\184\000\184\000\184\000\184\000\
\184\000\000\000\184\000\000\000\184\000\184\000\184\000\184\000\
\184\000\184\000\184\000\184\000\184\000\184\000\184\000\184\000\
\184\000\184\000\184\000\184\000\184\000\184\000\184\000\184\000\
\184\000\184\000\000\000\000\000\000\000\000\000\000\000\180\000\
\180\000\180\000\180\000\000\000\000\000\000\000\000\000\000\000\
\180\000\000\000\000\000\180\000\180\000\180\000\180\000\180\000\
\000\000\000\000\000\000\180\000\184\000\180\000\180\000\180\000\
\180\000\180\000\184\000\180\000\000\000\180\000\180\000\180\000\
\180\000\180\000\180\000\180\000\180\000\180\000\180\000\180\000\
\180\000\180\000\180\000\180\000\180\000\180\000\180\000\180\000\
\180\000\180\000\180\000\000\000\000\000\000\000\000\000\000\000\
\159\001\160\001\161\001\162\001\000\000\000\000\000\000\000\000\
\000\000\163\001\000\000\000\000\164\001\165\001\166\001\167\001\
\168\001\000\000\000\000\000\000\169\001\180\000\170\001\171\001\
\172\001\173\001\174\001\180\000\175\001\000\000\176\001\000\000\
\177\001\178\001\179\001\180\001\181\001\182\001\183\001\184\001\
\185\001\186\001\187\001\188\001\189\001\190\001\191\001\192\001\
\193\001\194\001\195\001\196\001\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\010\000\000\000\000\000\010\000\010\000\000\000\
\010\000\010\000\010\000\010\000\010\000\000\000\197\001\010\000\
\000\000\000\000\000\000\005\000\198\001\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000"

let yycheck = "\003\000\
\070\000\003\000\002\000\002\000\002\000\070\000\002\000\034\000\
\188\000\000\000\004\000\012\001\008\000\035\000\155\000\131\001\
\002\000\002\000\067\001\002\000\203\000\127\001\000\000\008\000\
\080\000\008\000\066\001\033\000\034\000\087\001\200\001\127\001\
\003\001\008\001\010\000\237\002\163\000\041\002\238\000\163\000\
\096\000\237\002\160\000\161\000\030\001\008\001\014\001\188\000\
\018\001\017\001\112\000\147\000\093\002\040\002\124\000\077\000\
\014\001\014\001\019\001\017\001\035\001\019\001\020\001\130\001\
\025\001\132\001\014\001\025\001\207\002\019\001\076\001\018\001\
\021\001\122\001\075\002\025\001\063\002\035\001\036\001\018\001\
\080\000\205\000\018\001\158\001\080\000\019\001\019\001\183\000\
\007\001\000\000\009\001\025\001\025\001\058\001\062\001\080\000\
\025\001\080\000\216\000\000\000\036\001\030\001\096\000\019\001\
\062\001\062\001\076\001\036\001\018\001\025\001\109\000\115\000\
\098\001\115\000\060\003\119\000\122\001\014\001\037\001\181\000\
\060\003\018\001\119\000\025\001\118\000\022\001\102\001\197\000\
\018\001\076\001\131\002\014\003\197\000\203\000\036\001\100\001\
\062\001\076\001\213\001\036\001\021\001\109\001\064\002\025\001\
\041\001\018\001\018\003\019\003\101\001\022\001\220\000\155\000\
\113\001\155\000\036\001\052\001\132\001\155\000\155\000\155\000\
\164\002\109\001\137\001\003\001\005\000\221\000\222\000\173\000\
\136\001\098\001\155\000\093\002\155\000\058\001\137\001\000\000\
\180\000\021\001\014\001\051\003\133\001\017\001\143\001\180\000\
\188\000\143\001\188\000\001\001\136\001\138\001\188\000\041\002\
\188\000\143\001\188\000\113\001\064\001\021\001\112\002\205\000\
\187\002\020\001\203\001\188\000\062\001\188\000\014\001\047\001\
\079\001\143\001\143\001\079\001\109\001\200\002\018\001\100\001\
\216\000\036\001\216\000\004\003\138\001\018\001\222\000\008\003\
\146\002\221\000\062\001\143\001\204\000\031\002\216\000\102\001\
\113\001\022\001\102\001\024\001\221\000\030\002\221\000\136\001\
\234\000\030\001\238\000\247\000\050\001\247\000\240\000\241\000\
\088\001\089\002\244\000\247\000\036\002\238\000\241\002\238\000\
\227\001\138\001\126\001\065\001\204\001\205\001\247\000\143\000\
\012\001\079\001\012\001\019\001\112\000\113\001\079\001\133\001\
\012\001\025\001\019\002\112\000\025\001\015\001\028\002\123\000\
\030\002\122\000\144\001\012\001\019\001\096\002\097\002\036\001\
\102\001\113\001\018\001\039\001\040\001\102\001\138\001\214\001\
\215\001\019\001\039\001\040\001\038\001\145\000\143\000\187\000\
\218\002\019\001\021\001\187\000\192\000\112\001\058\001\025\001\
\058\001\127\001\138\001\121\001\058\001\058\001\058\001\160\000\
\161\000\035\001\019\001\116\001\023\001\139\001\112\001\098\000\
\099\000\058\001\139\001\058\001\018\001\081\001\084\002\034\001\
\022\001\181\000\035\001\054\002\081\001\010\001\025\001\012\001\
\181\000\093\001\187\000\093\001\014\001\069\001\121\000\231\000\
\100\001\036\001\100\001\041\001\138\001\207\002\100\001\100\001\
\100\001\019\001\176\001\078\002\019\001\036\002\052\001\025\001\
\252\000\249\000\025\001\100\001\000\000\100\001\019\001\216\000\
\126\001\035\001\019\001\007\001\025\001\009\001\010\001\127\001\
\025\001\013\001\014\001\227\001\014\001\133\001\231\000\133\001\
\018\001\025\001\098\000\099\000\202\001\014\001\113\001\119\001\
\144\001\018\001\144\001\133\001\036\001\150\002\010\003\157\002\
\249\000\037\001\036\001\109\001\183\002\184\002\144\001\041\001\
\014\001\121\000\189\002\019\001\018\001\030\001\034\002\138\001\
\022\001\025\001\052\001\036\001\016\001\017\001\018\001\019\001\
\020\001\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\139\001\025\001\019\001\023\001\021\001\025\001\023\001\203\001\
\025\001\203\001\113\001\035\001\036\001\018\001\050\001\203\001\
\179\002\034\001\035\001\036\001\113\001\050\001\054\002\029\001\
\030\001\168\000\203\001\220\002\034\002\065\001\036\002\029\002\
\195\002\034\002\018\001\109\001\065\001\223\001\022\001\014\001\
\143\001\237\001\228\001\018\001\109\001\043\002\078\002\045\002\
\014\001\018\001\143\001\019\001\018\001\022\001\130\001\131\001\
\132\001\025\001\018\001\008\001\096\001\059\002\136\001\109\001\
\180\002\014\001\041\001\096\001\019\001\019\001\018\001\136\001\
\035\002\022\001\025\001\025\001\018\001\052\001\018\002\019\002\
\018\002\019\002\074\002\089\002\014\001\121\001\018\002\019\002\
\019\001\035\001\136\001\014\001\121\001\035\002\025\001\018\001\
\113\001\018\002\019\002\022\001\133\001\041\002\060\002\180\002\
\019\001\041\002\034\001\035\001\041\002\252\000\025\001\144\001\
\047\002\062\001\046\002\027\002\089\001\019\001\041\001\018\001\
\007\001\014\001\009\001\025\001\017\001\046\002\143\001\046\002\
\018\001\052\001\019\001\106\001\118\001\119\001\109\001\019\001\
\025\001\100\002\214\001\215\001\115\001\025\001\022\001\109\001\
\024\001\014\001\026\001\179\002\017\001\019\001\037\001\020\001\
\127\001\089\002\129\001\025\001\131\001\018\001\100\002\052\001\
\000\000\136\001\019\001\195\002\035\001\023\001\202\001\025\001\
\025\001\062\001\136\001\014\001\036\001\202\001\017\001\025\001\
\116\002\020\001\116\002\019\001\067\001\041\000\122\002\123\002\
\014\001\025\001\109\001\020\001\224\001\119\002\120\002\121\002\
\021\001\062\001\014\001\023\001\025\001\025\001\018\001\019\001\
\060\000\207\002\022\001\143\002\144\002\025\001\207\002\020\001\
\068\000\069\000\150\002\019\001\150\002\136\001\000\000\075\000\
\109\001\025\001\150\002\062\001\019\001\019\001\034\001\035\001\
\164\002\113\001\158\002\025\001\164\002\150\002\010\002\164\002\
\019\001\125\001\126\001\122\001\171\002\158\002\025\001\158\002\
\180\002\000\000\180\002\136\001\130\001\019\001\180\002\019\001\
\180\002\029\002\180\002\025\001\018\001\025\001\014\001\075\002\
\029\002\017\001\000\003\180\002\019\001\180\002\019\001\043\002\
\014\003\045\002\025\001\019\001\025\001\014\003\043\002\207\002\
\045\002\025\001\020\001\011\001\096\002\097\002\009\001\059\002\
\220\002\221\002\220\002\223\002\064\002\215\002\059\002\014\001\
\220\002\109\001\017\001\064\002\014\001\113\001\019\001\235\002\
\019\001\235\002\041\001\220\002\025\001\090\001\062\001\022\001\
\019\001\018\001\018\001\034\001\019\001\052\001\025\001\131\002\
\020\001\093\002\025\001\250\002\136\001\023\001\014\001\018\001\
\093\002\251\002\018\001\143\001\104\002\145\002\018\001\214\001\
\215\001\019\001\035\001\104\002\075\001\076\001\014\003\035\001\
\021\001\020\001\019\001\023\003\019\001\025\003\030\001\027\003\
\071\001\041\001\106\001\031\003\032\003\109\001\025\001\025\001\
\019\001\130\002\018\001\115\001\052\001\100\001\022\001\102\001\
\024\001\019\001\026\001\027\001\028\001\113\001\146\002\127\001\
\113\001\129\001\019\001\131\001\018\001\146\002\144\001\000\000\
\136\001\018\001\021\001\014\001\107\001\109\001\024\001\018\001\
\068\003\069\003\068\003\069\003\036\001\132\001\014\001\018\001\
\076\003\017\001\076\003\144\001\020\001\019\001\106\001\030\002\
\035\001\036\001\033\002\183\002\184\002\019\001\041\001\115\001\
\019\001\189\002\183\002\184\002\035\001\109\001\023\001\021\001\
\189\002\052\001\035\001\127\001\036\001\129\001\090\001\131\001\
\018\001\035\001\025\001\014\001\248\002\209\002\017\001\023\001\
\018\001\020\001\035\001\019\001\209\002\021\001\062\001\023\001\
\136\001\025\001\014\001\020\001\014\001\035\001\010\003\031\001\
\036\001\023\001\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\050\001\051\001\052\001\053\001\054\001\055\001\
\056\001\019\001\109\001\062\001\000\003\001\000\002\000\003\000\
\004\000\005\000\019\001\000\003\014\001\018\001\025\001\018\001\
\018\001\019\001\019\001\014\001\022\001\021\001\019\001\025\001\
\014\001\023\001\000\000\019\001\083\001\136\001\005\001\006\001\
\007\001\008\001\113\001\021\001\072\003\036\001\025\001\014\001\
\019\001\021\001\017\001\018\001\019\001\020\001\021\001\022\001\
\023\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\113\001\033\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\057\001\058\001\059\001\060\001\061\001\143\001\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\036\001\109\001\083\001\036\001\036\001\113\001\
\083\001\000\000\089\001\019\001\018\001\019\001\008\001\036\001\
\022\001\018\001\023\001\098\001\120\001\100\001\101\001\102\001\
\019\001\104\001\105\001\106\001\126\001\009\001\136\001\000\000\
\036\001\021\001\113\001\041\001\115\001\143\001\000\000\050\001\
\051\001\052\001\053\001\054\001\055\001\056\001\052\001\036\001\
\127\001\138\001\129\001\036\001\131\001\132\001\133\001\019\001\
\035\001\019\001\021\001\138\001\005\001\006\001\007\001\008\001\
\143\001\113\001\113\001\113\001\021\001\014\001\036\001\021\001\
\017\001\018\001\019\001\020\001\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\035\001\
\033\001\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\057\001\058\001\059\001\060\001\061\001\019\001\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\113\001\113\001\083\001\052\001\053\001\054\001\055\001\056\001\
\089\001\113\001\113\001\002\000\095\001\130\002\226\000\147\000\
\216\001\098\001\000\000\100\001\101\001\102\001\107\001\104\001\
\105\001\106\001\048\002\250\002\072\003\081\002\202\002\014\001\
\113\001\213\002\115\001\018\001\019\001\010\003\145\001\022\001\
\215\000\066\002\133\001\209\002\095\002\103\002\127\001\144\001\
\129\001\179\000\131\001\132\001\133\001\081\001\162\002\180\002\
\014\001\138\001\041\001\017\001\018\001\019\001\143\001\021\001\
\022\001\023\001\105\001\025\001\060\003\052\001\255\255\029\001\
\030\001\031\001\059\003\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\057\001\058\001\059\001\060\001\061\001\
\140\002\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\071\001\072\001\073\001\074\001\075\001\076\001\077\001\
\078\001\079\001\080\001\255\255\255\255\255\255\109\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\000\000\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\100\001\255\255\
\102\001\255\255\104\001\105\001\019\001\255\255\021\001\109\001\
\023\001\136\001\025\001\113\001\255\255\255\255\255\255\255\255\
\031\001\255\255\255\255\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\255\255\014\001\255\255\132\001\017\001\
\018\001\019\001\136\001\021\001\022\001\023\001\255\255\025\001\
\255\255\143\001\255\255\029\001\030\001\031\001\255\255\255\255\
\034\001\035\001\036\001\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\052\001\053\001\054\001\055\001\056\001\057\001\
\058\001\059\001\060\001\061\001\255\255\063\001\064\001\065\001\
\066\001\067\001\068\001\069\001\070\001\071\001\072\001\073\001\
\074\001\075\001\076\001\077\001\078\001\079\001\080\001\255\255\
\255\255\255\255\113\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\255\255\000\000\100\001\255\255\102\001\255\255\104\001\105\001\
\255\255\255\255\255\255\109\001\255\255\255\255\255\255\113\001\
\143\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\014\001\255\255\132\001\017\001\018\001\019\001\136\001\021\001\
\022\001\023\001\255\255\025\001\255\255\143\001\255\255\029\001\
\030\001\031\001\000\000\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\057\001\058\001\059\001\060\001\061\001\
\255\255\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\071\001\072\001\073\001\074\001\075\001\076\001\077\001\
\078\001\079\001\080\001\255\255\255\255\255\255\255\255\255\255\
\255\255\000\000\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\255\255\255\255\255\255\100\001\255\255\
\102\001\255\255\104\001\105\001\255\255\255\255\255\255\109\001\
\255\255\255\255\000\000\113\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\050\001\051\001\052\001\
\053\001\054\001\055\001\056\001\014\001\255\255\132\001\017\001\
\018\001\019\001\136\001\021\001\022\001\023\001\255\255\025\001\
\255\255\143\001\255\255\029\001\030\001\031\001\255\255\255\255\
\034\001\035\001\036\001\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\052\001\053\001\054\001\055\001\056\001\057\001\
\058\001\059\001\060\001\061\001\255\255\063\001\064\001\065\001\
\066\001\067\001\068\001\069\001\070\001\071\001\072\001\073\001\
\074\001\075\001\076\001\077\001\078\001\079\001\080\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\100\001\255\255\102\001\255\255\104\001\105\001\
\000\000\255\255\255\255\109\001\255\255\255\255\255\255\113\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\050\001\051\001\052\001\053\001\054\001\055\001\
\056\001\008\001\132\001\255\255\255\255\255\255\136\001\255\255\
\255\255\255\255\255\255\018\001\019\001\143\001\021\001\022\001\
\023\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\000\000\255\255\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\008\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\018\001\019\001\255\255\021\001\
\022\001\023\001\024\001\025\001\026\001\027\001\028\001\029\001\
\030\001\031\001\000\000\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\014\001\255\255\255\255\255\255\018\001\
\019\001\000\000\113\001\022\001\255\255\255\255\025\001\255\255\
\255\255\255\255\255\255\255\255\019\001\255\255\021\001\255\255\
\023\001\036\001\025\001\255\255\255\255\255\255\041\001\255\255\
\031\001\255\255\137\001\034\001\035\001\036\001\037\001\038\001\
\143\001\052\001\255\255\255\255\018\001\019\001\255\255\021\001\
\022\001\023\001\024\001\025\001\026\001\027\001\028\001\029\001\
\030\001\031\001\000\000\113\001\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\137\001\255\255\255\255\255\255\255\255\
\255\255\143\001\255\255\255\255\255\255\255\255\255\255\122\002\
\123\002\255\255\109\001\255\255\255\255\255\255\113\001\255\255\
\255\255\255\255\255\255\000\000\255\255\255\255\255\255\255\255\
\255\255\255\255\113\001\255\255\143\002\144\002\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\136\001\255\255\255\255\
\255\255\255\255\255\255\255\255\143\001\255\255\255\255\255\255\
\255\255\255\255\000\000\113\001\255\255\255\255\255\255\255\255\
\143\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\018\001\019\001\255\255\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\255\255\143\001\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\050\001\051\001\052\001\053\001\054\001\055\001\
\056\001\000\000\221\002\255\255\223\002\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\019\001\255\255\021\001\022\001\
\023\001\255\255\025\001\255\255\255\255\255\255\029\001\030\001\
\031\001\255\255\255\255\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\255\255\255\255\255\255\255\255\255\255\255\255\
\000\000\113\001\255\255\255\255\023\003\019\001\025\003\021\001\
\027\003\023\001\255\255\025\001\031\003\032\003\255\255\255\255\
\255\255\031\001\255\255\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\255\255\143\001\
\255\255\255\255\000\000\255\255\019\001\255\255\021\001\255\255\
\023\001\255\255\025\001\255\255\255\255\255\255\029\001\030\001\
\031\001\255\255\113\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\000\000\255\255\255\255\255\255\255\255\255\255\
\143\001\000\000\255\255\255\255\255\255\019\001\255\255\021\001\
\255\255\023\001\255\255\025\001\255\255\255\255\255\255\029\001\
\030\001\031\001\255\255\113\001\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\000\000\255\255\255\255\255\255\255\255\
\255\255\143\001\113\001\255\255\255\255\255\255\019\001\255\255\
\021\001\255\255\023\001\255\255\025\001\255\255\255\255\255\255\
\255\255\255\255\031\001\255\255\255\255\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\255\255\
\143\001\000\000\255\255\255\255\255\255\019\001\255\255\021\001\
\255\255\023\001\255\255\025\001\255\255\255\255\255\255\029\001\
\030\001\031\001\255\255\113\001\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\255\255\000\000\255\255\255\255\255\255\
\255\255\143\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\019\001\255\255\021\001\255\255\
\023\001\255\255\025\001\255\255\113\001\255\255\029\001\030\001\
\031\001\000\000\255\255\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\143\001\113\001\000\000\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\019\001\255\255\021\001\255\255\023\001\
\255\255\025\001\255\255\255\255\000\000\255\255\255\255\031\001\
\255\255\143\001\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\050\001\051\001\255\255\019\001\255\255\021\001\
\255\255\023\001\113\001\025\001\255\255\000\000\255\255\255\255\
\255\255\031\001\255\255\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\255\255\255\255\
\143\001\255\255\255\255\255\255\255\255\019\001\255\255\021\001\
\000\000\023\001\255\255\025\001\019\001\255\255\021\001\255\255\
\023\001\031\001\025\001\255\255\034\001\035\001\036\001\037\001\
\031\001\113\001\255\255\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\019\001\143\001\
\021\001\255\255\023\001\113\001\025\001\000\000\255\255\255\255\
\255\255\255\255\031\001\255\255\255\255\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\255\255\255\255\255\255\
\255\255\143\001\255\255\255\255\019\001\255\255\021\001\255\255\
\023\001\255\255\025\001\113\001\255\255\255\255\255\255\255\255\
\031\001\255\255\113\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\143\001\255\255\255\255\255\255\255\255\255\255\019\001\
\143\001\021\001\255\255\023\001\255\255\025\001\255\255\255\255\
\255\255\255\255\255\255\031\001\113\001\255\255\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\019\001\255\255\021\001\255\255\
\023\001\255\255\025\001\255\255\255\255\255\255\255\255\255\255\
\031\001\255\255\143\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\113\001\255\255\000\000\255\255\255\255\019\001\
\255\255\021\001\255\255\023\001\255\255\025\001\255\255\255\255\
\255\255\255\255\255\255\031\001\255\255\255\255\034\001\035\001\
\036\001\037\001\038\001\039\001\255\255\255\255\255\255\019\001\
\143\001\021\001\255\255\023\001\255\255\025\001\255\255\255\255\
\255\255\255\255\255\255\031\001\255\255\113\001\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\255\255\255\255\255\255\255\255\
\019\001\255\255\021\001\255\255\023\001\255\255\025\001\255\255\
\255\255\255\255\113\001\143\001\031\001\255\255\255\255\034\001\
\035\001\036\001\037\001\038\001\039\001\040\001\041\001\042\001\
\043\001\044\001\045\001\046\001\047\001\000\000\014\001\255\255\
\255\255\255\255\018\001\019\001\255\255\113\001\022\001\255\255\
\143\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\035\001\036\001\255\255\255\255\255\255\
\005\000\041\001\255\255\255\255\255\255\113\001\255\255\255\255\
\255\255\255\255\255\255\143\001\052\001\255\255\255\255\255\255\
\255\255\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\016\001\017\001\018\001\
\255\255\020\001\021\001\143\001\255\255\255\255\113\001\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\143\001\109\001\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\136\001\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\100\001\101\001\102\001\000\000\104\001\105\001\106\001\
\255\255\255\255\109\001\255\255\255\255\255\255\113\001\255\255\
\115\001\255\255\117\001\118\001\119\001\120\001\121\001\122\001\
\123\001\124\001\143\000\126\001\127\001\255\255\129\001\255\255\
\131\001\132\001\255\255\134\001\135\001\136\001\137\001\138\001\
\255\255\140\001\014\001\160\000\161\000\255\255\018\001\019\001\
\255\255\255\255\022\001\255\255\255\255\255\255\255\255\255\255\
\255\255\014\001\255\255\255\255\017\001\018\001\255\255\035\001\
\036\001\255\255\255\255\255\255\255\255\041\001\187\000\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\052\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\205\000\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\216\000\057\001\058\001\059\001\060\001\
\061\001\255\255\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\255\255\231\000\255\255\255\255\255\255\255\255\255\255\
\077\001\078\001\079\001\080\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\014\001\249\000\016\001\017\001\255\255\
\255\255\109\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\105\001\255\255\255\255\255\255\
\255\255\036\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\136\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\099\001\100\001\101\001\102\001\255\255\104\001\105\001\106\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\115\001\255\255\117\001\118\001\119\001\120\001\121\001\122\001\
\123\001\255\255\255\255\255\255\127\001\255\255\129\001\255\255\
\131\001\132\001\014\001\255\255\255\255\017\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\126\001\255\255\255\255\255\255\255\255\255\255\255\255\
\133\001\255\255\255\255\255\255\016\001\017\001\255\255\255\255\
\255\255\255\255\255\255\144\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\057\001\058\001\059\001\
\060\001\061\001\255\255\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\077\001\078\001\079\001\080\001\057\001\058\001\059\001\
\060\001\061\001\255\255\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\071\001\072\001\073\001\074\001\075\001\
\076\001\077\001\078\001\079\001\080\001\105\001\255\255\255\255\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\255\255\
\013\001\014\001\015\001\255\255\017\001\018\001\019\001\099\001\
\100\001\255\255\102\001\255\255\104\001\105\001\027\001\028\001\
\255\255\255\255\255\255\032\001\033\001\255\255\255\255\255\255\
\255\255\038\001\255\255\255\255\041\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\050\001\051\001\052\001\
\132\001\255\255\255\255\255\255\057\001\058\001\059\001\060\001\
\061\001\255\255\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\094\001\095\001\096\001\097\001\255\255\255\255\100\001\
\255\255\102\001\255\255\104\001\105\001\255\255\255\255\255\255\
\109\001\255\255\255\255\005\001\006\001\007\001\008\001\009\001\
\255\255\255\255\255\255\013\001\014\001\015\001\255\255\017\001\
\018\001\019\001\255\255\255\255\255\255\255\255\255\255\132\001\
\255\255\027\001\028\001\136\001\137\001\255\255\032\001\033\001\
\255\255\255\255\255\255\144\001\038\001\255\255\255\255\041\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\050\001\051\001\052\001\255\255\255\255\255\255\255\255\057\001\
\058\001\059\001\060\001\061\001\255\255\063\001\064\001\065\001\
\066\001\067\001\068\001\069\001\070\001\071\001\072\001\073\001\
\074\001\075\001\076\001\077\001\078\001\079\001\080\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\094\001\095\001\096\001\097\001\
\255\255\255\255\100\001\255\255\102\001\255\255\104\001\105\001\
\255\255\255\255\255\255\109\001\255\255\255\255\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\255\255\013\001\014\001\
\015\001\255\255\017\001\018\001\019\001\255\255\255\255\255\255\
\255\255\255\255\132\001\255\255\027\001\028\001\136\001\137\001\
\255\255\032\001\033\001\255\255\255\255\255\255\144\001\038\001\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\050\001\051\001\052\001\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\094\001\
\095\001\096\001\097\001\255\255\255\255\100\001\255\255\102\001\
\255\255\104\001\105\001\255\255\255\255\255\255\109\001\255\255\
\255\255\005\001\006\001\007\001\008\001\009\001\255\255\255\255\
\255\255\013\001\014\001\015\001\255\255\017\001\018\001\019\001\
\255\255\255\255\255\255\255\255\255\255\132\001\255\255\027\001\
\028\001\136\001\137\001\255\255\032\001\033\001\255\255\255\255\
\255\255\144\001\038\001\255\255\255\255\041\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\050\001\051\001\
\052\001\255\255\255\255\255\255\255\255\057\001\058\001\059\001\
\060\001\061\001\255\255\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\071\001\072\001\073\001\074\001\075\001\
\076\001\077\001\078\001\079\001\080\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\094\001\095\001\096\001\097\001\255\255\255\255\
\100\001\255\255\102\001\255\255\104\001\105\001\255\255\255\255\
\255\255\109\001\255\255\255\255\005\001\006\001\007\001\008\001\
\009\001\255\255\255\255\255\255\013\001\014\001\015\001\255\255\
\017\001\018\001\255\255\255\255\255\255\255\255\255\255\255\255\
\132\001\255\255\027\001\028\001\136\001\137\001\255\255\032\001\
\033\001\255\255\255\255\255\255\144\001\038\001\255\255\255\255\
\041\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\050\001\051\001\052\001\255\255\255\255\255\255\255\255\
\057\001\058\001\059\001\060\001\061\001\255\255\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\094\001\095\001\096\001\
\097\001\255\255\255\255\100\001\255\255\102\001\255\255\104\001\
\105\001\255\255\255\255\255\255\109\001\255\255\255\255\005\001\
\006\001\007\001\008\001\009\001\255\255\255\255\255\255\013\001\
\014\001\015\001\255\255\017\001\018\001\255\255\255\255\255\255\
\255\255\255\255\255\255\132\001\255\255\027\001\028\001\136\001\
\137\001\255\255\032\001\033\001\255\255\255\255\255\255\144\001\
\038\001\255\255\255\255\041\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\050\001\051\001\052\001\255\255\
\255\255\255\255\255\255\057\001\058\001\059\001\060\001\061\001\
\255\255\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\071\001\072\001\073\001\074\001\075\001\076\001\077\001\
\078\001\079\001\080\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\094\001\095\001\096\001\097\001\255\255\255\255\100\001\255\255\
\102\001\255\255\104\001\105\001\255\255\255\255\255\255\109\001\
\255\255\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\016\001\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\132\001\255\255\
\027\001\028\001\136\001\137\001\255\255\032\001\033\001\255\255\
\255\255\036\001\144\001\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\100\001\101\001\102\001\255\255\104\001\105\001\106\001\
\255\255\255\255\109\001\110\001\111\001\255\255\255\255\255\255\
\115\001\255\255\117\001\118\001\119\001\120\001\121\001\122\001\
\123\001\124\001\255\255\255\255\127\001\255\255\129\001\255\255\
\131\001\132\001\255\255\134\001\135\001\136\001\137\001\255\255\
\255\255\140\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\016\001\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\100\001\101\001\102\001\255\255\104\001\105\001\106\001\
\255\255\255\255\109\001\255\255\255\255\255\255\113\001\255\255\
\115\001\255\255\117\001\118\001\119\001\120\001\121\001\122\001\
\123\001\124\001\255\255\255\255\127\001\255\255\129\001\255\255\
\131\001\132\001\255\255\134\001\135\001\136\001\137\001\138\001\
\255\255\140\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\016\001\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\100\001\101\001\102\001\255\255\104\001\105\001\106\001\
\255\255\255\255\109\001\255\255\255\255\255\255\113\001\255\255\
\115\001\255\255\117\001\118\001\119\001\120\001\121\001\122\001\
\123\001\124\001\255\255\255\255\127\001\255\255\129\001\255\255\
\131\001\132\001\255\255\134\001\135\001\136\001\137\001\138\001\
\255\255\140\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\016\001\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\100\001\101\001\102\001\255\255\104\001\105\001\106\001\
\255\255\255\255\109\001\255\255\255\255\255\255\113\001\255\255\
\115\001\255\255\117\001\118\001\119\001\120\001\121\001\122\001\
\123\001\124\001\255\255\255\255\127\001\255\255\129\001\255\255\
\131\001\132\001\255\255\134\001\135\001\136\001\137\001\138\001\
\255\255\140\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\016\001\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\100\001\101\001\102\001\255\255\104\001\105\001\106\001\
\255\255\255\255\109\001\255\255\111\001\255\255\255\255\255\255\
\115\001\255\255\117\001\118\001\119\001\120\001\121\001\122\001\
\123\001\124\001\255\255\255\255\127\001\255\255\129\001\255\255\
\131\001\132\001\255\255\134\001\135\001\136\001\137\001\255\255\
\255\255\140\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\016\001\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\100\001\101\001\102\001\255\255\104\001\105\001\106\001\
\255\255\255\255\109\001\255\255\255\255\255\255\255\255\255\255\
\115\001\255\255\117\001\118\001\119\001\120\001\121\001\122\001\
\123\001\124\001\255\255\255\255\127\001\255\255\129\001\255\255\
\131\001\132\001\255\255\134\001\135\001\136\001\137\001\255\255\
\255\255\140\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\255\255\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\100\001\101\001\102\001\255\255\104\001\105\001\255\255\
\255\255\255\255\109\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\124\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\132\001\255\255\134\001\135\001\136\001\137\001\255\255\
\255\255\140\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\255\255\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\255\255\014\001\
\027\001\028\001\255\255\018\001\019\001\032\001\033\001\022\001\
\255\255\036\001\025\001\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\036\001\255\255\050\001\
\051\001\052\001\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\062\001\255\255\052\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\255\255\101\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\109\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\117\001\255\255\255\255\255\255\109\001\255\255\
\255\255\124\001\113\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\134\001\135\001\136\001\137\001\255\255\
\255\255\140\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\136\001\013\001\014\001\255\255\255\255\017\001\018\001\
\143\001\020\001\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\062\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\081\001\082\001\
\255\255\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\255\255\
\255\255\255\255\101\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\109\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\005\001\006\001\007\001\008\001\
\009\001\124\001\255\255\255\255\013\001\014\001\255\255\255\255\
\017\001\018\001\255\255\134\001\135\001\136\001\137\001\255\255\
\255\255\140\001\027\001\028\001\255\255\255\255\255\255\032\001\
\033\001\255\255\255\255\036\001\255\255\038\001\255\255\255\255\
\041\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\050\001\051\001\052\001\255\255\255\255\255\255\255\255\
\057\001\058\001\059\001\060\001\061\001\255\255\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\094\001\095\001\096\001\
\097\001\255\255\255\255\100\001\255\255\102\001\255\255\104\001\
\105\001\255\255\255\255\255\255\109\001\255\255\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\255\255\013\001\014\001\
\255\255\255\255\017\001\018\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\132\001\027\001\028\001\255\255\136\001\
\137\001\032\001\033\001\255\255\255\255\255\255\255\255\038\001\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\050\001\051\001\052\001\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\255\255\
\255\255\255\255\255\255\255\255\075\001\076\001\077\001\078\001\
\079\001\080\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\094\001\
\095\001\096\001\097\001\255\255\255\255\100\001\255\255\255\255\
\255\255\014\001\105\001\255\255\255\255\018\001\109\001\255\255\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\255\255\
\013\001\014\001\255\255\255\255\017\001\018\001\035\001\020\001\
\021\001\022\001\255\255\024\001\041\001\255\255\027\001\028\001\
\255\255\136\001\137\001\032\001\033\001\255\255\255\255\052\001\
\255\255\038\001\255\255\255\255\041\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\050\001\051\001\052\001\
\255\255\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\062\001\013\001\014\001\255\255\255\255\017\001\018\001\
\255\255\020\001\021\001\022\001\255\255\024\001\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\255\255\255\255\038\001\255\255\106\001\041\001\255\255\
\109\001\094\001\095\001\096\001\097\001\255\255\115\001\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\255\255\255\255\
\109\001\255\255\127\001\062\001\129\001\255\255\131\001\255\255\
\255\255\255\255\255\255\136\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\136\001\137\001\255\255\255\255\255\255\
\255\255\255\255\255\255\094\001\095\001\096\001\097\001\005\001\
\006\001\007\001\008\001\009\001\255\255\255\255\255\255\013\001\
\014\001\255\255\109\001\017\001\018\001\255\255\020\001\255\255\
\022\001\255\255\024\001\255\255\255\255\027\001\028\001\255\255\
\255\255\255\255\032\001\033\001\255\255\255\255\255\255\255\255\
\038\001\255\255\255\255\041\001\255\255\136\001\137\001\255\255\
\255\255\255\255\255\255\255\255\050\001\051\001\052\001\255\255\
\255\255\005\001\006\001\007\001\008\001\009\001\255\255\255\255\
\062\001\013\001\014\001\255\255\255\255\255\255\018\001\255\255\
\020\001\255\255\017\001\255\255\255\255\255\255\255\255\027\001\
\028\001\255\255\255\255\255\255\032\001\033\001\255\255\255\255\
\255\255\255\255\038\001\255\255\255\255\041\001\255\255\255\255\
\094\001\095\001\096\001\097\001\255\255\255\255\050\001\051\001\
\052\001\255\255\255\255\255\255\255\255\255\255\255\255\109\001\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\255\255\
\255\255\255\255\255\255\255\255\075\001\076\001\077\001\078\001\
\079\001\080\001\136\001\137\001\255\255\255\255\255\255\255\255\
\255\255\255\255\094\001\095\001\096\001\097\001\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\100\001\013\001\014\001\
\255\255\109\001\105\001\018\001\255\255\255\255\255\255\022\001\
\255\255\255\255\255\255\255\255\027\001\028\001\255\255\255\255\
\255\255\032\001\033\001\255\255\255\255\255\255\255\255\038\001\
\255\255\255\255\041\001\255\255\136\001\137\001\255\255\255\255\
\255\255\255\255\255\255\050\001\051\001\052\001\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\255\255\013\001\014\001\
\255\255\255\255\255\255\018\001\255\255\255\255\255\255\255\255\
\023\001\255\255\255\255\255\255\027\001\028\001\255\255\255\255\
\255\255\032\001\033\001\255\255\255\255\255\255\255\255\038\001\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\094\001\
\095\001\096\001\097\001\050\001\051\001\052\001\255\255\005\001\
\006\001\007\001\008\001\009\001\255\255\255\255\109\001\013\001\
\014\001\255\255\255\255\255\255\018\001\255\255\255\255\255\255\
\255\255\023\001\255\255\255\255\255\255\027\001\028\001\255\255\
\255\255\255\255\032\001\033\001\255\255\255\255\255\255\255\255\
\038\001\136\001\137\001\041\001\255\255\255\255\255\255\094\001\
\095\001\096\001\097\001\255\255\050\001\051\001\052\001\005\001\
\006\001\007\001\008\001\009\001\255\255\255\255\109\001\013\001\
\014\001\255\255\255\255\255\255\018\001\255\255\020\001\255\255\
\255\255\255\255\255\255\255\255\255\255\027\001\028\001\255\255\
\255\255\255\255\032\001\033\001\255\255\255\255\255\255\255\255\
\038\001\136\001\137\001\041\001\255\255\255\255\255\255\255\255\
\094\001\095\001\096\001\097\001\050\001\051\001\052\001\255\255\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\109\001\
\013\001\014\001\255\255\255\255\255\255\018\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\027\001\028\001\
\255\255\255\255\255\255\032\001\033\001\255\255\255\255\036\001\
\255\255\038\001\136\001\137\001\041\001\255\255\255\255\255\255\
\094\001\095\001\096\001\097\001\255\255\050\001\051\001\052\001\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\109\001\
\013\001\014\001\255\255\255\255\255\255\018\001\255\255\020\001\
\255\255\255\255\255\255\255\255\255\255\255\255\027\001\028\001\
\255\255\255\255\255\255\032\001\033\001\255\255\255\255\255\255\
\255\255\038\001\136\001\137\001\041\001\255\255\255\255\255\255\
\255\255\094\001\095\001\096\001\097\001\050\001\051\001\052\001\
\255\255\005\001\006\001\007\001\008\001\009\001\255\255\255\255\
\109\001\013\001\014\001\255\255\255\255\255\255\018\001\255\255\
\255\255\255\255\255\255\023\001\255\255\255\255\255\255\027\001\
\028\001\255\255\255\255\255\255\032\001\033\001\255\255\255\255\
\255\255\255\255\038\001\136\001\137\001\041\001\255\255\255\255\
\255\255\094\001\095\001\096\001\097\001\255\255\050\001\051\001\
\052\001\005\001\006\001\007\001\008\001\009\001\255\255\255\255\
\109\001\013\001\014\001\255\255\255\255\255\255\018\001\019\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\027\001\
\028\001\255\255\255\255\255\255\032\001\033\001\255\255\255\255\
\255\255\255\255\038\001\136\001\137\001\041\001\255\255\255\255\
\255\255\255\255\094\001\095\001\096\001\097\001\050\001\051\001\
\052\001\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\109\001\013\001\014\001\255\255\255\255\255\255\018\001\
\019\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\255\255\255\255\038\001\136\001\137\001\041\001\255\255\
\255\255\255\255\094\001\095\001\096\001\097\001\255\255\050\001\
\051\001\052\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\109\001\013\001\014\001\255\255\255\255\255\255\018\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\255\255\255\255\038\001\136\001\137\001\041\001\255\255\
\255\255\255\255\255\255\094\001\095\001\096\001\097\001\050\001\
\051\001\052\001\255\255\014\001\255\255\255\255\255\255\018\001\
\019\001\255\255\109\001\022\001\014\001\255\255\025\001\255\255\
\018\001\019\001\255\255\255\255\022\001\255\255\255\255\025\001\
\255\255\036\001\255\255\255\255\255\255\255\255\041\001\255\255\
\255\255\255\255\036\001\255\255\255\255\136\001\137\001\041\001\
\255\255\052\001\255\255\094\001\095\001\096\001\097\001\255\255\
\255\255\014\001\052\001\255\255\255\255\018\001\019\001\255\255\
\255\255\022\001\109\001\255\255\025\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\036\001\
\255\255\255\255\255\255\255\255\041\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\136\001\137\001\052\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\109\001\255\255\255\255\255\255\113\001\255\255\
\255\255\255\255\255\255\109\001\255\255\255\255\255\255\113\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\136\001\255\255\255\255\
\255\255\255\255\255\255\255\255\143\001\255\255\136\001\255\255\
\255\255\255\255\255\255\255\255\255\255\143\001\255\255\017\001\
\109\001\019\001\020\001\255\255\113\001\255\255\255\255\025\001\
\255\255\255\255\255\255\255\255\030\001\255\255\255\255\255\255\
\255\255\035\001\036\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\136\001\255\255\255\255\255\255\255\255\
\255\255\255\255\143\001\255\255\255\255\255\255\255\255\057\001\
\058\001\059\001\060\001\061\001\255\255\063\001\064\001\065\001\
\066\001\067\001\068\001\069\001\070\001\071\001\072\001\073\001\
\074\001\075\001\076\001\077\001\078\001\079\001\080\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\098\001\255\255\100\001\101\001\102\001\255\255\104\001\105\001\
\106\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\115\001\255\255\017\001\255\255\019\001\020\001\255\255\
\255\255\255\255\255\255\025\001\255\255\127\001\255\255\129\001\
\030\001\131\001\132\001\133\001\255\255\035\001\036\001\255\255\
\138\001\255\255\255\255\255\255\255\255\143\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\057\001\058\001\059\001\060\001\061\001\
\255\255\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\071\001\072\001\073\001\074\001\075\001\076\001\077\001\
\078\001\079\001\080\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\098\001\255\255\100\001\101\001\
\102\001\255\255\104\001\105\001\106\001\255\255\014\001\255\255\
\255\255\017\001\018\001\255\255\255\255\115\001\022\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\127\001\255\255\129\001\036\001\131\001\132\001\133\001\
\255\255\041\001\255\255\255\255\138\001\255\255\255\255\255\255\
\255\255\143\001\255\255\255\255\052\001\255\255\255\255\255\255\
\255\255\057\001\058\001\059\001\060\001\061\001\255\255\063\001\
\064\001\065\001\066\001\067\001\068\001\069\001\070\001\071\001\
\072\001\073\001\074\001\075\001\076\001\077\001\078\001\079\001\
\080\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\014\001\255\255\255\255\017\001\100\001\255\255\102\001\255\255\
\104\001\105\001\255\255\255\255\255\255\109\001\255\255\255\255\
\255\255\113\001\255\255\255\255\255\255\255\255\036\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\132\001\255\255\255\255\255\255\
\136\001\255\255\138\001\057\001\058\001\059\001\060\001\061\001\
\062\001\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\255\255\255\255\255\255\255\255\255\255\075\001\076\001\077\001\
\078\001\079\001\080\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\100\001\255\255\
\255\255\255\255\255\255\105\001\106\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\115\001\255\255\117\001\
\118\001\119\001\120\001\121\001\122\001\123\001\255\255\255\255\
\255\255\127\001\255\255\129\001\255\255\131\001\014\001\255\255\
\255\255\017\001\018\001\255\255\138\001\255\255\022\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\035\001\036\001\255\255\255\255\255\255\
\255\255\041\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\052\001\255\255\255\255\255\255\
\255\255\057\001\058\001\059\001\060\001\061\001\255\255\063\001\
\064\001\065\001\066\001\067\001\068\001\069\001\070\001\071\001\
\072\001\073\001\074\001\075\001\076\001\077\001\078\001\079\001\
\080\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\017\001\255\255\100\001\020\001\102\001\255\255\
\104\001\105\001\025\001\255\255\255\255\109\001\255\255\030\001\
\255\255\113\001\255\255\255\255\255\255\036\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\132\001\255\255\255\255\255\255\
\136\001\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\098\001\255\255\100\001\255\255\102\001\
\255\255\104\001\105\001\106\001\255\255\255\255\017\001\255\255\
\255\255\020\001\255\255\255\255\115\001\255\255\025\001\255\255\
\255\255\255\255\255\255\030\001\255\255\255\255\255\255\255\255\
\127\001\036\001\129\001\255\255\131\001\132\001\255\255\255\255\
\255\255\255\255\255\255\138\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\255\255\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\015\001\255\255\017\001\255\255\019\001\255\255\255\255\098\001\
\255\255\100\001\255\255\102\001\255\255\104\001\105\001\106\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\115\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\127\001\255\255\129\001\255\255\
\131\001\132\001\057\001\058\001\059\001\060\001\061\001\138\001\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\015\001\255\255\017\001\255\255\
\255\255\255\255\255\255\255\255\255\255\100\001\255\255\102\001\
\255\255\104\001\105\001\031\001\255\255\255\255\255\255\034\001\
\255\255\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\048\001\049\001\050\001\051\001\
\052\001\053\001\054\001\055\001\056\001\132\001\057\001\058\001\
\059\001\060\001\061\001\255\255\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\255\255\255\255\
\255\255\255\255\015\001\255\255\017\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\100\001\255\255\102\001\255\255\104\001\105\001\016\001\
\017\001\018\001\019\001\020\001\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\033\001\034\001\035\001\255\255\057\001\058\001\059\001\060\001\
\061\001\132\001\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\255\255\255\255\255\255\255\255\
\015\001\255\255\017\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\100\001\
\255\255\102\001\255\255\104\001\105\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\132\001\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\255\255\255\255\255\255\255\255\255\255\016\001\
\017\001\255\255\255\255\255\255\021\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\100\001\255\255\102\001\
\255\255\104\001\105\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\057\001\058\001\059\001\060\001\061\001\132\001\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\255\255\255\255\255\255\255\255\255\255\016\001\017\001\255\255\
\255\255\255\255\021\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\099\001\100\001\255\255\102\001\255\255\104\001\
\105\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\132\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\255\255\255\255\
\255\255\255\255\255\255\255\255\017\001\255\255\255\255\020\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\099\001\100\001\255\255\102\001\255\255\104\001\105\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\057\001\058\001\059\001\060\001\
\061\001\132\001\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\017\001\255\255\255\255\020\001\255\255\255\255\255\255\100\001\
\255\255\102\001\255\255\104\001\105\001\106\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\115\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\127\001\255\255\129\001\255\255\131\001\132\001\
\057\001\058\001\059\001\060\001\061\001\255\255\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\255\255\255\255\255\255\255\255\255\255\255\255\017\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\100\001\255\255\102\001\255\255\104\001\
\105\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\132\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\100\001\255\255\102\001\255\255\104\001\105\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\018\001\255\255\255\255\255\255\022\001\255\255\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\255\255\
\255\255\132\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\018\001\017\001\255\255\255\255\022\001\255\255\024\001\025\001\
\026\001\027\001\028\001\029\001\030\001\031\001\255\255\255\255\
\255\255\035\001\036\001\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\052\001\053\001\054\001\055\001\056\001\255\255\
\255\255\057\001\058\001\059\001\060\001\061\001\255\255\063\001\
\064\001\065\001\066\001\067\001\068\001\069\001\255\255\255\255\
\113\001\255\255\255\255\075\001\076\001\077\001\078\001\079\001\
\080\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\005\001\006\001\
\007\001\008\001\255\255\255\255\100\001\255\255\255\255\014\001\
\255\255\105\001\017\001\018\001\019\001\020\001\021\001\113\001\
\255\255\255\255\025\001\255\255\027\001\028\001\029\001\030\001\
\031\001\255\255\033\001\255\255\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\255\255\255\255\255\255\255\255\255\255\005\001\
\006\001\007\001\008\001\255\255\255\255\255\255\255\255\255\255\
\014\001\255\255\255\255\017\001\018\001\019\001\020\001\021\001\
\255\255\255\255\255\255\025\001\083\001\027\001\028\001\029\001\
\030\001\031\001\089\001\033\001\255\255\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\255\255\255\255\255\255\255\255\255\255\
\005\001\006\001\007\001\008\001\255\255\255\255\255\255\255\255\
\255\255\014\001\255\255\255\255\017\001\018\001\019\001\020\001\
\021\001\255\255\255\255\255\255\025\001\083\001\027\001\028\001\
\029\001\030\001\031\001\089\001\033\001\255\255\035\001\255\255\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\050\001\051\001\052\001\
\053\001\054\001\055\001\056\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\018\001\255\255\255\255\021\001\022\001\255\255\
\024\001\025\001\026\001\027\001\028\001\255\255\083\001\031\001\
\255\255\255\255\255\255\035\001\089\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\050\001\051\001\052\001\053\001\054\001\055\001\
\056\001"

let yynames_const = "\
  "

let yynames_block = "\
  TUnknown\000\
  TCommentSpace\000\
  TCommentNewline\000\
  TComment\000\
  TInt\000\
  TFloat\000\
  TChar\000\
  TString\000\
  TQuote\000\
  TPct\000\
  TFormat\000\
  TSubString\000\
  TDecimal\000\
  TIdent\000\
  TKRParam\000\
  Tconstructorname\000\
  TypedefIdent\000\
  TOPar\000\
  TCPar\000\
  TOBrace\000\
  TCBrace\000\
  TOCro\000\
  TCCro\000\
  TDot\000\
  TComma\000\
  TPtrOp\000\
  TInc\000\
  TDec\000\
  TAssign\000\
  TEq\000\
  TWhy\000\
  TTilde\000\
  TBang\000\
  TEllipsis\000\
  TDotDot\000\
  TPtVirg\000\
  TOrLog\000\
  TAndLog\000\
  TOr\000\
  TXor\000\
  TAnd\000\
  TEqEq\000\
  TNotEq\000\
  TInf\000\
  TSup\000\
  TInfEq\000\
  TSupEq\000\
  TShl\000\
  TShr\000\
  TPlus\000\
  TMinus\000\
  TMul\000\
  TDiv\000\
  TMod\000\
  TMax\000\
  TMin\000\
  Tchar\000\
  Tshort\000\
  Tint\000\
  Tdouble\000\
  Tfloat\000\
  Tcomplex\000\
  Tlong\000\
  Tunsigned\000\
  Tsigned\000\
  Tvoid\000\
  Tsize_t\000\
  Tssize_t\000\
  Tptrdiff_t\000\
  Tauto\000\
  Tregister\000\
  Textern\000\
  Tstatic\000\
  Ttypedef\000\
  Tconst\000\
  Tvolatile\000\
  Tstruct\000\
  Tunion\000\
  Tenum\000\
  Tdecimal\000\
  Texec\000\
  Tbreak\000\
  Telse\000\
  Tswitch\000\
  Tcase\000\
  Tcontinue\000\
  Tfor\000\
  Tdo\000\
  Tif\000\
  Twhile\000\
  Treturn\000\
  Tgoto\000\
  Tdefault\000\
  Tsizeof\000\
  Tnew\000\
  Tdelete\000\
  Tdefined\000\
  TOParCplusplusInit\000\
  Tnamespace\000\
  Trestrict\000\
  Tasm\000\
  Tattribute\000\
  TattributeNoarg\000\
  Tinline\000\
  Ttypeof\000\
  TDefine\000\
  TDefParamVariadic\000\
  TCppEscapedNewline\000\
  TCppConcatOp\000\
  TOParDefine\000\
  TOBraceDefineInit\000\
  TIdentDefine\000\
  TDefEOL\000\
  TInclude\000\
  TIncludeStart\000\
  TIncludeFilename\000\
  TIfdef\000\
  TIfdefelif\000\
  TIfdefelse\000\
  TEndif\000\
  TIfdefBool\000\
  TIfdefMisc\000\
  TIfdefVersion\000\
  TUifdef\000\
  TUelseif\000\
  TUendif\000\
  TUndef\000\
  TPrePragma\000\
  TPragma\000\
  TPragmaString\000\
  TCppDirectiveOther\000\
  TMacroAttr\000\
  TMacroEndAttr\000\
  TMacroStmt\000\
  TMacroIdStmt\000\
  TMacroIdentBuilder\000\
  TMacroString\000\
  TMacroDecl\000\
  TMacroDeclConst\000\
  TMacroIterator\000\
  TCommentSkipTagStart\000\
  TCommentSkipTagEnd\000\
  TCParEOL\000\
  TAction\000\
  TCommentMisc\000\
  TCommentCpp\000\
  EOF\000\
  TTODO\000\
  "

let yyact = [|
  (fun _ -> failwith "parser")
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'translation_unit) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 701 "parsing_c/parser_c.mly"
                          ( _1 )
# 3348 "parsing_c/parser_c.ml"
               : Ast_c.program))
; (fun __caml_parser_env ->
    Obj.repr(
# 705 "parsing_c/parser_c.mly"
     ( [] )
# 3354 "parsing_c/parser_c.ml"
               : 'translation_unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'translation_unit) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'external_declaration) in
    Obj.repr(
# 707 "parsing_c/parser_c.mly"
     ( !LP._lexer_hint.context_stack <- [LP.InTopLevel]; _1 @ [_2] )
# 3362 "parsing_c/parser_c.ml"
               : 'translation_unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'translation_unit) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'translation_unit) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 709 "parsing_c/parser_c.mly"
     ( !LP._lexer_hint.context_stack <- [LP.InTopLevel];
       _1 @ [Namespace (_5, [_2; snd _3; _4; _6])] )
# 3375 "parsing_c/parser_c.ml"
               : 'translation_unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 722 "parsing_c/parser_c.mly"
                ( _1 )
# 3382 "parsing_c/parser_c.ml"
               : 'ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 723 "parsing_c/parser_c.mly"
                ( _1 )
# 3389 "parsing_c/parser_c.ml"
               : 'ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 724 "parsing_c/parser_c.mly"
                ( ("complex", _1) )
# 3396 "parsing_c/parser_c.ml"
               : 'ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 728 "parsing_c/parser_c.mly"
                ( _1 )
# 3403 "parsing_c/parser_c.ml"
               : 'identifier))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 729 "parsing_c/parser_c.mly"
                ( ("complex", _1) )
# 3410 "parsing_c/parser_c.ml"
               : 'identifier))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 738 "parsing_c/parser_c.mly"
     ( RegularName (mk_string_wrap _1) )
# 3417 "parsing_c/parser_c.ml"
               : 'identifier_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ident_extra_cpp) in
    Obj.repr(
# 739 "parsing_c/parser_c.mly"
                   ( _1 )
# 3424 "parsing_c/parser_c.ml"
               : 'identifier_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 743 "parsing_c/parser_c.mly"
     ( RegularName (mk_string_wrap _1) )
# 3431 "parsing_c/parser_c.ml"
               : 'ident_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 745 "parsing_c/parser_c.mly"
     ( RegularName (mk_string_wrap _1) )
# 3438 "parsing_c/parser_c.ml"
               : 'ident_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ident_extra_cpp) in
    Obj.repr(
# 746 "parsing_c/parser_c.mly"
                   ( _1 )
# 3445 "parsing_c/parser_c.ml"
               : 'ident_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 747 "parsing_c/parser_c.mly"
                ( RegularName (mk_string_wrap ("complex", _1)) )
# 3452 "parsing_c/parser_c.ml"
               : 'ident_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'identifier_cpp_list) in
    Obj.repr(
# 751 "parsing_c/parser_c.mly"
     (
       CppConcatenatedName (
         match _3 with
         | [] -> raise (Impossible 87)
         | (x,concatnull)::xs ->
             assert (concatnull = []);
             (mk_string_wrap _1, [])::(x,[_2])::xs
       )
   )
# 3469 "parsing_c/parser_c.ml"
               : 'ident_extra_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 761 "parsing_c/parser_c.mly"
     ( CppVariadicName (fst _2, [_1; snd _2]) )
# 3477 "parsing_c/parser_c.ml"
               : 'ident_extra_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'param_define_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 763 "parsing_c/parser_c.mly"
     ( CppIdentBuilder ((fst _1, [snd _1;_2;_4]), _3) )
# 3487 "parsing_c/parser_c.ml"
               : 'ident_extra_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 766 "parsing_c/parser_c.mly"
          ( [mk_string_wrap _1, []] )
# 3494 "parsing_c/parser_c.ml"
               : 'identifier_cpp_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'identifier_cpp_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 767 "parsing_c/parser_c.mly"
                                           ( _1 @ [mk_string_wrap _3, [_2]] )
# 3503 "parsing_c/parser_c.ml"
               : 'identifier_cpp_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 774 "parsing_c/parser_c.mly"
                           ( _1 )
# 3510 "parsing_c/parser_c.ml"
               : Ast_c.expression))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 775 "parsing_c/parser_c.mly"
                           ( mk_e (Sequence (_1,_3)) [_2] )
# 3519 "parsing_c/parser_c.ml"
               : Ast_c.expression))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cond_expr) in
    Obj.repr(
# 781 "parsing_c/parser_c.mly"
                                 ( _1 )
# 3526 "parsing_c/parser_c.ml"
               : 'assign_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'cast_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.assignOp) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 782 "parsing_c/parser_c.mly"
                                 ( mk_e(Assignment (_1, _2, _3)) [])
# 3535 "parsing_c/parser_c.ml"
               : 'assign_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'cast_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 783 "parsing_c/parser_c.mly"
                                 ( mk_e (Assignment (_1, (SimpleAssign, [_2]),_3)) [])
# 3544 "parsing_c/parser_c.ml"
               : 'assign_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 791 "parsing_c/parser_c.mly"
     ( _1 )
# 3551 "parsing_c/parser_c.ml"
               : 'cond_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'gcc_opt_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 793 "parsing_c/parser_c.mly"
     ( mk_e (CondExpr (_1,_3,_5)) [_2;_4] )
# 3562 "parsing_c/parser_c.ml"
               : 'cond_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 797 "parsing_c/parser_c.mly"
                                 ( _1 )
# 3569 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 798 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Mul,[_2]), _3)) [] )
# 3578 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 799 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Div, [_2]), _3)) [] )
# 3587 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 800 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Min, [_2]), _3)) [] )
# 3596 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 801 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Max, [_2]), _3)) [] )
# 3605 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 802 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Mod, [_2]), _3)) [] )
# 3614 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 803 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Plus, [_2]), _3)) [] )
# 3623 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 804 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Minus, [_2]), _3)) [] )
# 3632 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 805 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith DecLeft, [_2]), _3)) [] )
# 3641 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 806 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith DecRight, [_2]), _3)) [] )
# 3650 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 807 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical Inf, [_2]), _3)) [] )
# 3659 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 808 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical Sup, [_2]), _3)) [] )
# 3668 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 809 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical InfEq, [_2]), _3)) [] )
# 3677 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 810 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical SupEq, [_2]), _3)) [] )
# 3686 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 811 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical Eq, [_2]), _3)) [] )
# 3695 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 812 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical NotEq, [_2]), _3)) [] )
# 3704 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 813 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith And, [_2]), _3)) [] )
# 3713 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 814 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Or, [_2]), _3)) [] )
# 3722 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 815 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Xor, [_2]), _3)) [] )
# 3731 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 816 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical AndLog, [_2]), _3)) [] )
# 3740 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 817 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical OrLog, [_2]), _3)) [] )
# 3749 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unary_expr) in
    Obj.repr(
# 820 "parsing_c/parser_c.mly"
                                     ( _1 )
# 3756 "parsing_c/parser_c.ml"
               : 'cast_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'topar2) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.fullType) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'tcpar2) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 821 "parsing_c/parser_c.mly"
                                     ( mk_e(Cast (_2, _4)) [_1;_3] )
# 3766 "parsing_c/parser_c.ml"
               : 'cast_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'postfix_expr) in
    Obj.repr(
# 829 "parsing_c/parser_c.mly"
                                   ( _1 )
# 3773 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unary_expr) in
    Obj.repr(
# 830 "parsing_c/parser_c.mly"
                                   ( mk_e(Infix (_2, Inc))    [_1] )
# 3781 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unary_expr) in
    Obj.repr(
# 831 "parsing_c/parser_c.mly"
                                   ( mk_e(Infix (_2, Dec))    [_1] )
# 3789 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'unary_op) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 832 "parsing_c/parser_c.mly"
                                   ( mk_e(Unary (_2, fst _1)) [snd _1] )
# 3797 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unary_expr) in
    Obj.repr(
# 833 "parsing_c/parser_c.mly"
                                   ( mk_e(SizeOfExpr (_2))    [_1] )
# 3805 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'topar2) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.fullType) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar2) in
    Obj.repr(
# 834 "parsing_c/parser_c.mly"
                                   ( mk_e(SizeOfType (_3))    [_1;_2;_4] )
# 3815 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'new_argument) in
    Obj.repr(
# 835 "parsing_c/parser_c.mly"
                                   ( mk_e(New (None, _2))     [_1] )
# 3823 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'new_argument) in
    Obj.repr(
# 836 "parsing_c/parser_c.mly"
                                                  ( mk_e(New (Some _3, _5))             [_1; _2; _4] )
# 3834 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 837 "parsing_c/parser_c.mly"
                                   ( mk_e(Delete(false, _2))  [_1] )
# 3842 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 838 "parsing_c/parser_c.mly"
                                   ( mk_e(Delete(true, _4))   [_1;_2;_3] )
# 3852 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'identifier_cpp) in
    Obj.repr(
# 839 "parsing_c/parser_c.mly"
                                   ( mk_e(Defined _2)         [_1] )
# 3860 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'identifier_cpp) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 841 "parsing_c/parser_c.mly"
 ( mk_e(Defined _3) [_1;_2;_4] )
# 3870 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 845 "parsing_c/parser_c.mly"
     ( let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
       Left (mk_e(FunCall (fn, _3)) [_2;_4]) )
# 3881 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 848 "parsing_c/parser_c.mly"
     ( let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
       Left(mk_e(FunCall (fn, [])) [_2;_3]) )
# 3891 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 851 "parsing_c/parser_c.mly"
     ( let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
       Left (mk_e(FunCall (fn, _3)) [_2;_4]) )
# 3902 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 854 "parsing_c/parser_c.mly"
     ( let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
       Left (mk_e(FunCall (fn, [])) [_2;_3]) )
# 3912 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_spec) in
    Obj.repr(
# 857 "parsing_c/parser_c.mly"
     ( let ty = addTypeD (_1,nullDecl) in
       let ((returnType,hasreg), iihasreg) = fixDeclSpecForParam ty in
       Right (ArgType { p_namei = None; p_type = returnType;
			p_register = hasreg, iihasreg;
		      } )
     )
# 3924 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'new_argument) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 864 "parsing_c/parser_c.mly"
     (
       match _1 with
	 Left(e) -> Left(mk_e(ArrayAccess (e, _3)) [_2;_4])
       | Right(ArgType(ty)) -> (* l o h t m t r t *)
	   let fty = mk_ty (Array (Some _3, ty.Ast_c.p_type)) [_2;_4] in
	   let pty = { ty with p_type = fty } in
	   Right(ArgType pty)
       | _ -> raise (Impossible 88)
     )
# 3942 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 875 "parsing_c/parser_c.mly"
          ( GetRef,     _1 )
# 3949 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 876 "parsing_c/parser_c.mly"
          ( DeRef,      _1 )
# 3956 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 877 "parsing_c/parser_c.mly"
          ( UnPlus,     _1 )
# 3963 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 878 "parsing_c/parser_c.mly"
          ( UnMinus,    _1 )
# 3970 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 879 "parsing_c/parser_c.mly"
          ( Tilde,      _1 )
# 3977 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 880 "parsing_c/parser_c.mly"
          ( Not,        _1 )
# 3984 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 884 "parsing_c/parser_c.mly"
           ( GetRefLabel, _1 )
# 3991 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'primary_expr) in
    Obj.repr(
# 887 "parsing_c/parser_c.mly"
                              ( _1 )
# 3998 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 889 "parsing_c/parser_c.mly"
     ( mk_e(ArrayAccess (_1, _3)) [_2;_4] )
# 4008 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 891 "parsing_c/parser_c.mly"
     ( mk_e(FunCall (_1, _3)) [_2;_4] )
# 4018 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 892 "parsing_c/parser_c.mly"
                              ( mk_e(FunCall (_1, [])) [_2;_3] )
# 4027 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'ident_cpp) in
    Obj.repr(
# 893 "parsing_c/parser_c.mly"
                                 ( mk_e(RecordAccess   (_1,_3)) [_2] )
# 4036 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'ident_cpp) in
    Obj.repr(
# 894 "parsing_c/parser_c.mly"
                                 ( mk_e(RecordPtAccess (_1,_3)) [_2] )
# 4045 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 895 "parsing_c/parser_c.mly"
                              ( mk_e(Postfix (_1, Inc)) [_2] )
# 4053 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 896 "parsing_c/parser_c.mly"
                              ( mk_e(Postfix (_1, Dec)) [_2] )
# 4061 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'topar2) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.fullType) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'tcpar2) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 900 "parsing_c/parser_c.mly"
     ( mk_e(Constructor (_2, (InitList [], [_4;_5]))) [_1;_3] )
# 4072 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : 'topar2) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.fullType) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : 'tcpar2) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : 'initialize_list) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 902 "parsing_c/parser_c.mly"
     ( mk_e(Constructor (_2, (InitList (List.rev _5),[_4;_7] @ _6))) [_1;_3] )
# 4085 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'identifier_cpp) in
    Obj.repr(
# 906 "parsing_c/parser_c.mly"
                   ( mk_e(Ident  (_1)) [] )
# 4092 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * (Ast_c.sign * Ast_c.base)) * Ast_c.info) in
    Obj.repr(
# 908 "parsing_c/parser_c.mly"
    ( let (str,(sign,base)) = fst _1 in
      mk_e(Constant (Int (str,Si(sign,base)))) [snd _1] )
# 4100 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.floatType) * Ast_c.info) in
    Obj.repr(
# 910 "parsing_c/parser_c.mly"
           ( mk_e(Constant (Float  (fst _1))) [snd _1] )
# 4107 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 911 "parsing_c/parser_c.mly"
           ( mk_e(Constant (String (fst _1))) [snd _1] )
# 4114 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : (string * Ast_c.isWchar) * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'string_fragments) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 913 "parsing_c/parser_c.mly"
     ( let ((fullstring,isW),lqinfo) = _1 in
       let (_,rqinfo) = _3 in
       mk_e (Ast_c.StringConstant(_2, fullstring, isW)) [lqinfo;rqinfo] )
# 4125 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 916 "parsing_c/parser_c.mly"
           ( mk_e(Constant (Char   (fst _1))) [snd _1] )
# 4132 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * string (*n*) * string (*p*)) * Ast_c.info) in
    Obj.repr(
# 917 "parsing_c/parser_c.mly"
            ( let (a,b,c) = fst _1 in
              mk_e(Constant (DecimalConst (a,b,c))) [snd _1] )
# 4140 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 919 "parsing_c/parser_c.mly"
                    ( mk_e(ParenExpr (_2)) [_1;_3] )
# 4149 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 922 "parsing_c/parser_c.mly"
                ( mk_e(Constant (MultiString [fst _1])) [snd _1] )
# 4156 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'string_elem) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'string_list) in
    Obj.repr(
# 924 "parsing_c/parser_c.mly"
     ( mk_e(Constant (MultiString ["TODO: MultiString"])) (_1 @ _2) )
# 4164 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'compound) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 927 "parsing_c/parser_c.mly"
                         ( mk_e(StatementExpr (_2)) [_1;_3] )
# 4173 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    Obj.repr(
# 930 "parsing_c/parser_c.mly"
               ( [] )
# 4179 "parsing_c/parser_c.ml"
               : 'string_fragments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'string_fragment) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'string_fragments) in
    Obj.repr(
# 931 "parsing_c/parser_c.mly"
                                    ( _1 :: _2 )
# 4187 "parsing_c/parser_c.ml"
               : 'string_fragments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'string_format) in
    Obj.repr(
# 934 "parsing_c/parser_c.mly"
                      ( Ast_c.FormatFragment(_2), [_1] )
# 4195 "parsing_c/parser_c.ml"
               : 'string_fragment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 935 "parsing_c/parser_c.mly"
              ( Ast_c.ConstantFragment(fst _1), [snd _1] )
# 4202 "parsing_c/parser_c.ml"
               : 'string_fragment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 938 "parsing_c/parser_c.mly"
           ( Ast_c.ConstantFormat(fst _1), [snd _1] )
# 4209 "parsing_c/parser_c.ml"
               : 'string_format))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 947 "parsing_c/parser_c.mly"
               ( Left _1 )
# 4216 "parsing_c/parser_c.ml"
               : 'argument_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl) in
    Obj.repr(
# 948 "parsing_c/parser_c.mly"
                  ( Right (ArgType _1)  )
# 4223 "parsing_c/parser_c.ml"
               : 'argument_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'action_higherordermacro_ne) in
    Obj.repr(
# 949 "parsing_c/parser_c.mly"
                              ( Right (ArgAction _1) )
# 4230 "parsing_c/parser_c.ml"
               : 'argument_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 953 "parsing_c/parser_c.mly"
               ( Left _1 )
# 4237 "parsing_c/parser_c.ml"
               : 'argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl) in
    Obj.repr(
# 954 "parsing_c/parser_c.mly"
                  ( Right (ArgType _1)  )
# 4244 "parsing_c/parser_c.ml"
               : 'argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'action_higherordermacro) in
    Obj.repr(
# 956 "parsing_c/parser_c.mly"
                           ( Right (ArgAction _1) )
# 4251 "parsing_c/parser_c.ml"
               : 'argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'taction_list_ne) in
    Obj.repr(
# 960 "parsing_c/parser_c.mly"
     ( if _1=[]
       then ActMisc [Ast_c.fakeInfo()]
       else ActMisc _1
     )
# 4261 "parsing_c/parser_c.ml"
               : 'action_higherordermacro_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'taction_list) in
    Obj.repr(
# 968 "parsing_c/parser_c.mly"
     ( if _1=[]
       then ActMisc [Ast_c.fakeInfo()]
       else ActMisc _1
     )
# 4271 "parsing_c/parser_c.ml"
               : 'action_higherordermacro))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cond_expr) in
    Obj.repr(
# 979 "parsing_c/parser_c.mly"
                      ( _1  )
# 4278 "parsing_c/parser_c.ml"
               : 'const_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 982 "parsing_c/parser_c.mly"
              ( et "topar2" (); _1  )
# 4285 "parsing_c/parser_c.ml"
               : 'topar2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 983 "parsing_c/parser_c.mly"
              ( et "tcpar2" (); _1 (*T? e ? s ? c p d p ? *) )
# 4292 "parsing_c/parser_c.ml"
               : 'tcpar2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'statement2) in
    Obj.repr(
# 991 "parsing_c/parser_c.mly"
                      ( mk_st (fst _1) (snd _1) )
# 4299 "parsing_c/parser_c.ml"
               : Ast_c.statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'labeled) in
    Obj.repr(
# 994 "parsing_c/parser_c.mly"
                   ( Labeled      (fst _1), snd _1 )
# 4306 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 995 "parsing_c/parser_c.mly"
                   ( Compound     (fst _1), snd _1 )
# 4313 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'expr_statement) in
    Obj.repr(
# 996 "parsing_c/parser_c.mly"
                   ( ExprStatement(fst _1), snd _1 )
# 4320 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'selection) in
    Obj.repr(
# 997 "parsing_c/parser_c.mly"
                   ( Selection    (fst _1), snd _1 @ [postfakeInfo(snd _1)] )
# 4327 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'iteration) in
    Obj.repr(
# 998 "parsing_c/parser_c.mly"
                   ( Iteration    (fst _1), snd _1 @ [postfakeInfo(snd _1)] )
# 4334 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'jump) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 999 "parsing_c/parser_c.mly"
                   ( Jump         (fst _1), snd _1 @ [_2] )
# 4342 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'asmbody) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1002 "parsing_c/parser_c.mly"
                                                ( Asm _3, [_1;_2;_4;_5] )
# 4353 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'asmbody) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1003 "parsing_c/parser_c.mly"
                                                ( Asm _4, [_1;_2;_3;_5;_6] )
# 4365 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1006 "parsing_c/parser_c.mly"
                                           (
   let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
   ExprStatement (Some(mk_e (FunCall (fn, _3)) [_2;_4])), [Ast_c.fakeInfo ()] )
# 4377 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 1009 "parsing_c/parser_c.mly"
                ( MacroStmt, [snd _1] )
# 4384 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'identifier) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'exec_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1011 "parsing_c/parser_c.mly"
                                      ( Exec(_3), [_1;snd _2;_4] )
# 4394 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ident_cpp) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'sw_stat_or_decl) in
    Obj.repr(
# 1018 "parsing_c/parser_c.mly"
                                              ( Label (_1, _3),  [_2] )
# 4403 "parsing_c/parser_c.ml"
               : 'labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'sw_stat_or_decl) in
    Obj.repr(
# 1019 "parsing_c/parser_c.mly"
                                              ( Case (_2, _4),       [_1; _3] )
# 4413 "parsing_c/parser_c.ml"
               : 'labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'const_expr) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'sw_stat_or_decl) in
    Obj.repr(
# 1021 "parsing_c/parser_c.mly"
     ( CaseRange (_2, _4, _6), [_1;_3;_5] )
# 4425 "parsing_c/parser_c.ml"
               : 'labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'sw_stat_or_decl) in
    Obj.repr(
# 1022 "parsing_c/parser_c.mly"
                                         ( Default _3,             [_1; _2] )
# 4434 "parsing_c/parser_c.ml"
               : 'labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1025 "parsing_c/parser_c.mly"
             ( mk_st (Decl (_1 Ast_c.LocalDecl)) Ast_c.noii )
# 4441 "parsing_c/parser_c.ml"
               : 'sw_stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1026 "parsing_c/parser_c.mly"
             ( _1 )
# 4448 "parsing_c/parser_c.ml"
               : 'sw_stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'ident_cpp) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1037 "parsing_c/parser_c.mly"
     ( Label (_1, (mk_st (ExprStatement None) Ast_c.noii)), [_2] )
# 4456 "parsing_c/parser_c.ml"
               : 'end_labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1039 "parsing_c/parser_c.mly"
     ( Case (_2, (mk_st (ExprStatement None) Ast_c.noii)), [_1;_3] )
# 4465 "parsing_c/parser_c.ml"
               : 'end_labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1041 "parsing_c/parser_c.mly"
     ( Default (mk_st (ExprStatement None) Ast_c.noii),    [_1; _2] )
# 4473 "parsing_c/parser_c.ml"
               : 'end_labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tobrace) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'compound2) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace) in
    Obj.repr(
# 1047 "parsing_c/parser_c.mly"
                                    ( _2, [_1; _3]  )
# 4482 "parsing_c/parser_c.ml"
               : 'compound))
; (fun __caml_parser_env ->
    Obj.repr(
# 1059 "parsing_c/parser_c.mly"
                     ( ([]) )
# 4488 "parsing_c/parser_c.ml"
               : 'compound2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'stat_or_decl_list) in
    Obj.repr(
# 1060 "parsing_c/parser_c.mly"
                     ( _1 )
# 4495 "parsing_c/parser_c.ml"
               : 'compound2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'stat_or_decl) in
    Obj.repr(
# 1064 "parsing_c/parser_c.mly"
                                  ( [_1] )
# 4502 "parsing_c/parser_c.ml"
               : 'stat_or_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'end_labeled) in
    Obj.repr(
# 1066 "parsing_c/parser_c.mly"
                ( [StmtElem (mk_st (Labeled  (fst _1)) (snd _1))] )
# 4509 "parsing_c/parser_c.ml"
               : 'stat_or_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'stat_or_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'stat_or_decl_list) in
    Obj.repr(
# 1068 "parsing_c/parser_c.mly"
                                  ( _1 :: _2 )
# 4517 "parsing_c/parser_c.ml"
               : 'stat_or_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1071 "parsing_c/parser_c.mly"
             ( StmtElem (mk_st (Decl (_1 Ast_c.LocalDecl)) Ast_c.noii) )
# 4524 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1072 "parsing_c/parser_c.mly"
             ( StmtElem _1 )
# 4531 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_definition) in
    Obj.repr(
# 1075 "parsing_c/parser_c.mly"
                       ( StmtElem (mk_st (NestedFunc _1) Ast_c.noii) )
# 4538 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 1079 "parsing_c/parser_c.mly"
     ( CppDirectiveStmt _1 )
# 4545 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_directive) in
    Obj.repr(
# 1081 "parsing_c/parser_c.mly"
     ( IfdefStmt _1 )
# 4552 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1085 "parsing_c/parser_c.mly"
                ( None,    [_1] )
# 4559 "parsing_c/parser_c.ml"
               : 'expr_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1086 "parsing_c/parser_c.mly"
                ( Some _1, [_2] )
# 4567 "parsing_c/parser_c.ml"
               : 'expr_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1090 "parsing_c/parser_c.mly"
     ( If (_3, _5, (mk_st (ExprStatement None) Ast_c.noii)),   [_1;_2;_4] )
# 4578 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : 'cpp_ifdef_statement) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1092 "parsing_c/parser_c.mly"
     ( If (_3, _5, _7),  [_1;_2;_4;_6] )
# 4591 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1094 "parsing_c/parser_c.mly"
     ( Switch (_3,_5),   [_1;_2;_4]  )
# 4602 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 8 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 7 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.expression) in
    let _5 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.statement) in
    let _7 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _8 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _9 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1097 "parsing_c/parser_c.mly"
     ( Ifdef_Ite (_4,_6,_9), [_1;_2;_3;_5;_7;_8] )
# 4617 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 10 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 9 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 8 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 7 : Ast_c.expression) in
    let _5 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.statement) in
    let _7 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _8 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _9 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.statement) in
    let _10 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _11 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1100 "parsing_c/parser_c.mly"
     ( Ifdef_Ite2 (_4,_6,_9,_11), [_1;_2;_3;_5;_7;_8;_10] )
# 4634 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1104 "parsing_c/parser_c.mly"
     ( While (_3,_5),                [_1;_2;_4] )
# 4645 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1106 "parsing_c/parser_c.mly"
     ( DoWhile (_2,_5),              [_1;_3;_4;_6;_7] )
# 4658 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'expr_statement) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'expr_statement) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1108 "parsing_c/parser_c.mly"
     ( For (ForExp _3,_4,(None, []),_6),    [_1;_2;_5])
# 4670 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : 'expr_statement) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : 'expr_statement) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1110 "parsing_c/parser_c.mly"
     ( For (ForExp _3,_4,(Some _5, []),_7), [_1;_2;_6] )
# 4683 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'decl) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'expr_statement) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1113 "parsing_c/parser_c.mly"
     ( For (ForDecl (_3 Ast_c.LocalDecl),_4,(None, []),_6),    [_1;_2;_5])
# 4695 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : 'decl) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : 'expr_statement) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1115 "parsing_c/parser_c.mly"
     ( For (ForDecl (_3 Ast_c.LocalDecl),_4,(Some _5, []),_7), [_1;_2;_6] )
# 4708 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1118 "parsing_c/parser_c.mly"
     ( MacroIteration (fst _1, _3, _5), [snd _1;_2;_4] )
# 4719 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1120 "parsing_c/parser_c.mly"
     ( MacroIteration (fst _1, [], _4), [snd _1;_2;_3] )
# 4729 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'ident_cpp) in
    Obj.repr(
# 1124 "parsing_c/parser_c.mly"
                    ( Goto (_2),  [_1] )
# 4737 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1125 "parsing_c/parser_c.mly"
                ( Continue,       [_1] )
# 4744 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1126 "parsing_c/parser_c.mly"
                ( Break,          [_1] )
# 4751 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1127 "parsing_c/parser_c.mly"
                ( Return,         [_1] )
# 4758 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.expression) in
    Obj.repr(
# 1128 "parsing_c/parser_c.mly"
                ( ReturnExpr _2,  [_1] )
# 4766 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.expression) in
    Obj.repr(
# 1129 "parsing_c/parser_c.mly"
                   ( GotoComputed _3, [_1;_2] )
# 4775 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 1137 "parsing_c/parser_c.mly"
           ( [snd _1] )
# 4782 "parsing_c/parser_c.ml"
               : 'string_elem))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 1139 "parsing_c/parser_c.mly"
                ( [snd _1] )
# 4789 "parsing_c/parser_c.ml"
               : 'string_elem))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'string_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'colon_asm_list) in
    Obj.repr(
# 1143 "parsing_c/parser_c.mly"
                               ( _1, _2 )
# 4797 "parsing_c/parser_c.ml"
               : 'asmbody))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'string_list) in
    Obj.repr(
# 1144 "parsing_c/parser_c.mly"
               ( _1, [] )
# 4804 "parsing_c/parser_c.ml"
               : 'asmbody))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'colon_option_list) in
    Obj.repr(
# 1147 "parsing_c/parser_c.mly"
                                     ( Colon _2, [_1]   )
# 4812 "parsing_c/parser_c.ml"
               : 'colon_asm))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 1150 "parsing_c/parser_c.mly"
                                ( ColonMisc, [snd _1] )
# 4819 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.isWchar) * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'asm_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1151 "parsing_c/parser_c.mly"
                                ( ColonExpr _3, [snd _1; _2;_4] )
# 4829 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : 'identifier) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.isWchar) * Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : 'asm_expr) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1154 "parsing_c/parser_c.mly"
     ( ColonExpr _6, [_1;snd _2;_3;snd _4; _5; _7 ] )
# 4842 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'identifier) in
    Obj.repr(
# 1155 "parsing_c/parser_c.mly"
                                    ( ColonMisc, [snd _1] )
# 4849 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    Obj.repr(
# 1156 "parsing_c/parser_c.mly"
                                    ( ColonMisc, [] )
# 4855 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    Obj.repr(
# 1160 "parsing_c/parser_c.mly"
                ( [] )
# 4861 "parsing_c/parser_c.ml"
               : 'exec_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'identifier_cpp) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'exec_ident) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'exec_list) in
    Obj.repr(
# 1162 "parsing_c/parser_c.mly"
      ( (ExecEval (_3 (mk_e (Ident _2) [])), [_1]) :: _4 )
# 4871 "parsing_c/parser_c.ml"
               : 'exec_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'exec_ident2) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'exec_list) in
    Obj.repr(
# 1164 "parsing_c/parser_c.mly"
      ( (ExecToken, [snd _1]) :: _2 @ _3 )
# 4880 "parsing_c/parser_c.ml"
               : 'exec_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'token) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'exec_list) in
    Obj.repr(
# 1165 "parsing_c/parser_c.mly"
                    ( (ExecToken, [_1]) :: _2 )
# 4888 "parsing_c/parser_c.ml"
               : 'exec_list))
; (fun __caml_parser_env ->
    Obj.repr(
# 1168 "parsing_c/parser_c.mly"
    ( function prev -> prev )
# 4894 "parsing_c/parser_c.ml"
               : 'exec_ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'exec_ident) in
    Obj.repr(
# 1170 "parsing_c/parser_c.mly"
     ( function prev ->
       let fld = RegularName (mk_string_wrap _2) in
       _3 (mk_e(RecordAccess   (prev,fld)) [_1]) )
# 4905 "parsing_c/parser_c.ml"
               : 'exec_ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'exec_ident) in
    Obj.repr(
# 1174 "parsing_c/parser_c.mly"
     ( function prev ->
       let fld = RegularName (mk_string_wrap _2) in
       _3 (mk_e(RecordPtAccess   (prev,fld)) [_1]) )
# 4916 "parsing_c/parser_c.ml"
               : 'exec_ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'exec_ident) in
    Obj.repr(
# 1178 "parsing_c/parser_c.mly"
     ( function prev ->
       _4 (mk_e(ArrayAccess   (prev,_2)) [_1;_3]) )
# 4927 "parsing_c/parser_c.ml"
               : 'exec_ident))
; (fun __caml_parser_env ->
    Obj.repr(
# 1182 "parsing_c/parser_c.mly"
    ( [] )
# 4933 "parsing_c/parser_c.ml"
               : 'exec_ident2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'exec_ident2) in
    Obj.repr(
# 1184 "parsing_c/parser_c.mly"
    ( (ExecToken, [_1]) :: (ExecToken, [snd _2]) :: _3 )
# 4942 "parsing_c/parser_c.ml"
               : 'exec_ident2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 1186 "parsing_c/parser_c.mly"
                      ( _1 )
# 4949 "parsing_c/parser_c.ml"
               : 'asm_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1189 "parsing_c/parser_c.mly"
            ( _1 )
# 4956 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1190 "parsing_c/parser_c.mly"
            ( _1 )
# 4963 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1191 "parsing_c/parser_c.mly"
            ( _1 )
# 4970 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1192 "parsing_c/parser_c.mly"
            ( _1 )
# 4977 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1193 "parsing_c/parser_c.mly"
            ( _1 )
# 4984 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1194 "parsing_c/parser_c.mly"
            ( _1 )
# 4991 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1195 "parsing_c/parser_c.mly"
            ( _1 )
# 4998 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1196 "parsing_c/parser_c.mly"
            ( _1 )
# 5005 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1197 "parsing_c/parser_c.mly"
            ( _1 )
# 5012 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1198 "parsing_c/parser_c.mly"
            ( _1 )
# 5019 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.assignOp) in
    Obj.repr(
# 1199 "parsing_c/parser_c.mly"
            ( List.hd (snd _1) )
# 5026 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1201 "parsing_c/parser_c.mly"
            ( _1 )
# 5033 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1202 "parsing_c/parser_c.mly"
            ( _1 )
# 5040 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1203 "parsing_c/parser_c.mly"
            ( _1 )
# 5047 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1204 "parsing_c/parser_c.mly"
            ( _1 )
# 5054 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1205 "parsing_c/parser_c.mly"
            ( _1 )
# 5061 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1206 "parsing_c/parser_c.mly"
            ( _1 )
# 5068 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1208 "parsing_c/parser_c.mly"
            ( _1 )
# 5075 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1209 "parsing_c/parser_c.mly"
            ( _1 )
# 5082 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1210 "parsing_c/parser_c.mly"
            ( _1 )
# 5089 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1211 "parsing_c/parser_c.mly"
            ( _1 )
# 5096 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1212 "parsing_c/parser_c.mly"
            ( _1 )
# 5103 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1213 "parsing_c/parser_c.mly"
            ( _1 )
# 5110 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1214 "parsing_c/parser_c.mly"
            ( _1 )
# 5117 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1216 "parsing_c/parser_c.mly"
            ( _1 )
# 5124 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1217 "parsing_c/parser_c.mly"
            ( _1 )
# 5131 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1220 "parsing_c/parser_c.mly"
            ( _1 )
# 5138 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1221 "parsing_c/parser_c.mly"
            ( _1 )
# 5145 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1225 "parsing_c/parser_c.mly"
            ( _1 )
# 5152 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1226 "parsing_c/parser_c.mly"
            ( _1 )
# 5159 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1227 "parsing_c/parser_c.mly"
            ( _1 )
# 5166 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 1229 "parsing_c/parser_c.mly"
                 ( snd _1 )
# 5173 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1231 "parsing_c/parser_c.mly"
            ( _1 )
# 5180 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1232 "parsing_c/parser_c.mly"
            ( _1 )
# 5187 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * (Ast_c.sign * Ast_c.base)) * Ast_c.info) in
    Obj.repr(
# 1233 "parsing_c/parser_c.mly"
            ( snd _1 )
# 5194 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.floatType) * Ast_c.info) in
    Obj.repr(
# 1234 "parsing_c/parser_c.mly"
            ( snd _1 )
# 5201 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 1235 "parsing_c/parser_c.mly"
            ( snd _1 )
# 5208 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 1236 "parsing_c/parser_c.mly"
            ( snd _1 )
# 5215 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1247 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType Void),            [_1] )
# 5222 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1248 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (IntType CChar)), [_1])
# 5229 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1249 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (IntType (Si (Signed,CInt)))), [_1])
# 5236 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1250 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (FloatType CFloat)),  [_1])
# 5243 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1251 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (FloatType CDouble)), [_1] )
# 5250 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1252 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (FloatType CFloatComplex)),  [_1;_2])
# 5258 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1253 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (FloatType CDoubleComplex)), [_1;_2] )
# 5266 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1254 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType SizeType),            [_1] )
# 5273 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1255 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType SSizeType),           [_1] )
# 5280 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1256 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType PtrDiffType),         [_1] )
# 5287 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1257 "parsing_c/parser_c.mly"
                        ( Middle3 Short,  [_1])
# 5294 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1258 "parsing_c/parser_c.mly"
                        ( Middle3 Long,   [_1])
# 5301 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1259 "parsing_c/parser_c.mly"
                        ( Left3 Signed,   [_1])
# 5308 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1260 "parsing_c/parser_c.mly"
                        ( Left3 UnSigned, [_1])
# 5315 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_or_union_spec) in
    Obj.repr(
# 1261 "parsing_c/parser_c.mly"
                        ( Right3 (fst _1), snd _1 )
# 5322 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'enum_spec) in
    Obj.repr(
# 1262 "parsing_c/parser_c.mly"
                        ( Right3 (fst _1), snd _1 )
# 5329 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'const_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1264 "parsing_c/parser_c.mly"
     ( Right3 (Decimal(_3,Some _5)), [_1;_2;_4;_6] )
# 5341 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1266 "parsing_c/parser_c.mly"
     ( Right3 (Decimal(_3,None)), [_1;_2;_4] )
# 5351 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 1282 "parsing_c/parser_c.mly"
     ( let name = RegularName (mk_string_wrap _1) in
       Right3 (TypeName (name, Ast_c.noTypedefDef())),[] )
# 5359 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'assign_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1285 "parsing_c/parser_c.mly"
                                   ( Right3 (TypeOfExpr (_3)), [_1;_2;_4] )
# 5369 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.fullType) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1286 "parsing_c/parser_c.mly"
                                   ( Right3 (TypeOfType (_3)), [_1;_2;_4] )
# 5379 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_spec2) in
    Obj.repr(
# 1292 "parsing_c/parser_c.mly"
                         ( dt "type" (); _1   )
# 5386 "parsing_c/parser_c.ml"
               : 'type_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1299 "parsing_c/parser_c.mly"
             ( {const=true  ; volatile=false}, _1 )
# 5393 "parsing_c/parser_c.ml"
               : 'type_qualif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1300 "parsing_c/parser_c.mly"
             ( {const=false ; volatile=true},  _1 )
# 5400 "parsing_c/parser_c.ml"
               : 'type_qualif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1302 "parsing_c/parser_c.mly"
             ( (* T *) {const=false ; volatile=false},  _1 )
# 5407 "parsing_c/parser_c.ml"
               : 'type_qualif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1310 "parsing_c/parser_c.mly"
                                    ( raise Todo )
# 5416 "parsing_c/parser_c.ml"
               : 'attribute))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 1312 "parsing_c/parser_c.mly"
              ( Attribute (fst _1), [snd _1] )
# 5423 "parsing_c/parser_c.ml"
               : 'attribute))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'pointer) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'direct_d) in
    Obj.repr(
# 1327 "parsing_c/parser_c.mly"
                    ( let (attr,ptr) = _1 in
                      (attr, (fst _2, fun x -> x +> ptr +> (snd _2))) )
# 5432 "parsing_c/parser_c.ml"
               : 'declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'direct_d) in
    Obj.repr(
# 1329 "parsing_c/parser_c.mly"
                    ( (Ast_c.noattr, _1)  )
# 5439 "parsing_c/parser_c.ml"
               : 'declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tmul) in
    Obj.repr(
# 1333 "parsing_c/parser_c.mly"
                          ( (Ast_c.noattr,fun x -> mk_ty (Pointer x) [_1]) )
# 5446 "parsing_c/parser_c.ml"
               : 'pointer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'tmul) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'pointer) in
    Obj.repr(
# 1335 "parsing_c/parser_c.mly"
     ( let (attr,ptr) = _2 in
       (attr,fun x -> ptr (mk_ty (Pointer x) [_1])) )
# 5455 "parsing_c/parser_c.ml"
               : 'pointer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'tmul) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif_list) in
    Obj.repr(
# 1338 "parsing_c/parser_c.mly"
     ( let (attr,tq) = _2 in
       (attr,fun x -> (tq.qualifD, mk_tybis (Pointer x) [_1])))
# 5464 "parsing_c/parser_c.ml"
               : 'pointer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tmul) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'pointer) in
    Obj.repr(
# 1341 "parsing_c/parser_c.mly"
     ( let (attr1,tq) = _2 in
       let (attr2,ptr) = _3 in
       (attr1@attr2,fun x -> ptr (tq.qualifD, mk_tybis (Pointer x) [_1])) )
# 5475 "parsing_c/parser_c.ml"
               : 'pointer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1346 "parsing_c/parser_c.mly"
        ( _1 )
# 5482 "parsing_c/parser_c.ml"
               : 'tmul))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1348 "parsing_c/parser_c.mly"
     ( if !Flag.c_plus_plus
     then _1
     else
       let i = Ast_c.parse_info_of_info _1 in
       raise (Semantic("& not allowed in C types, try -c++ option", i)) )
# 5493 "parsing_c/parser_c.ml"
               : 'tmul))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'identifier_cpp) in
    Obj.repr(
# 1357 "parsing_c/parser_c.mly"
     ( (_1, fun x -> x) )
# 5500 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1359 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _2 in  (* a g i... *)
       (fst dec, fun x -> mk_ty (ParenType ((snd dec) x)) [_1;_3]) )
# 5510 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'direct_d) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'tocro) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tccro) in
    Obj.repr(
# 1362 "parsing_c/parser_c.mly"
     ( (fst _1,fun x->(snd _1) (mk_ty (Array (None,x)) [_2;_3])) )
# 5519 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'direct_d) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'tocro) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tccro) in
    Obj.repr(
# 1364 "parsing_c/parser_c.mly"
     ( (fst _1,fun x->(snd _1) (mk_ty (Array (Some _3,x)) [_2;_4])) )
# 5529 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'direct_d) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1366 "parsing_c/parser_c.mly"
     ( (fst _1,
       fun x->(snd _1)
         (mk_ty (FunctionType (x,(([],(false, []))))) [_2;_3]))
     )
# 5541 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'direct_d) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'parameter_type_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1371 "parsing_c/parser_c.mly"
     ( (fst _1,fun x->(snd _1)
       (mk_ty (FunctionType (x, _3)) [_2;_4]))
     )
# 5553 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1380 "parsing_c/parser_c.mly"
             ( et "tocro" ();_1 )
# 5560 "parsing_c/parser_c.ml"
               : 'tocro))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1381 "parsing_c/parser_c.mly"
             ( dt "tccro" ();_1 )
# 5567 "parsing_c/parser_c.ml"
               : 'tccro))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'pointer) in
    Obj.repr(
# 1385 "parsing_c/parser_c.mly"
                                      ( snd _1 )
# 5574 "parsing_c/parser_c.ml"
               : 'abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'direct_abstract_declarator) in
    Obj.repr(
# 1386 "parsing_c/parser_c.mly"
                                      ( _1 )
# 5581 "parsing_c/parser_c.ml"
               : 'abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'pointer) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'direct_abstract_declarator) in
    Obj.repr(
# 1387 "parsing_c/parser_c.mly"
                                      ( fun x -> x +> _2 +> (snd _1) )
# 5589 "parsing_c/parser_c.ml"
               : 'abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'abstract_declarator) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1391 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (ParenType (_2 x)) [_1;_3] )
# 5598 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1394 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (Array (None, x)) [_1;_2] )
# 5606 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1396 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (Array (Some _2, x)) [_1;_3] )
# 5615 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'direct_abstract_declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1398 "parsing_c/parser_c.mly"
     ( fun x -> _1 (mk_ty (Array (None, x))  [_2;_3]) )
# 5624 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'direct_abstract_declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1400 "parsing_c/parser_c.mly"
     ( fun x -> _1 (mk_ty (Array (Some _3,x))  [_2;_4]) )
# 5634 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1402 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (FunctionType (x, ([], (false,  [])))) [_1;_2] )
# 5642 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'topar) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'parameter_type_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1404 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (FunctionType (x, _2))  [_1;_3] )
# 5651 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'direct_abstract_declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1415 "parsing_c/parser_c.mly"
     ( fun x -> _1 (mk_ty (FunctionType (x, (([], (false, []))))) [_2;_3]) )
# 5660 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'direct_abstract_declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'parameter_type_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1417 "parsing_c/parser_c.mly"
     ( fun x -> _1 (mk_ty (FunctionType (x, _3)) [_2;_4]) )
# 5670 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_list) in
    Obj.repr(
# 1423 "parsing_c/parser_c.mly"
                                   ( (_1, (false, [])))
# 5677 "parsing_c/parser_c.ml"
               : 'parameter_type_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'parameter_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1424 "parsing_c/parser_c.mly"
                                   ( (_1, (true,  [_2;_3])) )
# 5686 "parsing_c/parser_c.ml"
               : 'parameter_type_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 1428 "parsing_c/parser_c.mly"
            (
     let name = RegularName (mk_string_wrap _1) in
     LP.add_ident (str_of_name name);
     { p_namei = Some name;
       p_type = mk_ty NoType [];
       p_register = (false, []);
     }
   )
# 5700 "parsing_c/parser_c.ml"
               : 'parameter_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'declaratorp) in
    Obj.repr(
# 1437 "parsing_c/parser_c.mly"
     ( LP.kr_impossible();
       let ((returnType,hasreg),iihasreg) = fixDeclSpecForParam (snd _1) in
       let (name, ftyp) = _2 in
       { p_namei = Some (name);
         p_type = ftyp returnType;
         p_register = (hasreg, iihasreg);
       }
     )
# 5715 "parsing_c/parser_c.ml"
               : 'parameter_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declaratorp) in
    Obj.repr(
# 1446 "parsing_c/parser_c.mly"
     ( LP.kr_impossible();
       let ((returnType,hasreg), iihasreg) = fixDeclSpecForParam (snd _1) in
       { p_namei = None;
         p_type = _2 returnType;
         p_register = hasreg, iihasreg;
       }
     )
# 5729 "parsing_c/parser_c.ml"
               : 'parameter_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec) in
    Obj.repr(
# 1454 "parsing_c/parser_c.mly"
     ( LP.kr_impossible();
       let ((returnType,hasreg), iihasreg) = fixDeclSpecForParam (snd _1) in
       { p_namei = None;
         p_type = returnType;
         p_register = hasreg, iihasreg;
       }
     )
# 5742 "parsing_c/parser_c.ml"
               : 'parameter_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl2) in
    Obj.repr(
# 1467 "parsing_c/parser_c.mly"
                                ( et "param" ();  _1 )
# 5749 "parsing_c/parser_c.ml"
               : 'parameter_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declarator) in
    Obj.repr(
# 1470 "parsing_c/parser_c.mly"
               ( let (attr,dec) = _1 in (* a g i *)
                 LP.add_ident (str_of_name (fst dec)); dec )
# 5757 "parsing_c/parser_c.ml"
               : 'declaratorp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attributes) in
    Obj.repr(
# 1474 "parsing_c/parser_c.mly"
               ( let (attr,dec) = _1 in (* a g i *)
                 LP.add_ident (str_of_name (fst dec)); dec )
# 5766 "parsing_c/parser_c.ml"
               : 'declaratorp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declarator) in
    Obj.repr(
# 1478 "parsing_c/parser_c.mly"
                       ( _1 )
# 5773 "parsing_c/parser_c.ml"
               : 'abstract_declaratorp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_spec) in
    Obj.repr(
# 1488 "parsing_c/parser_c.mly"
                                ( addTypeD (_1, nullDecl) )
# 5780 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif) in
    Obj.repr(
# 1489 "parsing_c/parser_c.mly"
                                ( {nullDecl with qualifD = (fst _1,[snd _1])})
# 5787 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list) in
    Obj.repr(
# 1490 "parsing_c/parser_c.mly"
                                ( addTypeD (_1,_2)   )
# 5795 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list) in
    Obj.repr(
# 1491 "parsing_c/parser_c.mly"
                                ( addQualifD (_1,_2) )
# 5803 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list2) in
    Obj.repr(
# 1493 "parsing_c/parser_c.mly"
                                               (  dt "spec_qualif" (); _1 )
# 5810 "parsing_c/parser_c.ml"
               : 'spec_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif) in
    Obj.repr(
# 1498 "parsing_c/parser_c.mly"
               ( (Ast_c.noattr,{nullDecl with qualifD = (fst _1,[snd _1])}) )
# 5817 "parsing_c/parser_c.ml"
               : 'type_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 1499 "parsing_c/parser_c.mly"
                                ( ([_1],nullDecl) )
# 5824 "parsing_c/parser_c.ml"
               : 'type_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif) in
    Obj.repr(
# 1500 "parsing_c/parser_c.mly"
                                ( (fst _1,addQualifD (_2,snd _1)) )
# 5832 "parsing_c/parser_c.ml"
               : 'type_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 1501 "parsing_c/parser_c.mly"
                                ( ((fst _1)@[_2],snd _1) )
# 5840 "parsing_c/parser_c.ml"
               : 'type_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list) in
    Obj.repr(
# 1509 "parsing_c/parser_c.mly"
     ( let (returnType, _) = fixDeclSpecForDecl _1 in  returnType )
# 5847 "parsing_c/parser_c.ml"
               : Ast_c.fullType))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'spec_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declaratort) in
    Obj.repr(
# 1511 "parsing_c/parser_c.mly"
     ( let (returnType, _) = fixDeclSpecForDecl _1 in _2 returnType )
# 5855 "parsing_c/parser_c.ml"
               : Ast_c.fullType))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declarator) in
    Obj.repr(
# 1516 "parsing_c/parser_c.mly"
                       ( _1 )
# 5862 "parsing_c/parser_c.ml"
               : 'abstract_declaratort))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1526 "parsing_c/parser_c.mly"
     ( function local ->
       let (returnType,storage) = fixDeclSpecForDecl (snd _1) in
       let iistart = Ast_c.fakeInfo () in
       DeclList ([{v_namei = None; v_type = returnType;
                   v_storage = unwrap storage; v_local = local;
                   v_attr = fst _1; v_endattr = Ast_c.noattr;
                   v_type_bis = ref None;
                },[]],
                (_2::iistart::snd storage))
     )
# 5879 "parsing_c/parser_c.ml"
               : 'decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'init_declarator_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1537 "parsing_c/parser_c.mly"
     ( function local ->
       let (returnType,storage) = fixDeclSpecForDecl (snd _1) in
       let iistart = Ast_c.fakeInfo () in
       DeclList (
         (_2 +> List.map (fun ((((name,f),attrs,endattrs), ini), iivirg) ->
           let s = str_of_name name in
	   if fst (unwrap storage) = StoTypedef
	   then LP.add_typedef s;
           {v_namei = Some (name, ini);
            v_type = f returnType;
            v_storage = unwrap storage;
            v_local = local;
            v_attr = (fst _1)@attrs;
            v_endattr = endattrs;
            v_type_bis = ref None;
           },
           iivirg
         )
         ),  (_3::iistart::snd storage))
     )
# 5907 "parsing_c/parser_c.ml"
               : 'decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'storage_const_opt) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1560 "parsing_c/parser_c.mly"
     ( function _ ->
       match _1 with
	 Some (sto,stoii) ->
	   MacroDecl
	     ((sto, fst _2, _4, true), (snd _2::_3::_5::_6::fakeInfo()::stoii))
       | None ->
	   MacroDecl
	     ((NoSto, fst _2, _4, true), [snd _2;_3;_5;_6;fakeInfo()]) )
# 5926 "parsing_c/parser_c.ml"
               : 'decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 7 : 'storage_const_opt) in
    let _2 = (Parsing.peek_val __caml_parser_env 6 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 4 : 'argument_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 2 : 'teq) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : 'initialize) in
    let _8 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1571 "parsing_c/parser_c.mly"
     ( function _ ->
       match _1 with
	 Some (sto,stoii) ->
	   MacroDeclInit
	     ((sto, fst _2, _4, _7),
	      (snd _2::_3::_5::_6::_8::fakeInfo()::stoii))
       | None ->
	   MacroDeclInit
	     ((NoSto, fst _2, _4, _7), [snd _2;_3;_5;_6;_8;fakeInfo()]) )
# 5948 "parsing_c/parser_c.ml"
               : 'decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'storage_class_spec_nt) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1582 "parsing_c/parser_c.mly"
                                         ( Some (fst _1,[snd _1; _2]) )
# 5956 "parsing_c/parser_c.ml"
               : 'storage_const_opt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'storage_class_spec_nt) in
    Obj.repr(
# 1583 "parsing_c/parser_c.mly"
                         ( Some (fst _1,[snd _1]) )
# 5963 "parsing_c/parser_c.ml"
               : 'storage_const_opt))
; (fun __caml_parser_env ->
    Obj.repr(
# 1584 "parsing_c/parser_c.mly"
                         ( None )
# 5969 "parsing_c/parser_c.ml"
               : 'storage_const_opt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'storage_class_spec) in
    Obj.repr(
# 1588 "parsing_c/parser_c.mly"
                      ( ([], {nullDecl with storageD = (fst _1, [snd _1]) }) )
# 5976 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_spec) in
    Obj.repr(
# 1589 "parsing_c/parser_c.mly"
                      ( ([], addTypeD (_1,nullDecl)) )
# 5983 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif) in
    Obj.repr(
# 1590 "parsing_c/parser_c.mly"
                      ( ([], {nullDecl with qualifD  = (fst _1, [snd _1]) }) )
# 5990 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1591 "parsing_c/parser_c.mly"
                      ( ([], {nullDecl with inlineD = (true, [_1]) }) )
# 5997 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 1592 "parsing_c/parser_c.mly"
                      ( ([_1], nullDecl) )
# 6004 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'storage_class_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1593 "parsing_c/parser_c.mly"
                                 ( (fst _2, addStorageD (_1, snd _2)) )
# 6012 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1594 "parsing_c/parser_c.mly"
                                 ( (fst _2, addTypeD    (_1, snd _2)) )
# 6020 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1595 "parsing_c/parser_c.mly"
                                 ( (fst _2, addQualifD  (_1, snd _2)) )
# 6028 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1596 "parsing_c/parser_c.mly"
                                 ( (fst _2, addInlineD ((true, _1), snd _2)) )
# 6036 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'attribute) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1597 "parsing_c/parser_c.mly"
                                 ( (_1::(fst _2), snd _2) )
# 6044 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1605 "parsing_c/parser_c.mly"
                ( Sto Static,  _1 )
# 6051 "parsing_c/parser_c.ml"
               : 'storage_class_spec_nt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1606 "parsing_c/parser_c.mly"
                ( Sto Extern,  _1 )
# 6058 "parsing_c/parser_c.ml"
               : 'storage_class_spec_nt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1607 "parsing_c/parser_c.mly"
                ( Sto Auto,    _1 )
# 6065 "parsing_c/parser_c.ml"
               : 'storage_class_spec_nt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1608 "parsing_c/parser_c.mly"
                ( Sto Register,_1 )
# 6072 "parsing_c/parser_c.ml"
               : 'storage_class_spec_nt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'storage_class_spec_nt) in
    Obj.repr(
# 1611 "parsing_c/parser_c.mly"
                         ( _1 )
# 6079 "parsing_c/parser_c.ml"
               : 'storage_class_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1612 "parsing_c/parser_c.mly"
                ( StoTypedef,  _1 )
# 6086 "parsing_c/parser_c.ml"
               : 'storage_class_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl2) in
    Obj.repr(
# 1619 "parsing_c/parser_c.mly"
                         ( et "decl" (); _1 )
# 6093 "parsing_c/parser_c.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1620 "parsing_c/parser_c.mly"
                         ( dt "declspec" (); _1  )
# 6100 "parsing_c/parser_c.ml"
               : 'decl_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declaratori) in
    Obj.repr(
# 1626 "parsing_c/parser_c.mly"
                                ( (_1, NoInit) )
# 6107 "parsing_c/parser_c.ml"
               : 'init_declarator2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'declaratori) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'teq) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize) in
    Obj.repr(
# 1627 "parsing_c/parser_c.mly"
                                ( (_1, ValInit(_2, _3)) )
# 6116 "parsing_c/parser_c.ml"
               : 'init_declarator2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'declaratori) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1630 "parsing_c/parser_c.mly"
     ( (_1, ConstrInit(_3,[_2;_4])) )
# 6126 "parsing_c/parser_c.ml"
               : 'init_declarator2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1636 "parsing_c/parser_c.mly"
          ( et "teq" (); _1 )
# 6133 "parsing_c/parser_c.ml"
               : 'teq))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator2) in
    Obj.repr(
# 1638 "parsing_c/parser_c.mly"
                                   ( dt "init" (); _1 )
# 6140 "parsing_c/parser_c.ml"
               : 'init_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declarator) in
    Obj.repr(
# 1647 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _1 in
       LP.add_ident (str_of_name (fst dec)); dec, attr, [] )
# 6148 "parsing_c/parser_c.ml"
               : 'declaratori))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'gcc_asm_decl) in
    Obj.repr(
# 1651 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _1 in
       LP.add_ident (str_of_name (fst dec)); dec, attr, [] )
# 6157 "parsing_c/parser_c.ml"
               : 'declaratori))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'end_attributes) in
    Obj.repr(
# 1655 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _1 in
       LP.add_ident (str_of_name (fst dec)); dec, attr, _2 (* T *) )
# 6166 "parsing_c/parser_c.ml"
               : 'declaratori))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'asmbody) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1660 "parsing_c/parser_c.mly"
                                         (  )
# 6176 "parsing_c/parser_c.ml"
               : 'gcc_asm_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'asmbody) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1661 "parsing_c/parser_c.mly"
                                        (  )
# 6187 "parsing_c/parser_c.ml"
               : 'gcc_asm_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 1667 "parsing_c/parser_c.mly"
     ( InitExpr _1,                [] )
# 6194 "parsing_c/parser_c.ml"
               : 'initialize))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'tobrace_ini) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'initialize_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_ini) in
    Obj.repr(
# 1669 "parsing_c/parser_c.mly"
     ( InitList (List.rev _2),     [_1;_4] @ _3 )
# 6204 "parsing_c/parser_c.ml"
               : 'initialize))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'tobrace_ini) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_ini) in
    Obj.repr(
# 1671 "parsing_c/parser_c.mly"
     ( InitList [],       [_1;_2] )
# 6212 "parsing_c/parser_c.ml"
               : 'initialize))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'initialize2) in
    Obj.repr(
# 1682 "parsing_c/parser_c.mly"
                                      ( [_1,   []] )
# 6219 "parsing_c/parser_c.ml"
               : 'initialize_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'initialize_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize2) in
    Obj.repr(
# 1683 "parsing_c/parser_c.mly"
                                      ( (_3,  [_2])::_1 )
# 6228 "parsing_c/parser_c.ml"
               : 'initialize_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cond_expr) in
    Obj.repr(
# 1689 "parsing_c/parser_c.mly"
     ( InitExpr _1,   [] )
# 6235 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'tobrace_ini) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'initialize_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_ini) in
    Obj.repr(
# 1691 "parsing_c/parser_c.mly"
     ( InitList (List.rev _2),   [_1;_4] @ _3 )
# 6245 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'tobrace_ini) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_ini) in
    Obj.repr(
# 1693 "parsing_c/parser_c.mly"
     ( InitList [],  [_1;_2]  )
# 6253 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'designator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize2) in
    Obj.repr(
# 1697 "parsing_c/parser_c.mly"
     ( InitDesignators (_1, _3), [_2] )
# 6262 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ident) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize2) in
    Obj.repr(
# 1701 "parsing_c/parser_c.mly"
     ( InitFieldOld (fst _1, _3),     [snd _1; _2] )
# 6271 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'ident) in
    Obj.repr(
# 1712 "parsing_c/parser_c.mly"
     ( DesignatorField (fst _2), [_1;snd _2] )
# 6279 "parsing_c/parser_c.ml"
               : 'designator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1714 "parsing_c/parser_c.mly"
     ( DesignatorIndex (_2),  [_1;_3] )
# 6288 "parsing_c/parser_c.ml"
               : 'designator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1716 "parsing_c/parser_c.mly"
     ( DesignatorRange (_2, _4),  [_1;_3;_5] )
# 6299 "parsing_c/parser_c.ml"
               : 'designator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1724 "parsing_c/parser_c.mly"
          (  [_1] )
# 6306 "parsing_c/parser_c.ml"
               : 'gcc_comma_opt_struct))
; (fun __caml_parser_env ->
    Obj.repr(
# 1725 "parsing_c/parser_c.mly"
                    (  [Ast_c.fakeInfo() +> Ast_c.rewrap_str ","]  )
# 6312 "parsing_c/parser_c.ml"
               : 'gcc_comma_opt_struct))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'struct_or_union) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'ident) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'tobrace_struct) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'struct_decl_list_gcc) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_struct) in
    Obj.repr(
# 1740 "parsing_c/parser_c.mly"
     ( StructUnion (fst _1, Some (fst _2), _4),  [snd _1;snd _2;_3;_5]  )
# 6323 "parsing_c/parser_c.ml"
               : 's_or_u_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'struct_or_union) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'tobrace_struct) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'struct_decl_list_gcc) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_struct) in
    Obj.repr(
# 1742 "parsing_c/parser_c.mly"
     ( StructUnion (fst _1, None, _3), [snd _1;_2;_4] )
# 6333 "parsing_c/parser_c.ml"
               : 's_or_u_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'struct_or_union) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'ident) in
    Obj.repr(
# 1744 "parsing_c/parser_c.mly"
     ( StructUnionName (fst _1, fst _2), [snd _1;snd _2] )
# 6341 "parsing_c/parser_c.ml"
               : 's_or_u_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1747 "parsing_c/parser_c.mly"
             ( Struct, _1 )
# 6348 "parsing_c/parser_c.ml"
               : 'struct_or_union2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1748 "parsing_c/parser_c.mly"
             ( Union, _1 )
# 6355 "parsing_c/parser_c.ml"
               : 'struct_or_union2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attributes) in
    Obj.repr(
# 1750 "parsing_c/parser_c.mly"
                        ( Struct, _1 (* T *) )
# 6363 "parsing_c/parser_c.ml"
               : 'struct_or_union2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attributes) in
    Obj.repr(
# 1751 "parsing_c/parser_c.mly"
                        ( Union, _1  (* T *) )
# 6371 "parsing_c/parser_c.ml"
               : 'struct_or_union2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'field_declaration) in
    Obj.repr(
# 1756 "parsing_c/parser_c.mly"
                     ( DeclarationField _1 )
# 6378 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1757 "parsing_c/parser_c.mly"
           ( EmptyField _1  )
# 6385 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1763 "parsing_c/parser_c.mly"
     ( MacroDeclField ((fst _1, _3), [snd _1;_2;_4;_5;fakeInfo()]) )
# 6396 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1766 "parsing_c/parser_c.mly"
     ( MacroDeclField ((fst _1, _3), [snd _1;_2;_4;_5;fakeInfo()]) )
# 6407 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 1770 "parsing_c/parser_c.mly"
     ( CppDirectiveStruct _1 )
# 6414 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_directive) in
    Obj.repr(
# 1772 "parsing_c/parser_c.mly"
     ( IfdefStruct _1 )
# 6421 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'spec_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'struct_declarator_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1777 "parsing_c/parser_c.mly"
     (
       let (returnType,storage) = fixDeclSpecForDecl _1 in
       if fst (unwrap storage) <> NoSto
       then internal_error "parsing don't allow this";

       let iistart = Ast_c.fakeInfo () in (* f p w D *)
       FieldDeclList (_2 +> (List.map (fun (f, iivirg) ->
         f returnType, iivirg))
                         ,[_3;iistart])
         (* d n t c i t o f i c
          * g d a t n i i s
          *)
     )
# 6442 "parsing_c/parser_c.ml"
               : 'field_declaration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'spec_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1792 "parsing_c/parser_c.mly"
     (
       (* g: a e e i i i a s o e *)
       let (returnType,storage) = fixDeclSpecForDecl _1 in
       if fst (unwrap storage) <> NoSto
       then internal_error "parsing don't allow this";

       let iistart = Ast_c.fakeInfo () in (* f p w D *)
       FieldDeclList ([(Simple (None, returnType)) , []], [_2;iistart])
     )
# 6458 "parsing_c/parser_c.ml"
               : 'field_declaration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declaratorsd) in
    Obj.repr(
# 1808 "parsing_c/parser_c.mly"
     ( (fun x -> Simple   (Some (fst _1), (snd _1) x)) )
# 6465 "parsing_c/parser_c.ml"
               : 'struct_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'dotdot) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'const_expr2) in
    Obj.repr(
# 1810 "parsing_c/parser_c.mly"
     ( (fun x -> BitField (None, x, _1, _2)) )
# 6473 "parsing_c/parser_c.ml"
               : 'struct_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'declaratorsd) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'dotdot) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'const_expr2) in
    Obj.repr(
# 1812 "parsing_c/parser_c.mly"
     ( (fun x -> BitField (Some (fst _1), ((snd _1) x), _2, _3)) )
# 6482 "parsing_c/parser_c.ml"
               : 'struct_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declarator) in
    Obj.repr(
# 1820 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _1 in (* a i *)
       (*a ? L.a (f (f d)); *) dec )
# 6490 "parsing_c/parser_c.ml"
               : 'declaratorsd))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attributes) in
    Obj.repr(
# 1823 "parsing_c/parser_c.mly"
                           ( let (attr,dec) = _1 in dec )
# 6498 "parsing_c/parser_c.ml"
               : 'declaratorsd))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 's_or_u_spec2) in
    Obj.repr(
# 1828 "parsing_c/parser_c.mly"
                                   ( dt "su" (); _1 )
# 6505 "parsing_c/parser_c.ml"
               : 'struct_or_union_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_or_union2) in
    Obj.repr(
# 1829 "parsing_c/parser_c.mly"
                                  ( et "su" (); _1 )
# 6512 "parsing_c/parser_c.ml"
               : 'struct_or_union))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_decl2) in
    Obj.repr(
# 1830 "parsing_c/parser_c.mly"
                           ( et "struct" (); _1 )
# 6519 "parsing_c/parser_c.ml"
               : 'struct_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1832 "parsing_c/parser_c.mly"
                 ( et "dotdot" (); _1 )
# 6526 "parsing_c/parser_c.ml"
               : 'dotdot))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'const_expr) in
    Obj.repr(
# 1833 "parsing_c/parser_c.mly"
                        ( dt "const_expr2" (); _1 )
# 6533 "parsing_c/parser_c.ml"
               : 'const_expr2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_decl_list) in
    Obj.repr(
# 1836 "parsing_c/parser_c.mly"
                     ( _1 )
# 6540 "parsing_c/parser_c.ml"
               : 'struct_decl_list_gcc))
; (fun __caml_parser_env ->
    Obj.repr(
# 1837 "parsing_c/parser_c.mly"
                         ( [] )
# 6546 "parsing_c/parser_c.ml"
               : 'struct_decl_list_gcc))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'tobrace_enum) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'enumerator_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_enum) in
    Obj.repr(
# 1845 "parsing_c/parser_c.mly"
     ( Enum (None,    _3),           [_1;_2;_5] @ _4 )
# 6557 "parsing_c/parser_c.ml"
               : 'enum_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : 'ident) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'tobrace_enum) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'enumerator_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_enum) in
    Obj.repr(
# 1847 "parsing_c/parser_c.mly"
     ( Enum (Some (fst _2), _4),     [_1; snd _2; _3;_6] @ _5 )
# 6569 "parsing_c/parser_c.ml"
               : 'enum_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'ident) in
    Obj.repr(
# 1849 "parsing_c/parser_c.mly"
     ( EnumName (fst _2),       [_1; snd _2] )
# 6577 "parsing_c/parser_c.ml"
               : 'enum_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'idente) in
    Obj.repr(
# 1852 "parsing_c/parser_c.mly"
                          ( _1, None     )
# 6584 "parsing_c/parser_c.ml"
               : 'enumerator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'idente) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'const_expr) in
    Obj.repr(
# 1853 "parsing_c/parser_c.mly"
                          ( _1, Some (_2, _3) )
# 6593 "parsing_c/parser_c.ml"
               : 'enumerator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ident_cpp) in
    Obj.repr(
# 1860 "parsing_c/parser_c.mly"
                  ( LP.add_ident (str_of_name _1); _1 )
# 6600 "parsing_c/parser_c.ml"
               : 'idente))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_def) in
    Obj.repr(
# 1867 "parsing_c/parser_c.mly"
                                     ( fixFunc _1 )
# 6607 "parsing_c/parser_c.ml"
               : 'function_definition))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1870 "parsing_c/parser_c.mly"
                  ( [_1 Ast_c.LocalDecl]   )
# 6614 "parsing_c/parser_c.ml"
               : 'decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1871 "parsing_c/parser_c.mly"
                  ( _1 @ [_2 Ast_c.LocalDecl] )
# 6622 "parsing_c/parser_c.ml"
               : 'decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 1875 "parsing_c/parser_c.mly"
                                    ( )
# 6629 "parsing_c/parser_c.ml"
               : 'cpp_directive_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 1876 "parsing_c/parser_c.mly"
                                    ( )
# 6637 "parsing_c/parser_c.ml"
               : 'cpp_directive_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'start_fun) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 1879 "parsing_c/parser_c.mly"
                           ( LP.del_scope(); (_1, _2, None) )
# 6645 "parsing_c/parser_c.ml"
               : 'function_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'start_fun) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 1880 "parsing_c/parser_c.mly"
                                         ( LP.del_scope(); (_1, _3, None) )
# 6654 "parsing_c/parser_c.ml"
               : 'function_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'start_fun) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'decl_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 1881 "parsing_c/parser_c.mly"
                                     (
     (* T: u t t a ? *)
     LP.del_scope();
     (_1, _3, Some _2)
   )
# 6667 "parsing_c/parser_c.ml"
               : 'function_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'start_fun2) in
    Obj.repr(
# 1888 "parsing_c/parser_c.mly"
  ( LP.new_scope();
    fix_add_params_ident _1;
    (* t? !L._.t <- f;  *)
    _1
  )
# 6678 "parsing_c/parser_c.ml"
               : 'start_fun))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'declaratorfd) in
    Obj.repr(
# 1895 "parsing_c/parser_c.mly"
     ( let (returnType,storage) = fixDeclSpecForFuncDef (snd _1) in
       let (id, attrs) = _2 in
       (fst id, fixOldCDecl ((snd id) returnType) , storage, (fst _1)@attrs)
     )
# 6689 "parsing_c/parser_c.ml"
               : 'start_fun2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ctor_dtor) in
    Obj.repr(
# 1899 "parsing_c/parser_c.mly"
               ( _1 )
# 6696 "parsing_c/parser_c.ml"
               : 'start_fun2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1902 "parsing_c/parser_c.mly"
                                (
     let id = RegularName (mk_string_wrap _1) in
     let ret = mk_ty NoType [] in
     let ty = mk_ty (FunctionType (ret, (([], (false, []))))) [_2;_3] in
     let storage = ((NoSto,false),[]) in
     let attrs = [] in
     (id, ty, storage, attrs) )
# 6711 "parsing_c/parser_c.ml"
               : 'ctor_dtor))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'parameter_type_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1909 "parsing_c/parser_c.mly"
                                                    (
     let id = RegularName (mk_string_wrap _1) in
     let ret = mk_ty NoType [] in
     let ty = mk_ty (FunctionType (ret, _3)) [_2;_4] in
     let storage = ((NoSto,false),[]) in
     let attrs = [] in
     (id, ty, storage, attrs) )
# 6727 "parsing_c/parser_c.ml"
               : 'ctor_dtor))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declarator) in
    Obj.repr(
# 1931 "parsing_c/parser_c.mly"
   ( et "declaratorfd" (); let (attr,dec) = _1 in dec, attr )
# 6734 "parsing_c/parser_c.ml"
               : 'declaratorfd))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'end_attributes) in
    Obj.repr(
# 1934 "parsing_c/parser_c.mly"
   ( et "declaratorfd" (); let (attr,dec) = _1 in dec, attr )
# 6742 "parsing_c/parser_c.ml"
               : 'declaratorfd))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : (Ast_c.info * bool ref)) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 1943 "parsing_c/parser_c.mly"
     (
       let (i1, in_ifdef) = _1 in
       let (s, i2) = _2 in

       (* r s l w :( *)
       let inc_file =
         match () with
         | _ when s =~ "^\"\\(.*\\)\"$" ->
             Local (Common.split "/" (matched1 s))
         | _ when s =~ "^\\<\\(.*\\)\\>$" ->
             NonLocal (Common.split "/" (matched1 s))
         | _ ->
             Weird s
       in
       Include { i_include = (inc_file, [i1;i2]);
                 i_rel_pos = Ast_c.noRelPos();
                 i_overall_rel_pos = Ast_c.noRelPos();
                 i_is_in_ifdef = !in_ifdef;
                 i_content = Ast_c.noi_content;
       }
     )
# 6770 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'define_val) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1966 "parsing_c/parser_c.mly"
     ( Define ((fst _2, [_1; snd _2;_4]), (DefineVar, _3)) )
# 6780 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : 'param_define_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : 'define_val) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1973 "parsing_c/parser_c.mly"
     ( Define
         ((fst _2, [_1; snd _2; _7]),
           (DefineFunc (_4, [_3;_5]), _6))
     )
# 6796 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1979 "parsing_c/parser_c.mly"
     ( Define((fst _2, [_1; snd _2; _3]), (Undef,DefineEmpty)) )
# 6805 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'pragma_strings) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1982 "parsing_c/parser_c.mly"
     ( Pragma((RegularName (mk_string_wrap _2),_3),[_1;_4]) )
# 6815 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1984 "parsing_c/parser_c.mly"
                      ( OtherDirective ([_1]) )
# 6822 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 1987 "parsing_c/parser_c.mly"
                 ( [(fst _1, [snd _1])] )
# 6829 "parsing_c/parser_c.ml"
               : 'pragma_strings))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'pragma_strings) in
    Obj.repr(
# 1988 "parsing_c/parser_c.mly"
                                ( (fst _1, [snd _1])::_2 )
# 6837 "parsing_c/parser_c.ml"
               : 'pragma_strings))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.expression) in
    Obj.repr(
# 1994 "parsing_c/parser_c.mly"
             ( DefineExpr _1 )
# 6844 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1995 "parsing_c/parser_c.mly"
             ( DefineStmt _1 )
# 6851 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1996 "parsing_c/parser_c.mly"
             ( DefineStmt (mk_st (Decl (_1 Ast_c.NotLocalDecl)) Ast_c.noii) )
# 6858 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec) in
    Obj.repr(
# 2006 "parsing_c/parser_c.mly"
     ( let returnType = fixDeclSpecForMacro (snd _1) in
       DefineType returnType
     )
# 6867 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declarator) in
    Obj.repr(
# 2010 "parsing_c/parser_c.mly"
     ( let returnType = fixDeclSpecForMacro (snd _1) in
       let typ = _2 returnType in
       DefineType typ
     )
# 6878 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'stat_or_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'stat_or_decl_list) in
    Obj.repr(
# 2022 "parsing_c/parser_c.mly"
     ( DefineMulti
	 (List.map
	    (function
		StmtElem e -> e
	      | _ -> failwith "unexpected statement for DefineMulti")
	    (_1 :: _2)) )
# 6891 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_definition) in
    Obj.repr(
# 2036 "parsing_c/parser_c.mly"
                       ( DefineFunction _1 )
# 6898 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'initialize_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'gcc_comma_opt_struct) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'comma_opt) in
    Obj.repr(
# 2039 "parsing_c/parser_c.mly"
    ( DefineInit (InitList (List.rev _2), [_1;_4] @ _3 @ _5)  )
# 6909 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2043 "parsing_c/parser_c.mly"
     (
       (* T
       i f $5 <> "0"
       t p "WEIRD: in macro and have not a while(0)";
       *)
       DefineDoWhileZero ((_2,_5),   [_1;_3;_4;_6])
     )
# 6927 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'asmbody) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2051 "parsing_c/parser_c.mly"
                                         ( DefineTodo )
# 6937 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'asmbody) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2052 "parsing_c/parser_c.mly"
                                         ( DefineTodo )
# 6948 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    Obj.repr(
# 2056 "parsing_c/parser_c.mly"
                   ( DefineEmpty )
# 6954 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 2062 "parsing_c/parser_c.mly"
                        ( mk_string_wrap _1 )
# 6961 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 2063 "parsing_c/parser_c.mly"
                        ( mk_string_wrap _1 )
# 6968 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 2064 "parsing_c/parser_c.mly"
                        ( mk_string_wrap _1 )
# 6975 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2065 "parsing_c/parser_c.mly"
                        ( "...", [_1] )
# 6982 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2067 "parsing_c/parser_c.mly"
                        ( "register", [_1] )
# 6989 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ifdef) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_ifdef_statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement_tail) in
    Obj.repr(
# 2074 "parsing_c/parser_c.mly"
     ( IfdefStmt1 ((_1::fst _3), (_2::snd _3)), [] )
# 6998 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 2075 "parsing_c/parser_c.mly"
             (_1)
# 7005 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ifdefelse) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_ifdef_statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'endif) in
    Obj.repr(
# 2078 "parsing_c/parser_c.mly"
                                       ( [_1;_3], [_2] )
# 7014 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_statement_tail))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ifdefelif) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_ifdef_statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement_tail) in
    Obj.repr(
# 2080 "parsing_c/parser_c.mly"
   ( (_1::fst _3), (_2::snd _3) )
# 7023 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_statement_tail))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (Ast_c.ifdef_guard * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2084 "parsing_c/parser_c.mly"
     ( let (cond,tag,ii) = _1 in
       IfdefDirective ((Ifdef cond, IfdefTag (Common.some !tag)),  [ii]) )
# 7031 "parsing_c/parser_c.ml"
               : 'ifdef))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : ((int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2089 "parsing_c/parser_c.mly"
     ( let (tag,ii) = _1 in
       IfdefDirective ((IfdefElse, IfdefTag (Common.some !tag)), [ii]) )
# 7039 "parsing_c/parser_c.ml"
               : 'ifdefelse))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (Ast_c.ifdef_guard * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2094 "parsing_c/parser_c.mly"
     ( let (cond,tag,ii) = _1 in
       IfdefDirective ((IfdefElseif cond, IfdefTag (Common.some !tag)), [ii]) )
# 7047 "parsing_c/parser_c.ml"
               : 'ifdefelif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : ((int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2099 "parsing_c/parser_c.mly"
     ( let (tag,ii) = _1 in
       IfdefDirective ((IfdefEndif, IfdefTag (Common.some !tag)), [ii]) )
# 7055 "parsing_c/parser_c.ml"
               : 'endif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ifdef) in
    Obj.repr(
# 2103 "parsing_c/parser_c.mly"
         ( _1 )
# 7062 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ifdefelse) in
    Obj.repr(
# 2104 "parsing_c/parser_c.mly"
             ( _1 )
# 7069 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ifdefelif) in
    Obj.repr(
# 2105 "parsing_c/parser_c.mly"
             ( _1 )
# 7076 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'endif) in
    Obj.repr(
# 2106 "parsing_c/parser_c.mly"
         ( _1 )
# 7083 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (bool * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2109 "parsing_c/parser_c.mly"
     ( let (_b, tag,ii) = _1 in
       IfdefDirective ((Ifdef Gnone, IfdefTag (Common.some !tag)), [ii]) )
# 7091 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (bool * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2112 "parsing_c/parser_c.mly"
     ( let (_b, tag,ii) = _1 in
       IfdefDirective ((Ifdef Gnone, IfdefTag (Common.some !tag)), [ii]) )
# 7099 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (bool * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2115 "parsing_c/parser_c.mly"
     ( let (_b, tag,ii) = _1 in
       IfdefDirective ((Ifdef Gnone, IfdefTag (Common.some !tag)), [ii]) )
# 7107 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2126 "parsing_c/parser_c.mly"
     (
       if args_are_params _3
       then
	 (* i a a a p, a i i a p o a f
	    w n r t *)
	 let parameters = args_to_params _3 None in
	 let paramlist = (parameters, (false, [])) in (* n v *)
	 let id = RegularName (mk_string_wrap _1) in
	 let ret =
	   warning "type defaults to 'int'"
	     (mk_ty defaultInt [fakeInfo fake_pi]) in
	 let ty =
	   fixOldCDecl (mk_ty (FunctionType (ret, paramlist)) [_2;_4]) in
	 let attrs = Ast_c.noattr in
	 let sto = (NoSto, false), [] in
	 let iistart = Ast_c.fakeInfo () in
	 Declaration(
	 DeclList ([{v_namei = Some (id,NoInit); v_type = ty;
                      v_storage = unwrap sto; v_local = NotLocalDecl;
                      v_attr = attrs; v_endattr = Ast_c.noattr;
		      v_type_bis = ref None;
                    },[]],
                   (_5::iistart::snd sto)))
       else
	 Declaration
	   (MacroDecl((NoSto, fst _1, _3, true), [snd _1;_2;_4;_5;fakeInfo()]))
           (* o: M (f $1, $3,    [s $1;$2;$4;$5])  *)
     )
# 7145 "parsing_c/parser_c.ml"
               : 'cpp_other))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 2157 "parsing_c/parser_c.mly"
                                                 (
   let parameters = args_to_params _3 (Some (snd _1)) in
   let paramlist = (parameters, (false, [])) in (* n v *)
   let fninfo =
     let id = RegularName (mk_string_wrap _1) in
     let ret =
       warning "type defaults to 'int'"
	 (mk_ty defaultInt [fakeInfo fake_pi]) in
     let ty = mk_ty (FunctionType (ret, paramlist)) [_2;_4] in
     let attrs = Ast_c.noattr in
     let sto = (NoSto, false), [] in
     (id, fixOldCDecl ty, sto, attrs) in
   let fundef = fixFunc (fninfo, _5, None) in
   Definition fundef
 )
# 7170 "parsing_c/parser_c.ml"
               : 'cpp_other))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2175 "parsing_c/parser_c.mly"
     ( Declaration
	 (MacroDecl ((NoSto, fst _1, _3, false), [snd _1;_2;_4;fakeInfo()])) )
# 7181 "parsing_c/parser_c.ml"
               : 'cpp_other))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2179 "parsing_c/parser_c.mly"
                      ( EmptyDef [snd _1;_2] )
# 7189 "parsing_c/parser_c.ml"
               : 'cpp_other))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_definition) in
    Obj.repr(
# 2188 "parsing_c/parser_c.mly"
                                     ( Definition _1 )
# 7196 "parsing_c/parser_c.ml"
               : 'external_declaration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 2189 "parsing_c/parser_c.mly"
                                     ( Declaration (_1 Ast_c.NotLocalDecl) )
# 7203 "parsing_c/parser_c.ml"
               : 'external_declaration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'translation_unit) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2194 "parsing_c/parser_c.mly"
     ( !LP._lexer_hint.context_stack <- [LP.InTopLevel];
       Namespace (_4, [_1; snd _2; _3; _5]) )
# 7215 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'external_declaration) in
    Obj.repr(
# 2197 "parsing_c/parser_c.mly"
                                                ( _1 )
# 7222 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 2201 "parsing_c/parser_c.mly"
     ( CppTop _1 )
# 7229 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_other) in
    Obj.repr(
# 2203 "parsing_c/parser_c.mly"
     ( _1 )
# 7236 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_directive) in
    Obj.repr(
# 2205 "parsing_c/parser_c.mly"
     ( IfdefTop _1 )
# 7243 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'asmbody) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2208 "parsing_c/parser_c.mly"
                                                ( EmptyDef [_1;_2;_4;_5] )
# 7254 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2215 "parsing_c/parser_c.mly"
              ( EmptyDef [_1] )
# 7261 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2218 "parsing_c/parser_c.mly"
              ( FinalDef _1 )
# 7268 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2227 "parsing_c/parser_c.mly"
                  ( LP.push_context LP.InFunction; LP.new_scope (); _1 )
# 7275 "parsing_c/parser_c.ml"
               : 'tobrace))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2228 "parsing_c/parser_c.mly"
                  ( LP.pop_context();              LP.del_scope (); _1 )
# 7282 "parsing_c/parser_c.ml"
               : 'tcbrace))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2230 "parsing_c/parser_c.mly"
                      ( LP.push_context LP.InEnum; _1 )
# 7289 "parsing_c/parser_c.ml"
               : 'tobrace_enum))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2231 "parsing_c/parser_c.mly"
                      ( LP.pop_context (); _1 )
# 7296 "parsing_c/parser_c.ml"
               : 'tcbrace_enum))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2233 "parsing_c/parser_c.mly"
                     ( LP.push_context LP.InInitializer; _1 )
# 7303 "parsing_c/parser_c.ml"
               : 'tobrace_ini))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2234 "parsing_c/parser_c.mly"
                     ( LP.pop_context (); _1 )
# 7310 "parsing_c/parser_c.ml"
               : 'tcbrace_ini))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2236 "parsing_c/parser_c.mly"
                        ( LP.push_context LP.InStruct; _1)
# 7317 "parsing_c/parser_c.ml"
               : 'tobrace_struct))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2237 "parsing_c/parser_c.mly"
                        ( LP.pop_context (); _1 )
# 7324 "parsing_c/parser_c.ml"
               : 'tcbrace_struct))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2243 "parsing_c/parser_c.mly"
     ( LP.new_scope ();et "topar" ();
       LP.push_context LP.InParameter;
       _1
     )
# 7334 "parsing_c/parser_c.ml"
               : 'topar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2248 "parsing_c/parser_c.mly"
     ( LP.del_scope ();dt "tcpar" ();
       LP.pop_context ();
       _1
     )
# 7344 "parsing_c/parser_c.ml"
               : 'tcpar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'string_elem) in
    Obj.repr(
# 2287 "parsing_c/parser_c.mly"
               ( _1 )
# 7351 "parsing_c/parser_c.ml"
               : 'string_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'string_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'string_elem) in
    Obj.repr(
# 2288 "parsing_c/parser_c.mly"
                           ( _1 @ _2 )
# 7359 "parsing_c/parser_c.ml"
               : 'string_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'colon_asm) in
    Obj.repr(
# 2291 "parsing_c/parser_c.mly"
             ( [_1] )
# 7366 "parsing_c/parser_c.ml"
               : 'colon_asm_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'colon_asm_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'colon_asm) in
    Obj.repr(
# 2292 "parsing_c/parser_c.mly"
                             ( _1 @ [_2] )
# 7374 "parsing_c/parser_c.ml"
               : 'colon_asm_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'colon_option) in
    Obj.repr(
# 2295 "parsing_c/parser_c.mly"
                ( [_1, []] )
# 7381 "parsing_c/parser_c.ml"
               : 'colon_option_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'colon_option_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'colon_option) in
    Obj.repr(
# 2296 "parsing_c/parser_c.mly"
                                         ( _1 @ [_3, [_2]] )
# 7390 "parsing_c/parser_c.ml"
               : 'colon_option_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'argument_ne) in
    Obj.repr(
# 2300 "parsing_c/parser_c.mly"
                                         ( [_1, []] )
# 7397 "parsing_c/parser_c.ml"
               : 'argument_list_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list_ne) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'argument) in
    Obj.repr(
# 2301 "parsing_c/parser_c.mly"
                                    ( _1 @ [_3,    [_2]] )
# 7406 "parsing_c/parser_c.ml"
               : 'argument_list_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'argument) in
    Obj.repr(
# 2304 "parsing_c/parser_c.mly"
                                      ( [_1, []] )
# 7413 "parsing_c/parser_c.ml"
               : 'argument_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'argument) in
    Obj.repr(
# 2305 "parsing_c/parser_c.mly"
                                 ( _1 @ [_3,    [_2]] )
# 7422 "parsing_c/parser_c.ml"
               : 'argument_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_decl) in
    Obj.repr(
# 2315 "parsing_c/parser_c.mly"
                                 ( [_1] )
# 7429 "parsing_c/parser_c.ml"
               : 'struct_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'struct_decl_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'struct_decl) in
    Obj.repr(
# 2316 "parsing_c/parser_c.mly"
                                 ( _1 @ [_2] )
# 7437 "parsing_c/parser_c.ml"
               : 'struct_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_declarator) in
    Obj.repr(
# 2320 "parsing_c/parser_c.mly"
                                                   ( [_1,           []] )
# 7444 "parsing_c/parser_c.ml"
               : 'struct_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'struct_declarator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'struct_declarator) in
    Obj.repr(
# 2322 "parsing_c/parser_c.mly"
     ( _1 @ [_4, [_2]] )
# 7454 "parsing_c/parser_c.ml"
               : 'struct_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'struct_declarator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'struct_declarator) in
    Obj.repr(
# 2323 "parsing_c/parser_c.mly"
                                                   ( _1 @ [_3,     [_2]] )
# 7463 "parsing_c/parser_c.ml"
               : 'struct_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'enumerator) in
    Obj.repr(
# 2327 "parsing_c/parser_c.mly"
                                     ( [_1,          []]   )
# 7470 "parsing_c/parser_c.ml"
               : 'enumerator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'enumerator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'enumerator) in
    Obj.repr(
# 2329 "parsing_c/parser_c.mly"
     ( _1 @ [_4, [_2]] )
# 7480 "parsing_c/parser_c.ml"
               : 'enumerator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'enumerator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'enumerator) in
    Obj.repr(
# 2330 "parsing_c/parser_c.mly"
                                     ( _1 @ [_3,    [_2]] )
# 7489 "parsing_c/parser_c.ml"
               : 'enumerator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator) in
    Obj.repr(
# 2334 "parsing_c/parser_c.mly"
                                               ( [_1,   []] )
# 7496 "parsing_c/parser_c.ml"
               : 'init_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'init_declarator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator) in
    Obj.repr(
# 2336 "parsing_c/parser_c.mly"
     ( _1 @ [_4, [_2]] )
# 7506 "parsing_c/parser_c.ml"
               : 'init_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'init_declarator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator) in
    Obj.repr(
# 2337 "parsing_c/parser_c.mly"
                                               ( _1 @ [_3,     [_2]] )
# 7515 "parsing_c/parser_c.ml"
               : 'init_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl) in
    Obj.repr(
# 2341 "parsing_c/parser_c.mly"
                                        ( [_1, []] )
# 7522 "parsing_c/parser_c.ml"
               : 'parameter_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'parameter_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl) in
    Obj.repr(
# 2342 "parsing_c/parser_c.mly"
                                        ( _1 @ [_3,  [_2]] )
# 7531 "parsing_c/parser_c.ml"
               : 'parameter_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2345 "parsing_c/parser_c.mly"
                           ( [_1] )
# 7538 "parsing_c/parser_c.ml"
               : 'taction_list_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'taction_list_ne) in
    Obj.repr(
# 2346 "parsing_c/parser_c.mly"
                           ( _1 :: _2 )
# 7546 "parsing_c/parser_c.ml"
               : 'taction_list_ne))
; (fun __caml_parser_env ->
    Obj.repr(
# 2354 "parsing_c/parser_c.mly"
                        ( [] )
# 7552 "parsing_c/parser_c.ml"
               : 'taction_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'taction_list) in
    Obj.repr(
# 2355 "parsing_c/parser_c.mly"
                        ( _1 :: _2 )
# 7560 "parsing_c/parser_c.ml"
               : 'taction_list))
; (fun __caml_parser_env ->
    Obj.repr(
# 2358 "parsing_c/parser_c.mly"
                   ( [] )
# 7566 "parsing_c/parser_c.ml"
               : 'param_define_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'param_define) in
    Obj.repr(
# 2359 "parsing_c/parser_c.mly"
                                          ( [_1, []] )
# 7573 "parsing_c/parser_c.ml"
               : 'param_define_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'param_define_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'param_define) in
    Obj.repr(
# 2360 "parsing_c/parser_c.mly"
                                          ( _1 @ [_3, [_2]] )
# 7582 "parsing_c/parser_c.ml"
               : 'param_define_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'designator) in
    Obj.repr(
# 2363 "parsing_c/parser_c.mly"
              ( [_1] )
# 7589 "parsing_c/parser_c.ml"
               : 'designator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'designator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'designator) in
    Obj.repr(
# 2364 "parsing_c/parser_c.mly"
                              ( _1 @ [_2] )
# 7597 "parsing_c/parser_c.ml"
               : 'designator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 2367 "parsing_c/parser_c.mly"
             ( [_1] )
# 7604 "parsing_c/parser_c.ml"
               : 'attribute_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'attribute_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 2368 "parsing_c/parser_c.mly"
                            ( _1 @ [_2] )
# 7612 "parsing_c/parser_c.ml"
               : 'attribute_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute_list) in
    Obj.repr(
# 2370 "parsing_c/parser_c.mly"
                           ( _1 )
# 7619 "parsing_c/parser_c.ml"
               : 'attributes))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 2373 "parsing_c/parser_c.mly"
                 ( [Attribute (fst _1), [snd _1]] )
# 7626 "parsing_c/parser_c.ml"
               : 'end_attributes))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2376 "parsing_c/parser_c.mly"
          (  [_1] )
# 7633 "parsing_c/parser_c.ml"
               : 'comma_opt))
; (fun __caml_parser_env ->
    Obj.repr(
# 2377 "parsing_c/parser_c.mly"
                    (  []  )
# 7639 "parsing_c/parser_c.ml"
               : 'comma_opt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.expression) in
    Obj.repr(
# 2386 "parsing_c/parser_c.mly"
               ( Some _1 )
# 7646 "parsing_c/parser_c.ml"
               : 'gcc_opt_expr))
; (fun __caml_parser_env ->
    Obj.repr(
# 2387 "parsing_c/parser_c.mly"
                   ( None  )
# 7652 "parsing_c/parser_c.ml"
               : 'gcc_opt_expr))
(* Entry main *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
(* Entry celem *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
(* Entry statement *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
(* Entry expr *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
(* Entry type_name *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
|]
let yytables =
  { Parsing.actions=yyact;
    Parsing.transl_const=yytransl_const;
    Parsing.transl_block=yytransl_block;
    Parsing.lhs=yylhs;
    Parsing.len=yylen;
    Parsing.defred=yydefred;
    Parsing.dgoto=yydgoto;
    Parsing.sindex=yysindex;
    Parsing.rindex=yyrindex;
    Parsing.gindex=yygindex;
    Parsing.tablesize=yytablesize;
    Parsing.table=yytable;
    Parsing.check=yycheck;
    Parsing.error_function=parse_error;
    Parsing.names_const=yynames_const;
    Parsing.names_block=yynames_block }
let main (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 1 lexfun lexbuf : Ast_c.program)
let celem (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 2 lexfun lexbuf : Ast_c.toplevel)
let statement (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 3 lexfun lexbuf : Ast_c.statement)
let expr (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 4 lexfun lexbuf : Ast_c.expression)
let type_name (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 5 lexfun lexbuf : Ast_c.fullType)
